import{s as Pe,o as Te,n as Me}from"../chunks/scheduler.182ea377.js";import{S as Le,i as Ie,g as s,s as d,u as B,A as Ae,h as n,f as t,c,j as u,v as W,y as f,k as p,o as i,a as o,w as z,d as F,t as G,x as J}from"../chunks/index.caaccc80.js";import{T as He}from"../chunks/Tip.e9d11def.js";import{D as fe}from"../chunks/Docstring.835fbd1d.js";import{I as ke}from"../chunks/IconCopyLink.3458bfff.js";function qe(U){let a,w="🚧 This scheduler is under construction!";return{c(){a=s("p"),a.textContent=w},l(h){a=n(h,"P",{"data-svelte-h":!0}),f(a)!=="svelte-mvh4c7"&&(a.textContent=w)},m(h,L){o(h,a,L)},p:Me,d(h){h&&t(a)}}}function Ne(U){let a,w,h,L,g,S,K,y,ae,I,ge="ScoreSdeVpScheduler",Y,C,ve='<code>ScoreSdeVpScheduler</code> is a variance preserving stochastic differential equation (SDE) scheduler.  It was introduced in the <a href="https://huggingface.co/papers/2011.13456" rel="nofollow">Score-Based Generative Modeling through Stochastic Differential Equations</a> paper by Yang Song, Jascha Sohl-Dickstein, Diederik P. Kingma, Abhishek Kumar, Stefano Ermon, Ben Poole.',Q,V,Se="The abstract from the paper is:",X,E,_e="<em>Creating noise from data is easy; creating data from noise is generative modeling. We present a stochastic differential equation (SDE) that smoothly transforms a complex data distribution to a known prior distribution by slowly injecting noise, and a corresponding reverse-time SDE that transforms the prior distribution back into the data distribution by slowly removing the noise. Crucially, the reverse-time SDE depends only on the time-dependent gradient field (\\aka, score) of the perturbed data distribution. By leveraging advances in score-based generative modeling, we can accurately estimate these scores with neural networks, and use numerical SDE solvers to generate samples. We show that this framework encapsulates previous approaches in score-based generative modeling and diffusion probabilistic modeling, allowing for new sampling procedures and new modeling capabilities. In particular, we introduce a predictor-corrector framework to correct errors in the evolution of the discretized reverse-time SDE. We also derive an equivalent neural ODE that samples from the same distribution as the SDE, but additionally enables exact likelihood computation, and improved sampling efficiency. In addition, we provide a new way to solve inverse problems with score-based models, as demonstrated with experiments on class-conditional generation, image inpainting, and colorization. Combined with multiple architectural improvements, we achieve record-breaking performance for unconditional image generation on CIFAR-10 with an Inception score of 9.89 and FID of 2.20, a competitive likelihood of 2.99 bits/dim, and demonstrate high fidelity generation of 1024 x 1024 images for the first time from a score-based generative model</em>.",Z,_,ee,v,b,O,D,de,A,be="ScoreSdeVpScheduler",te,l,k,ce,H,xe="<code>ScoreSdeVpScheduler</code> is a variance preserving stochastic differential equation (SDE) scheduler.",le,q,$e=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,pe,x,P,he,N,we="Sets the continuous timesteps used for the diffusion chain (to be run before inference).",ue,$,T,me,j,ye=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise).`,re,R,se;return y=new ke({}),_=new He({props:{warning:!0,$$slots:{default:[qe]},$$scope:{ctx:U}}}),D=new ke({}),k=new fe({props:{name:"class diffusers.schedulers.ScoreSdeVpScheduler",anchor:"diffusers.schedulers.ScoreSdeVpScheduler",parameters:[{name:"num_train_timesteps",val:" = 2000"},{name:"beta_min",val:" = 0.1"},{name:"beta_max",val:" = 20"},{name:"sampling_eps",val:" = 0.001"}],parametersDescription:[{anchor:"diffusers.schedulers.ScoreSdeVpScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 2000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.schedulers.ScoreSdeVpScheduler.beta_min",description:"<strong>beta_min</strong> (<code>int</code>, defaults to 0.1) &#x2014;",name:"beta_min"},{anchor:"diffusers.schedulers.ScoreSdeVpScheduler.beta_max",description:"<strong>beta_max</strong> (<code>int</code>, defaults to 20) &#x2014;",name:"beta_max"},{anchor:"diffusers.schedulers.ScoreSdeVpScheduler.sampling_eps",description:`<strong>sampling_eps</strong> (<code>int</code>, defaults to 1e-3) &#x2014;
The end value of sampling where timesteps decrease progressively from 1 to epsilon.`,name:"sampling_eps"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_sde_vp.py#L27"}}),P=new fe({props:{name:"set_timesteps",anchor:"diffusers.schedulers.ScoreSdeVpScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:""},{name:"device",val:": typing.Union[str, torch.device] = None"}],parametersDescription:[{anchor:"diffusers.schedulers.ScoreSdeVpScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.schedulers.ScoreSdeVpScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_sde_vp.py#L51"}}),T=new fe({props:{name:"step_pred",anchor:"diffusers.schedulers.ScoreSdeVpScheduler.step_pred",parameters:[{name:"score",val:""},{name:"x",val:""},{name:"t",val:""},{name:"generator",val:" = None"}],parametersDescription:[{anchor:"diffusers.schedulers.ScoreSdeVpScheduler.step_pred.score",description:"<strong>score</strong> () &#x2014;",name:"score"},{anchor:"diffusers.schedulers.ScoreSdeVpScheduler.step_pred.x",description:"<strong>x</strong> () &#x2014;",name:"x"},{anchor:"diffusers.schedulers.ScoreSdeVpScheduler.step_pred.t",description:"<strong>t</strong> () &#x2014;",name:"t"},{anchor:"diffusers.schedulers.ScoreSdeVpScheduler.step_pred.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_sde_vp.py#L63"}}),{c(){a=s("meta"),w=d(),h=s("p"),L=d(),g=s("h1"),S=s("a"),K=s("span"),B(y.$$.fragment),ae=d(),I=s("span"),I.textContent=ge,Y=d(),C=s("p"),C.innerHTML=ve,Q=d(),V=s("p"),V.textContent=Se,X=d(),E=s("p"),E.innerHTML=_e,Z=d(),B(_.$$.fragment),ee=d(),v=s("h2"),b=s("a"),O=s("span"),B(D.$$.fragment),de=d(),A=s("span"),A.textContent=be,te=d(),l=s("div"),B(k.$$.fragment),ce=d(),H=s("p"),H.innerHTML=xe,le=d(),q=s("p"),q.innerHTML=$e,pe=d(),x=s("div"),B(P.$$.fragment),he=d(),N=s("p"),N.textContent=we,ue=d(),$=s("div"),B(T.$$.fragment),me=d(),j=s("p"),j.textContent=ye,re=d(),R=s("p"),this.h()},l(e){const r=Ae("svelte-1phssyn",document.head);a=n(r,"META",{name:!0,content:!0}),r.forEach(t),w=c(e),h=n(e,"P",{}),u(h).forEach(t),L=c(e),g=n(e,"H1",{class:!0});var M=u(g);S=n(M,"A",{id:!0,class:!0,href:!0});var Ce=u(S);K=n(Ce,"SPAN",{});var Ve=u(K);W(y.$$.fragment,Ve),Ve.forEach(t),Ce.forEach(t),ae=c(M),I=n(M,"SPAN",{"data-svelte-h":!0}),f(I)!=="svelte-1qwxii0"&&(I.textContent=ge),M.forEach(t),Y=c(e),C=n(e,"P",{"data-svelte-h":!0}),f(C)!=="svelte-am1tgf"&&(C.innerHTML=ve),Q=c(e),V=n(e,"P",{"data-svelte-h":!0}),f(V)!=="svelte-1cwsb16"&&(V.textContent=Se),X=c(e),E=n(e,"P",{"data-svelte-h":!0}),f(E)!=="svelte-1m47iew"&&(E.innerHTML=_e),Z=c(e),W(_.$$.fragment,e),ee=c(e),v=n(e,"H2",{class:!0});var ne=u(v);b=n(ne,"A",{id:!0,class:!0,href:!0});var Ee=u(b);O=n(Ee,"SPAN",{});var De=u(O);W(D.$$.fragment,De),De.forEach(t),Ee.forEach(t),de=c(ne),A=n(ne,"SPAN",{"data-svelte-h":!0}),f(A)!=="svelte-1qwxii0"&&(A.textContent=be),ne.forEach(t),te=c(e),l=n(e,"DIV",{class:!0});var m=u(l);W(k.$$.fragment,m),ce=c(m),H=n(m,"P",{"data-svelte-h":!0}),f(H)!=="svelte-ij3gjh"&&(H.innerHTML=xe),le=c(m),q=n(m,"P",{"data-svelte-h":!0}),f(q)!=="svelte-linuuh"&&(q.innerHTML=$e),pe=c(m),x=n(m,"DIV",{class:!0});var ie=u(x);W(P.$$.fragment,ie),he=c(ie),N=n(ie,"P",{"data-svelte-h":!0}),f(N)!=="svelte-8cg672"&&(N.textContent=we),ie.forEach(t),ue=c(m),$=n(m,"DIV",{class:!0});var oe=u($);W(T.$$.fragment,oe),me=c(oe),j=n(oe,"P",{"data-svelte-h":!0}),f(j)!=="svelte-hi84tp"&&(j.textContent=ye),oe.forEach(t),m.forEach(t),re=c(e),R=n(e,"P",{}),u(R).forEach(t),this.h()},h(){p(a,"name","hf:doc:metadata"),p(a,"content",JSON.stringify(je)),p(S,"id","scoresdevpscheduler"),p(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(S,"href","#scoresdevpscheduler"),p(g,"class","relative group"),p(b,"id","diffusers.schedulers.ScoreSdeVpScheduler"),p(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(b,"href","#diffusers.schedulers.ScoreSdeVpScheduler"),p(v,"class","relative group"),p(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){i(document.head,a),o(e,w,r),o(e,h,r),o(e,L,r),o(e,g,r),i(g,S),i(S,K),z(y,K,null),i(g,ae),i(g,I),o(e,Y,r),o(e,C,r),o(e,Q,r),o(e,V,r),o(e,X,r),o(e,E,r),o(e,Z,r),z(_,e,r),o(e,ee,r),o(e,v,r),i(v,b),i(b,O),z(D,O,null),i(v,de),i(v,A),o(e,te,r),o(e,l,r),z(k,l,null),i(l,ce),i(l,H),i(l,le),i(l,q),i(l,pe),i(l,x),z(P,x,null),i(x,he),i(x,N),i(l,ue),i(l,$),z(T,$,null),i($,me),i($,j),o(e,re,r),o(e,R,r),se=!0},p(e,[r]){const M={};r&2&&(M.$$scope={dirty:r,ctx:e}),_.$set(M)},i(e){se||(F(y.$$.fragment,e),F(_.$$.fragment,e),F(D.$$.fragment,e),F(k.$$.fragment,e),F(P.$$.fragment,e),F(T.$$.fragment,e),se=!0)},o(e){G(y.$$.fragment,e),G(_.$$.fragment,e),G(D.$$.fragment,e),G(k.$$.fragment,e),G(P.$$.fragment,e),G(T.$$.fragment,e),se=!1},d(e){e&&(t(w),t(h),t(L),t(g),t(Y),t(C),t(Q),t(V),t(X),t(E),t(Z),t(ee),t(v),t(te),t(l),t(re),t(R)),t(a),J(y),J(_,e),J(D),J(k),J(P),J(T)}}}const je={local:"scoresdevpscheduler",sections:[{local:"diffusers.schedulers.ScoreSdeVpScheduler",title:"ScoreSdeVpScheduler"}],title:"ScoreSdeVpScheduler"};function Be(U){return Te(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ke extends Le{constructor(a){super(),Ie(this,a,Be,Ne,Pe,{})}}export{Ke as component};
