import{s as ir,o as lr,n as dr}from"../chunks/scheduler.182ea377.js";import{S as ar,i as pr,g as s,s as n,u as f,A as cr,h as o,f as r,c as i,j as c,v as g,y as h,k as a,o as t,a as p,w as v,d as _,t as S,x as b}from"../chunks/index.caaccc80.js";import{T as ur}from"../chunks/Tip.e9d11def.js";import{D as x}from"../chunks/Docstring.835fbd1d.js";import{I as ot}from"../chunks/IconCopyLink.3458bfff.js";function hr(ke){let m,j=`The algorithm and model type are decoupled. You can use either DPMSolver or DPMSolver++ for both noise
prediction and data prediction models.`;return{c(){m=s("p"),m.textContent=j},l($){m=o($,"P",{"data-svelte-h":!0}),h(m)!=="svelte-95n5s"&&(m.textContent=j)},m($,pe){p($,m,pe)},p:dr,d($){$&&r(m)}}}function mr(ke){let m,j,$,pe,y,C,we,U,nt,ce,Lt="DPMSolverSinglestepScheduler",Oe,W,Et='<code>DPMSolverSinglestepScheduler</code> is a single step scheduler from <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPM-Solver: A Fast ODE Solver for Diffusion Probabilistic Model Sampling in Around 10 Steps</a> and <a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPM-Solver++: Fast Solver for Guided Sampling of Diffusion Probabilistic Models</a> by Cheng Lu, Yuhao Zhou, Fan Bao, Jianfei Chen, Chongxuan Li, and Jun Zhu.',Ae,J,kt=`DPMSolver (and the improved version DPMSolver++) is a fast dedicated high-order solver for diffusion ODEs with convergence order guarantee. Empirically, DPMSolver sampling with only 20 steps can generate high-quality
samples, and it can generate quite good samples even in 10 steps.`,He,B,Ot='The original implementation can be found at <a href="https://github.com/LuChengTHU/dpm-solver" rel="nofollow">LuChengTHU/dpm-solver</a>.',Ie,P,F,Ce,G,it,ue,At="Tips",Ne,Y,Ht="It is recommended to set <code>solver_order</code> to 2 for guide sampling, and <code>solver_order=3</code> for unconditional sampling.",qe,Z,It=`Dynamic thresholding from Imagen (<a href="https://huggingface.co/papers/2205.11487" rel="nofollow">https://huggingface.co/papers/2205.11487</a>) is supported, and for pixel-space
diffusion models, you can set both <code>algorithm_type=&quot;dpmsolver++&quot;</code> and <code>thresholding=True</code> to use dynamic
thresholding. This thresholding method is unsuitable for latent-space diffusion models such as
Stable Diffusion.`,Ve,T,L,Fe,K,lt,he,Nt="DPMSolverSinglestepScheduler",ze,d,R,dt,me,qt="<code>DPMSolverSinglestepScheduler</code> is a fast dedicated high-order solver for diffusion ODEs.",at,fe,Vt=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,pt,D,Q,ct,ge,zt=`Convert the model output to the corresponding type the DPMSolver/DPMSolver++ algorithm needs. DPM-Solver is
designed to discretize an integral of the noise prediction model, and DPM-Solver++ is designed to discretize an
integral of the data prediction model.`,ut,E,ht,k,X,mt,ve,jt="One step for the first-order DPMSolver (equivalent to DDIM).",ft,O,ee,gt,_e,Ut="Computes the solver order at each time step.",vt,A,te,_t,Se,Wt=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,St,H,re,bt,be,Jt="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",$t,I,se,xt,$e,Bt=`One step for the second-order singlestep DPMSolver that computes the solution at time <code>prev_timestep</code> from the
time <code>timestep_list[-2]</code>.`,Dt,N,oe,yt,xe,Gt=`One step for the third-order singlestep DPMSolver that computes the solution at time <code>prev_timestep</code> from the
time <code>timestep_list[-3]</code>.`,Pt,q,ne,Tt,De,Yt="One step for the singlestep DPMSolver.",Mt,V,ie,wt,ye,Zt=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the singlestep DPMSolver.`,je,M,z,Le,le,Ct,Pe,Kt="SchedulerOutput",Ue,w,de,Ft,Te,Rt="Base class for the output of a scheduler’s <code>step</code> function.",We,Ee,Je;return U=new ot({}),G=new ot({}),K=new ot({}),R=new x({props:{name:"class diffusers.DPMSolverSinglestepScheduler",anchor:"diffusers.DPMSolverSinglestepScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.0001"},{name:"beta_end",val:": float = 0.02"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": typing.Optional[numpy.ndarray] = None"},{name:"solver_order",val:": int = 2"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"thresholding",val:": bool = False"},{name:"dynamic_thresholding_ratio",val:": float = 0.995"},{name:"sample_max_value",val:": float = 1.0"},{name:"algorithm_type",val:": str = 'dpmsolver++'"},{name:"solver_type",val:": str = 'midpoint'"},{name:"lower_order_final",val:": bool = True"},{name:"use_karras_sigmas",val:": typing.Optional[bool] = False"},{name:"lambda_min_clipped",val:": float = -inf"},{name:"variance_type",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.DPMSolverSinglestepScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.0001) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.DPMSolverSinglestepScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.DPMSolverSinglestepScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code>, <code>scaled_linear</code>, or <code>squaredcos_cap_v2</code>.`,name:"beta_schedule"},{anchor:"diffusers.DPMSolverSinglestepScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.DPMSolverSinglestepScheduler.solver_order",description:`<strong>solver_order</strong> (<code>int</code>, defaults to 2) &#x2014;
The DPMSolver order which can be <code>1</code> or <code>2</code> or <code>3</code>. It is recommended to use <code>solver_order=2</code> for guided
sampling, and <code>solver_order=3</code> for unconditional sampling.`,name:"solver_order"},{anchor:"diffusers.DPMSolverSinglestepScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.DPMSolverSinglestepScheduler.thresholding",description:`<strong>thresholding</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use the &#x201C;dynamic thresholding&#x201D; method. This is unsuitable for latent-space diffusion models such
as Stable Diffusion.`,name:"thresholding"},{anchor:"diffusers.DPMSolverSinglestepScheduler.dynamic_thresholding_ratio",description:`<strong>dynamic_thresholding_ratio</strong> (<code>float</code>, defaults to 0.995) &#x2014;
The ratio for the dynamic thresholding method. Valid only when <code>thresholding=True</code>.`,name:"dynamic_thresholding_ratio"},{anchor:"diffusers.DPMSolverSinglestepScheduler.sample_max_value",description:`<strong>sample_max_value</strong> (<code>float</code>, defaults to 1.0) &#x2014;
The threshold value for dynamic thresholding. Valid only when <code>thresholding=True</code> and
<code>algorithm_type=&quot;dpmsolver++&quot;</code>.`,name:"sample_max_value"},{anchor:"diffusers.DPMSolverSinglestepScheduler.algorithm_type",description:`<strong>algorithm_type</strong> (<code>str</code>, defaults to <code>dpmsolver++</code>) &#x2014;
Algorithm type for the solver; can be <code>dpmsolver</code>, <code>dpmsolver++</code>, <code>sde-dpmsolver</code> or <code>sde-dpmsolver++</code>. The
<code>dpmsolver</code> type implements the algorithms in the <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPMSolver</a>
paper, and the <code>dpmsolver++</code> type implements the algorithms in the
<a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPMSolver++</a> paper. It is recommended to use <code>dpmsolver++</code> or
<code>sde-dpmsolver++</code> with <code>solver_order=2</code> for guided sampling like in Stable Diffusion.`,name:"algorithm_type"},{anchor:"diffusers.DPMSolverSinglestepScheduler.solver_type",description:`<strong>solver_type</strong> (<code>str</code>, defaults to <code>midpoint</code>) &#x2014;
Solver type for the second-order solver; can be <code>midpoint</code> or <code>heun</code>. The solver type slightly affects the
sample quality, especially for a small number of steps. It is recommended to use <code>midpoint</code> solvers.`,name:"solver_type"},{anchor:"diffusers.DPMSolverSinglestepScheduler.lower_order_final",description:`<strong>lower_order_final</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to use lower-order solvers in the final steps. Only valid for &lt; 15 inference steps. This can
stabilize the sampling of DPMSolver for steps &lt; 15, especially for steps &lt;= 10.`,name:"lower_order_final"},{anchor:"diffusers.DPMSolverSinglestepScheduler.use_karras_sigmas",description:`<strong>use_karras_sigmas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use Karras sigmas for step sizes in the noise schedule during the sampling process. If <code>True</code>,
the sigmas are determined according to a sequence of noise levels {&#x3C3;i}.`,name:"use_karras_sigmas"},{anchor:"diffusers.DPMSolverSinglestepScheduler.lambda_min_clipped",description:`<strong>lambda_min_clipped</strong> (<code>float</code>, defaults to <code>-inf</code>) &#x2014;
Clipping threshold for the minimum value of <code>lambda(t)</code> for numerical stability. This is critical for the
cosine (<code>squaredcos_cap_v2</code>) noise schedule.`,name:"lambda_min_clipped"},{anchor:"diffusers.DPMSolverSinglestepScheduler.variance_type",description:`<strong>variance_type</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Set to &#x201C;learned&#x201D; or &#x201C;learned_range&#x201D; for diffusion models that predict variance. If set, the model&#x2019;s output
contains the predicted Gaussian variance.`,name:"variance_type"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L76"}}),Q=new x({props:{name:"convert_model_output",anchor:"diffusers.DPMSolverSinglestepScheduler.convert_model_output",parameters:[{name:"model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.convert_model_output.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverSinglestepScheduler.convert_model_output.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L373",returnDescription:`
<p>The converted model output.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),E=new ur({props:{$$slots:{default:[hr]},$$scope:{ctx:ke}}}),X=new x({props:{name:"dpm_solver_first_order_update",anchor:"diffusers.DPMSolverSinglestepScheduler.dpm_solver_first_order_update",parameters:[{name:"model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.dpm_solver_first_order_update.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverSinglestepScheduler.dpm_solver_first_order_update.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverSinglestepScheduler.dpm_solver_first_order_update.prev_timestep",description:`<strong>prev_timestep</strong> (<code>int</code>) &#x2014;
The previous discrete timestep in the diffusion chain.`,name:"prev_timestep"},{anchor:"diffusers.DPMSolverSinglestepScheduler.dpm_solver_first_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L462",returnDescription:`
<p>The sample tensor at the previous timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),ee=new x({props:{name:"get_order_list",anchor:"diffusers.DPMSolverSinglestepScheduler.get_order_list",parameters:[{name:"num_inference_steps",val:": int"}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.get_order_list.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L202"}}),te=new x({props:{name:"scale_model_input",anchor:"diffusers.DPMSolverSinglestepScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L858",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),re=new x({props:{name:"set_timesteps",anchor:"diffusers.DPMSolverSinglestepScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int"},{name:"device",val:": typing.Union[str, torch.device] = None"}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.DPMSolverSinglestepScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L243"}}),se=new x({props:{name:"singlestep_dpm_solver_second_order_update",anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_second_order_update",parameters:[{name:"model_output_list",val:": typing.List[torch.FloatTensor]"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_second_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.FloatTensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_second_order_update.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current and latter discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_second_order_update.prev_timestep",description:`<strong>prev_timestep</strong> (<code>int</code>) &#x2014;
The previous discrete timestep in the diffusion chain.`,name:"prev_timestep"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_second_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L518",returnDescription:`
<p>The sample tensor at the previous timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),oe=new x({props:{name:"singlestep_dpm_solver_third_order_update",anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_third_order_update",parameters:[{name:"model_output_list",val:": typing.List[torch.FloatTensor]"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_third_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.FloatTensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_third_order_update.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current and latter discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_third_order_update.prev_timestep",description:`<strong>prev_timestep</strong> (<code>int</code>) &#x2014;
The previous discrete timestep in the diffusion chain.`,name:"prev_timestep"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_third_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L612",returnDescription:`
<p>The sample tensor at the previous timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),ne=new x({props:{name:"singlestep_dpm_solver_update",anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_update",parameters:[{name:"model_output_list",val:": typing.List[torch.FloatTensor]"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"order",val:": int = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.FloatTensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_update.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current and latter discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_update.prev_timestep",description:`<strong>prev_timestep</strong> (<code>int</code>) &#x2014;
The previous discrete timestep in the diffusion chain.`,name:"prev_timestep"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by diffusion process.`,name:"sample"},{anchor:"diffusers.DPMSolverSinglestepScheduler.singlestep_dpm_solver_update.order",description:`<strong>order</strong> (<code>int</code>) &#x2014;
The solver order at this step.`,name:"order"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L716",returnDescription:`
<p>The sample tensor at the previous timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),ie=new x({props:{name:"step",anchor:"diffusers.DPMSolverSinglestepScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.DPMSolverSinglestepScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverSinglestepScheduler.step.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverSinglestepScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.DPMSolverSinglestepScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_singlestep.py#L797",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),le=new ot({}),de=new x({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_utils.py#L50"}}),{c(){m=s("meta"),j=n(),$=s("p"),pe=n(),y=s("h1"),C=s("a"),we=s("span"),f(U.$$.fragment),nt=n(),ce=s("span"),ce.textContent=Lt,Oe=n(),W=s("p"),W.innerHTML=Et,Ae=n(),J=s("p"),J.textContent=kt,He=n(),B=s("p"),B.innerHTML=Ot,Ie=n(),P=s("h2"),F=s("a"),Ce=s("span"),f(G.$$.fragment),it=n(),ue=s("span"),ue.textContent=At,Ne=n(),Y=s("p"),Y.innerHTML=Ht,qe=n(),Z=s("p"),Z.innerHTML=It,Ve=n(),T=s("h2"),L=s("a"),Fe=s("span"),f(K.$$.fragment),lt=n(),he=s("span"),he.textContent=Nt,ze=n(),d=s("div"),f(R.$$.fragment),dt=n(),me=s("p"),me.innerHTML=qt,at=n(),fe=s("p"),fe.innerHTML=Vt,pt=n(),D=s("div"),f(Q.$$.fragment),ct=n(),ge=s("p"),ge.textContent=zt,ut=n(),f(E.$$.fragment),ht=n(),k=s("div"),f(X.$$.fragment),mt=n(),ve=s("p"),ve.textContent=jt,ft=n(),O=s("div"),f(ee.$$.fragment),gt=n(),_e=s("p"),_e.textContent=Ut,vt=n(),A=s("div"),f(te.$$.fragment),_t=n(),Se=s("p"),Se.textContent=Wt,St=n(),H=s("div"),f(re.$$.fragment),bt=n(),be=s("p"),be.textContent=Jt,$t=n(),I=s("div"),f(se.$$.fragment),xt=n(),$e=s("p"),$e.innerHTML=Bt,Dt=n(),N=s("div"),f(oe.$$.fragment),yt=n(),xe=s("p"),xe.innerHTML=Gt,Pt=n(),q=s("div"),f(ne.$$.fragment),Tt=n(),De=s("p"),De.textContent=Yt,Mt=n(),V=s("div"),f(ie.$$.fragment),wt=n(),ye=s("p"),ye.textContent=Zt,je=n(),M=s("h2"),z=s("a"),Le=s("span"),f(le.$$.fragment),Ct=n(),Pe=s("span"),Pe.textContent=Kt,Ue=n(),w=s("div"),f(de.$$.fragment),Ft=n(),Te=s("p"),Te.innerHTML=Rt,We=n(),Ee=s("p"),this.h()},l(e){const l=cr("svelte-1phssyn",document.head);m=o(l,"META",{name:!0,content:!0}),l.forEach(r),j=i(e),$=o(e,"P",{}),c($).forEach(r),pe=i(e),y=o(e,"H1",{class:!0});var ae=c(y);C=o(ae,"A",{id:!0,class:!0,href:!0});var Qt=c(C);we=o(Qt,"SPAN",{});var Xt=c(we);g(U.$$.fragment,Xt),Xt.forEach(r),Qt.forEach(r),nt=i(ae),ce=o(ae,"SPAN",{"data-svelte-h":!0}),h(ce)!=="svelte-9aihuw"&&(ce.textContent=Lt),ae.forEach(r),Oe=i(e),W=o(e,"P",{"data-svelte-h":!0}),h(W)!=="svelte-zw7rt6"&&(W.innerHTML=Et),Ae=i(e),J=o(e,"P",{"data-svelte-h":!0}),h(J)!=="svelte-l6rv24"&&(J.textContent=kt),He=i(e),B=o(e,"P",{"data-svelte-h":!0}),h(B)!=="svelte-1mk5p6f"&&(B.innerHTML=Ot),Ie=i(e),P=o(e,"H2",{class:!0});var Be=c(P);F=o(Be,"A",{id:!0,class:!0,href:!0});var er=c(F);Ce=o(er,"SPAN",{});var tr=c(Ce);g(G.$$.fragment,tr),tr.forEach(r),er.forEach(r),it=i(Be),ue=o(Be,"SPAN",{"data-svelte-h":!0}),h(ue)!=="svelte-12o6a2j"&&(ue.textContent=At),Be.forEach(r),Ne=i(e),Y=o(e,"P",{"data-svelte-h":!0}),h(Y)!=="svelte-pt2glg"&&(Y.innerHTML=Ht),qe=i(e),Z=o(e,"P",{"data-svelte-h":!0}),h(Z)!=="svelte-171mkif"&&(Z.innerHTML=It),Ve=i(e),T=o(e,"H2",{class:!0});var Ge=c(T);L=o(Ge,"A",{id:!0,class:!0,href:!0});var rr=c(L);Fe=o(rr,"SPAN",{});var sr=c(Fe);g(K.$$.fragment,sr),sr.forEach(r),rr.forEach(r),lt=i(Ge),he=o(Ge,"SPAN",{"data-svelte-h":!0}),h(he)!=="svelte-9aihuw"&&(he.textContent=Nt),Ge.forEach(r),ze=i(e),d=o(e,"DIV",{class:!0});var u=c(d);g(R.$$.fragment,u),dt=i(u),me=o(u,"P",{"data-svelte-h":!0}),h(me)!=="svelte-1g2jbmp"&&(me.innerHTML=qt),at=i(u),fe=o(u,"P",{"data-svelte-h":!0}),h(fe)!=="svelte-linuuh"&&(fe.innerHTML=Vt),pt=i(u),D=o(u,"DIV",{class:!0});var Me=c(D);g(Q.$$.fragment,Me),ct=i(Me),ge=o(Me,"P",{"data-svelte-h":!0}),h(ge)!=="svelte-1st02i8"&&(ge.textContent=zt),ut=i(Me),g(E.$$.fragment,Me),Me.forEach(r),ht=i(u),k=o(u,"DIV",{class:!0});var Ye=c(k);g(X.$$.fragment,Ye),mt=i(Ye),ve=o(Ye,"P",{"data-svelte-h":!0}),h(ve)!=="svelte-4nw43d"&&(ve.textContent=jt),Ye.forEach(r),ft=i(u),O=o(u,"DIV",{class:!0});var Ze=c(O);g(ee.$$.fragment,Ze),gt=i(Ze),_e=o(Ze,"P",{"data-svelte-h":!0}),h(_e)!=="svelte-13tpuy9"&&(_e.textContent=Ut),Ze.forEach(r),vt=i(u),A=o(u,"DIV",{class:!0});var Ke=c(A);g(te.$$.fragment,Ke),_t=i(Ke),Se=o(Ke,"P",{"data-svelte-h":!0}),h(Se)!=="svelte-1rkfgpx"&&(Se.textContent=Wt),Ke.forEach(r),St=i(u),H=o(u,"DIV",{class:!0});var Re=c(H);g(re.$$.fragment,Re),bt=i(Re),be=o(Re,"P",{"data-svelte-h":!0}),h(be)!=="svelte-1vzm9q"&&(be.textContent=Jt),Re.forEach(r),$t=i(u),I=o(u,"DIV",{class:!0});var Qe=c(I);g(se.$$.fragment,Qe),xt=i(Qe),$e=o(Qe,"P",{"data-svelte-h":!0}),h($e)!=="svelte-1rmndna"&&($e.innerHTML=Bt),Qe.forEach(r),Dt=i(u),N=o(u,"DIV",{class:!0});var Xe=c(N);g(oe.$$.fragment,Xe),yt=i(Xe),xe=o(Xe,"P",{"data-svelte-h":!0}),h(xe)!=="svelte-17kajtk"&&(xe.innerHTML=Gt),Xe.forEach(r),Pt=i(u),q=o(u,"DIV",{class:!0});var et=c(q);g(ne.$$.fragment,et),Tt=i(et),De=o(et,"P",{"data-svelte-h":!0}),h(De)!=="svelte-zgpbva"&&(De.textContent=Yt),et.forEach(r),Mt=i(u),V=o(u,"DIV",{class:!0});var tt=c(V);g(ie.$$.fragment,tt),wt=i(tt),ye=o(tt,"P",{"data-svelte-h":!0}),h(ye)!=="svelte-7earhm"&&(ye.textContent=Zt),tt.forEach(r),u.forEach(r),je=i(e),M=o(e,"H2",{class:!0});var rt=c(M);z=o(rt,"A",{id:!0,class:!0,href:!0});var or=c(z);Le=o(or,"SPAN",{});var nr=c(Le);g(le.$$.fragment,nr),nr.forEach(r),or.forEach(r),Ct=i(rt),Pe=o(rt,"SPAN",{"data-svelte-h":!0}),h(Pe)!=="svelte-1qoi9nz"&&(Pe.textContent=Kt),rt.forEach(r),Ue=i(e),w=o(e,"DIV",{class:!0});var st=c(w);g(de.$$.fragment,st),Ft=i(st),Te=o(st,"P",{"data-svelte-h":!0}),h(Te)!=="svelte-6ojmkw"&&(Te.innerHTML=Rt),st.forEach(r),We=i(e),Ee=o(e,"P",{}),c(Ee).forEach(r),this.h()},h(){a(m,"name","hf:doc:metadata"),a(m,"content",JSON.stringify(fr)),a(C,"id","dpmsolversinglestepscheduler"),a(C,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(C,"href","#dpmsolversinglestepscheduler"),a(y,"class","relative group"),a(F,"id","tips"),a(F,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(F,"href","#tips"),a(P,"class","relative group"),a(L,"id","diffusers.DPMSolverSinglestepScheduler"),a(L,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(L,"href","#diffusers.DPMSolverSinglestepScheduler"),a(T,"class","relative group"),a(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(z,"id","diffusers.schedulers.scheduling_utils.SchedulerOutput"),a(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(z,"href","#diffusers.schedulers.scheduling_utils.SchedulerOutput"),a(M,"class","relative group"),a(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,l){t(document.head,m),p(e,j,l),p(e,$,l),p(e,pe,l),p(e,y,l),t(y,C),t(C,we),v(U,we,null),t(y,nt),t(y,ce),p(e,Oe,l),p(e,W,l),p(e,Ae,l),p(e,J,l),p(e,He,l),p(e,B,l),p(e,Ie,l),p(e,P,l),t(P,F),t(F,Ce),v(G,Ce,null),t(P,it),t(P,ue),p(e,Ne,l),p(e,Y,l),p(e,qe,l),p(e,Z,l),p(e,Ve,l),p(e,T,l),t(T,L),t(L,Fe),v(K,Fe,null),t(T,lt),t(T,he),p(e,ze,l),p(e,d,l),v(R,d,null),t(d,dt),t(d,me),t(d,at),t(d,fe),t(d,pt),t(d,D),v(Q,D,null),t(D,ct),t(D,ge),t(D,ut),v(E,D,null),t(d,ht),t(d,k),v(X,k,null),t(k,mt),t(k,ve),t(d,ft),t(d,O),v(ee,O,null),t(O,gt),t(O,_e),t(d,vt),t(d,A),v(te,A,null),t(A,_t),t(A,Se),t(d,St),t(d,H),v(re,H,null),t(H,bt),t(H,be),t(d,$t),t(d,I),v(se,I,null),t(I,xt),t(I,$e),t(d,Dt),t(d,N),v(oe,N,null),t(N,yt),t(N,xe),t(d,Pt),t(d,q),v(ne,q,null),t(q,Tt),t(q,De),t(d,Mt),t(d,V),v(ie,V,null),t(V,wt),t(V,ye),p(e,je,l),p(e,M,l),t(M,z),t(z,Le),v(le,Le,null),t(M,Ct),t(M,Pe),p(e,Ue,l),p(e,w,l),v(de,w,null),t(w,Ft),t(w,Te),p(e,We,l),p(e,Ee,l),Je=!0},p(e,[l]){const ae={};l&2&&(ae.$$scope={dirty:l,ctx:e}),E.$set(ae)},i(e){Je||(_(U.$$.fragment,e),_(G.$$.fragment,e),_(K.$$.fragment,e),_(R.$$.fragment,e),_(Q.$$.fragment,e),_(E.$$.fragment,e),_(X.$$.fragment,e),_(ee.$$.fragment,e),_(te.$$.fragment,e),_(re.$$.fragment,e),_(se.$$.fragment,e),_(oe.$$.fragment,e),_(ne.$$.fragment,e),_(ie.$$.fragment,e),_(le.$$.fragment,e),_(de.$$.fragment,e),Je=!0)},o(e){S(U.$$.fragment,e),S(G.$$.fragment,e),S(K.$$.fragment,e),S(R.$$.fragment,e),S(Q.$$.fragment,e),S(E.$$.fragment,e),S(X.$$.fragment,e),S(ee.$$.fragment,e),S(te.$$.fragment,e),S(re.$$.fragment,e),S(se.$$.fragment,e),S(oe.$$.fragment,e),S(ne.$$.fragment,e),S(ie.$$.fragment,e),S(le.$$.fragment,e),S(de.$$.fragment,e),Je=!1},d(e){e&&(r(j),r($),r(pe),r(y),r(Oe),r(W),r(Ae),r(J),r(He),r(B),r(Ie),r(P),r(Ne),r(Y),r(qe),r(Z),r(Ve),r(T),r(ze),r(d),r(je),r(M),r(Ue),r(w),r(We),r(Ee)),r(m),b(U),b(G),b(K),b(R),b(Q),b(E),b(X),b(ee),b(te),b(re),b(se),b(oe),b(ne),b(ie),b(le),b(de)}}}const fr={local:"dpmsolversinglestepscheduler",sections:[{local:"tips",title:"Tips"},{local:"diffusers.DPMSolverSinglestepScheduler",title:"DPMSolverSinglestepScheduler"},{local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",title:"SchedulerOutput"}],title:"DPMSolverSinglestepScheduler"};function gr(ke){return lr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class xr extends ar{constructor(m){super(),pr(this,m,gr,mr,ir,{})}}export{xr as component};
