import{s as lt,o as ct,n as ut}from"../chunks/scheduler.182ea377.js";import{S as pt,i as ht,g as s,s as n,u as g,A as mt,h as a,f as r,c as o,j as u,v as _,y as m,k as l,o as t,a as h,w as v,d as $,t as x,x as b}from"../chunks/index.caaccc80.js";import{T as ft}from"../chunks/Tip.e9d11def.js";import{D as J}from"../chunks/Docstring.835fbd1d.js";import{I as Ue}from"../chunks/IconCopyLink.3458bfff.js";function gt(ue){let p,L=`For more details on the parameters, see <a href="https://arxiv.org/abs/2206.00364" rel="nofollow">Appendix E</a>. The grid search values used
to find the optimal <code>{s_noise, s_churn, s_min, s_max}</code> for a specific model are described in Table 5 of the paper.`;return{c(){p=s("p"),p.innerHTML=L},l(f){p=a(f,"P",{"data-svelte-h":!0}),m(p)!=="svelte-rvbbam"&&(p.innerHTML=L)},m(f,R){h(f,p,R)},p:ut,d(f){f&&r(p)}}}function _t(ue){let p,L,f,R,T,w,ie,A,ye,Q,We="KarrasVeScheduler",pe,M,je='<code>KarrasVeScheduler</code> is a stochastic sampler tailored o variance-expanding (VE) models. It is based on the <a href="https://huggingface.co/papers/2206.00364" rel="nofollow">Elucidating the Design Space of Diffusion-Based Generative Models</a> and <a href="https://huggingface.co/papers/2011.13456" rel="nofollow">Score-based generative modeling through stochastic differential equations</a> papers.',he,S,y,de,H,Ce,X,Be="KarrasVeScheduler",me,i,I,ke,Y,Je="A stochastic scheduler tailored to variance-expanding models.",Oe,Z,Re=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,De,C,Ee,k,N,Pe,ee,Qe=`Explicit Langevin-like “churn” step of adding noise to the sample according to a <code>gamma_i ≥ 0</code> to reach a
higher noise level <code>sigma_hat = sigma_i + gamma_i*sigma_i</code>.`,Fe,O,z,Le,te,Xe=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,Ae,D,q,Me,re,Ye="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",He,E,G,Ie,se,Ze=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise).`,Ne,P,U,ze,ae,et="Corrects the predicted sample based on the <code>model_output</code> of the network.",fe,V,F,le,W,qe,ne,tt="KarrasVeOutput",ge,K,j,Ge,oe,rt="Output class for the scheduler’s step function output.",_e,ce,ve;return A=new Ue({}),H=new Ue({}),I=new J({props:{name:"class diffusers.KarrasVeScheduler",anchor:"diffusers.KarrasVeScheduler",parameters:[{name:"sigma_min",val:": float = 0.02"},{name:"sigma_max",val:": float = 100"},{name:"s_noise",val:": float = 1.007"},{name:"s_churn",val:": float = 80"},{name:"s_min",val:": float = 0.05"},{name:"s_max",val:": float = 50"}],parametersDescription:[{anchor:"diffusers.KarrasVeScheduler.sigma_min",description:`<strong>sigma_min</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The minimum noise magnitude.`,name:"sigma_min"},{anchor:"diffusers.KarrasVeScheduler.sigma_max",description:`<strong>sigma_max</strong> (<code>float</code>, defaults to 100) &#x2014;
The maximum noise magnitude.`,name:"sigma_max"},{anchor:"diffusers.KarrasVeScheduler.s_noise",description:`<strong>s_noise</strong> (<code>float</code>, defaults to 1.007) &#x2014;
The amount of additional noise to counteract loss of detail during sampling. A reasonable range is [1.000,
1.011].`,name:"s_noise"},{anchor:"diffusers.KarrasVeScheduler.s_churn",description:`<strong>s_churn</strong> (<code>float</code>, defaults to 80) &#x2014;
The parameter controlling the overall amount of stochasticity. A reasonable range is [0, 100].`,name:"s_churn"},{anchor:"diffusers.KarrasVeScheduler.s_min",description:`<strong>s_min</strong> (<code>float</code>, defaults to 0.05) &#x2014;
The start value of the sigma range to add noise (enable stochasticity). A reasonable range is [0, 10].`,name:"s_min"},{anchor:"diffusers.KarrasVeScheduler.s_max",description:`<strong>s_max</strong> (<code>float</code>, defaults to 50) &#x2014;
The end value of the sigma range to add noise. A reasonable range is [0.2, 80].`,name:"s_max"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_karras_ve.py#L49"}}),C=new ft({props:{$$slots:{default:[gt]},$$scope:{ctx:ue}}}),N=new J({props:{name:"add_noise_to_input",anchor:"diffusers.KarrasVeScheduler.add_noise_to_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"sigma",val:": float"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"}],parametersDescription:[{anchor:"diffusers.KarrasVeScheduler.add_noise_to_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.KarrasVeScheduler.add_noise_to_input.sigma",description:"<strong>sigma</strong> (<code>float</code>) &#x2014;",name:"sigma"},{anchor:"diffusers.KarrasVeScheduler.add_noise_to_input.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_karras_ve.py#L138"}}),z=new J({props:{name:"scale_model_input",anchor:"diffusers.KarrasVeScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"diffusers.KarrasVeScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.KarrasVeScheduler.scale_model_input.timestep",description:`<strong>timestep</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_karras_ve.py#L99",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),q=new J({props:{name:"set_timesteps",anchor:"diffusers.KarrasVeScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int"},{name:"device",val:": typing.Union[str, torch.device] = None"}],parametersDescription:[{anchor:"diffusers.KarrasVeScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.KarrasVeScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_karras_ve.py#L116"}}),G=new J({props:{name:"step",anchor:"diffusers.KarrasVeScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"sigma_hat",val:": float"},{name:"sigma_prev",val:": float"},{name:"sample_hat",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.KarrasVeScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.KarrasVeScheduler.step.sigma_hat",description:"<strong>sigma_hat</strong> (<code>float</code>) &#x2014;",name:"sigma_hat"},{anchor:"diffusers.KarrasVeScheduler.step.sigma_prev",description:"<strong>sigma_prev</strong> (<code>float</code>) &#x2014;",name:"sigma_prev"},{anchor:"diffusers.KarrasVeScheduler.step.sample_hat",description:"<strong>sample_hat</strong> (<code>torch.FloatTensor</code>) &#x2014;",name:"sample_hat"},{anchor:"diffusers.KarrasVeScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <code>~schedulers.scheduling_karras_ve.KarrasVESchedulerOutput</code> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_karras_ve.py#L164",returnDescription:`
<p>If return_dict is <code>True</code>, <code>~schedulers.scheduling_karras_ve.KarrasVESchedulerOutput</code> is returned,
otherwise a tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><code>~schedulers.scheduling_karras_ve.KarrasVESchedulerOutput</code> or <code>tuple</code></p>
`}}),U=new J({props:{name:"step_correct",anchor:"diffusers.KarrasVeScheduler.step_correct",parameters:[{name:"model_output",val:": FloatTensor"},{name:"sigma_hat",val:": float"},{name:"sigma_prev",val:": float"},{name:"sample_hat",val:": FloatTensor"},{name:"sample_prev",val:": FloatTensor"},{name:"derivative",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.KarrasVeScheduler.step_correct.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.KarrasVeScheduler.step_correct.sigma_hat",description:"<strong>sigma_hat</strong> (<code>float</code>) &#x2014; TODO",name:"sigma_hat"},{anchor:"diffusers.KarrasVeScheduler.step_correct.sigma_prev",description:"<strong>sigma_prev</strong> (<code>float</code>) &#x2014; TODO",name:"sigma_prev"},{anchor:"diffusers.KarrasVeScheduler.step_correct.sample_hat",description:"<strong>sample_hat</strong> (<code>torch.FloatTensor</code>) &#x2014; TODO",name:"sample_hat"},{anchor:"diffusers.KarrasVeScheduler.step_correct.sample_prev",description:"<strong>sample_prev</strong> (<code>torch.FloatTensor</code>) &#x2014; TODO",name:"sample_prev"},{anchor:"diffusers.KarrasVeScheduler.step_correct.derivative",description:"<strong>derivative</strong> (<code>torch.FloatTensor</code>) &#x2014; TODO",name:"derivative"},{anchor:"diffusers.KarrasVeScheduler.step_correct.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/ddpm#diffusers.schedulers.scheduling_ddpm.DDPMSchedulerOutput">DDPMSchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_karras_ve.py#L203",returnDescription:`
<p>updated sample in the diffusion chain. derivative (TODO): TODO</p>
`,returnType:`
<p>prev_sample (TODO)</p>
`}}),W=new Ue({}),j=new J({props:{name:"class diffusers.schedulers.scheduling_karras_ve.KarrasVeOutput",anchor:"diffusers.schedulers.scheduling_karras_ve.KarrasVeOutput",parameters:[{name:"prev_sample",val:": FloatTensor"},{name:"derivative",val:": FloatTensor"},{name:"pred_original_sample",val:": typing.Optional[torch.FloatTensor] = None"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_karras_ve.KarrasVeOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample (x_{t-1}) of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"},{anchor:"diffusers.schedulers.scheduling_karras_ve.KarrasVeOutput.derivative",description:`<strong>derivative</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Derivative of predicted original image sample (x_0).`,name:"derivative"},{anchor:"diffusers.schedulers.scheduling_karras_ve.KarrasVeOutput.pred_original_sample",description:`<strong>pred_original_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
The predicted denoised sample (x_{0}) based on the model output from the current timestep.
<code>pred_original_sample</code> can be used to preview progress or for guidance.`,name:"pred_original_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_karras_ve.py#L29"}}),{c(){p=s("meta"),L=n(),f=s("p"),R=n(),T=s("h1"),w=s("a"),ie=s("span"),g(A.$$.fragment),ye=n(),Q=s("span"),Q.textContent=We,pe=n(),M=s("p"),M.innerHTML=je,he=n(),S=s("h2"),y=s("a"),de=s("span"),g(H.$$.fragment),Ce=n(),X=s("span"),X.textContent=Be,me=n(),i=s("div"),g(I.$$.fragment),ke=n(),Y=s("p"),Y.textContent=Je,Oe=n(),Z=s("p"),Z.innerHTML=Re,De=n(),g(C.$$.fragment),Ee=n(),k=s("div"),g(N.$$.fragment),Pe=n(),ee=s("p"),ee.innerHTML=Qe,Fe=n(),O=s("div"),g(z.$$.fragment),Le=n(),te=s("p"),te.textContent=Xe,Ae=n(),D=s("div"),g(q.$$.fragment),Me=n(),re=s("p"),re.textContent=Ye,He=n(),E=s("div"),g(G.$$.fragment),Ie=n(),se=s("p"),se.textContent=Ze,Ne=n(),P=s("div"),g(U.$$.fragment),ze=n(),ae=s("p"),ae.innerHTML=et,fe=n(),V=s("h2"),F=s("a"),le=s("span"),g(W.$$.fragment),qe=n(),ne=s("span"),ne.textContent=tt,ge=n(),K=s("div"),g(j.$$.fragment),Ge=n(),oe=s("p"),oe.textContent=rt,_e=n(),ce=s("p"),this.h()},l(e){const d=mt("svelte-1phssyn",document.head);p=a(d,"META",{name:!0,content:!0}),d.forEach(r),L=o(e),f=a(e,"P",{}),u(f).forEach(r),R=o(e),T=a(e,"H1",{class:!0});var B=u(T);w=a(B,"A",{id:!0,class:!0,href:!0});var st=u(w);ie=a(st,"SPAN",{});var at=u(ie);_(A.$$.fragment,at),at.forEach(r),st.forEach(r),ye=o(B),Q=a(B,"SPAN",{"data-svelte-h":!0}),m(Q)!=="svelte-rnszu1"&&(Q.textContent=We),B.forEach(r),pe=o(e),M=a(e,"P",{"data-svelte-h":!0}),m(M)!=="svelte-hrz999"&&(M.innerHTML=je),he=o(e),S=a(e,"H2",{class:!0});var $e=u(S);y=a($e,"A",{id:!0,class:!0,href:!0});var nt=u(y);de=a(nt,"SPAN",{});var ot=u(de);_(H.$$.fragment,ot),ot.forEach(r),nt.forEach(r),Ce=o($e),X=a($e,"SPAN",{"data-svelte-h":!0}),m(X)!=="svelte-rnszu1"&&(X.textContent=Be),$e.forEach(r),me=o(e),i=a(e,"DIV",{class:!0});var c=u(i);_(I.$$.fragment,c),ke=o(c),Y=a(c,"P",{"data-svelte-h":!0}),m(Y)!=="svelte-177z870"&&(Y.textContent=Je),Oe=o(c),Z=a(c,"P",{"data-svelte-h":!0}),m(Z)!=="svelte-linuuh"&&(Z.innerHTML=Re),De=o(c),_(C.$$.fragment,c),Ee=o(c),k=a(c,"DIV",{class:!0});var xe=u(k);_(N.$$.fragment,xe),Pe=o(xe),ee=a(xe,"P",{"data-svelte-h":!0}),m(ee)!=="svelte-8x1g23"&&(ee.innerHTML=Qe),xe.forEach(r),Fe=o(c),O=a(c,"DIV",{class:!0});var be=u(O);_(z.$$.fragment,be),Le=o(be),te=a(be,"P",{"data-svelte-h":!0}),m(te)!=="svelte-1rkfgpx"&&(te.textContent=Xe),be.forEach(r),Ae=o(c),D=a(c,"DIV",{class:!0});var Te=u(D);_(q.$$.fragment,Te),Me=o(Te),re=a(Te,"P",{"data-svelte-h":!0}),m(re)!=="svelte-1vzm9q"&&(re.textContent=Ye),Te.forEach(r),He=o(c),E=a(c,"DIV",{class:!0});var Se=u(E);_(G.$$.fragment,Se),Ie=o(Se),se=a(Se,"P",{"data-svelte-h":!0}),m(se)!=="svelte-hi84tp"&&(se.textContent=Ze),Se.forEach(r),Ne=o(c),P=a(c,"DIV",{class:!0});var Ve=u(P);_(U.$$.fragment,Ve),ze=o(Ve),ae=a(Ve,"P",{"data-svelte-h":!0}),m(ae)!=="svelte-1h4yget"&&(ae.innerHTML=et),Ve.forEach(r),c.forEach(r),fe=o(e),V=a(e,"H2",{class:!0});var Ke=u(V);F=a(Ke,"A",{id:!0,class:!0,href:!0});var it=u(F);le=a(it,"SPAN",{});var dt=u(le);_(W.$$.fragment,dt),dt.forEach(r),it.forEach(r),qe=o(Ke),ne=a(Ke,"SPAN",{"data-svelte-h":!0}),m(ne)!=="svelte-favmah"&&(ne.textContent=tt),Ke.forEach(r),ge=o(e),K=a(e,"DIV",{class:!0});var we=u(K);_(j.$$.fragment,we),Ge=o(we),oe=a(we,"P",{"data-svelte-h":!0}),m(oe)!=="svelte-7snghh"&&(oe.textContent=rt),we.forEach(r),_e=o(e),ce=a(e,"P",{}),u(ce).forEach(r),this.h()},h(){l(p,"name","hf:doc:metadata"),l(p,"content",JSON.stringify(vt)),l(w,"id","karrasvescheduler"),l(w,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(w,"href","#karrasvescheduler"),l(T,"class","relative group"),l(y,"id","diffusers.KarrasVeScheduler"),l(y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(y,"href","#diffusers.KarrasVeScheduler"),l(S,"class","relative group"),l(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(F,"id","diffusers.schedulers.scheduling_karras_ve.KarrasVeOutput"),l(F,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(F,"href","#diffusers.schedulers.scheduling_karras_ve.KarrasVeOutput"),l(V,"class","relative group"),l(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,d){t(document.head,p),h(e,L,d),h(e,f,d),h(e,R,d),h(e,T,d),t(T,w),t(w,ie),v(A,ie,null),t(T,ye),t(T,Q),h(e,pe,d),h(e,M,d),h(e,he,d),h(e,S,d),t(S,y),t(y,de),v(H,de,null),t(S,Ce),t(S,X),h(e,me,d),h(e,i,d),v(I,i,null),t(i,ke),t(i,Y),t(i,Oe),t(i,Z),t(i,De),v(C,i,null),t(i,Ee),t(i,k),v(N,k,null),t(k,Pe),t(k,ee),t(i,Fe),t(i,O),v(z,O,null),t(O,Le),t(O,te),t(i,Ae),t(i,D),v(q,D,null),t(D,Me),t(D,re),t(i,He),t(i,E),v(G,E,null),t(E,Ie),t(E,se),t(i,Ne),t(i,P),v(U,P,null),t(P,ze),t(P,ae),h(e,fe,d),h(e,V,d),t(V,F),t(F,le),v(W,le,null),t(V,qe),t(V,ne),h(e,ge,d),h(e,K,d),v(j,K,null),t(K,Ge),t(K,oe),h(e,_e,d),h(e,ce,d),ve=!0},p(e,[d]){const B={};d&2&&(B.$$scope={dirty:d,ctx:e}),C.$set(B)},i(e){ve||($(A.$$.fragment,e),$(H.$$.fragment,e),$(I.$$.fragment,e),$(C.$$.fragment,e),$(N.$$.fragment,e),$(z.$$.fragment,e),$(q.$$.fragment,e),$(G.$$.fragment,e),$(U.$$.fragment,e),$(W.$$.fragment,e),$(j.$$.fragment,e),ve=!0)},o(e){x(A.$$.fragment,e),x(H.$$.fragment,e),x(I.$$.fragment,e),x(C.$$.fragment,e),x(N.$$.fragment,e),x(z.$$.fragment,e),x(q.$$.fragment,e),x(G.$$.fragment,e),x(U.$$.fragment,e),x(W.$$.fragment,e),x(j.$$.fragment,e),ve=!1},d(e){e&&(r(L),r(f),r(R),r(T),r(pe),r(M),r(he),r(S),r(me),r(i),r(fe),r(V),r(ge),r(K),r(_e),r(ce)),r(p),b(A),b(H),b(I),b(C),b(N),b(z),b(q),b(G),b(U),b(W),b(j)}}}const vt={local:"karrasvescheduler",sections:[{local:"diffusers.KarrasVeScheduler",title:"KarrasVeScheduler"},{local:"diffusers.schedulers.scheduling_karras_ve.KarrasVeOutput",title:"KarrasVeOutput"}],title:"KarrasVeScheduler"};function $t(ue){return ct(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Kt extends pt{constructor(p){super(),ht(this,p,$t,_t,lt,{})}}export{Kt as component};
