import{s as ue,n as he,o as ge}from"../chunks/scheduler.182ea377.js";import{S as ce,i as me,g as n,s as r,u as oe,A as be,h as o,f as t,c as d,j as b,y as _,v as re,k as s,o as u,a,w as de,d as se,t as le,x as fe}from"../chunks/index.caaccc80.js";import{I as pe}from"../chunks/IconCopyLink.3458bfff.js";function _e(F){let l,k,S,C,h,Q='<br/> <img src="https://raw.githubusercontent.com/huggingface/diffusers/77aadfee6a891ab9fcfb780f87c693f7a5beeb8e/docs/source/imgs/diffusers_library.jpg" width="400"/> <br/>',A,f,g,M,x,j,D,W="Diffusers",E,v,J='🤗 Diffusers is the go-to library for state-of-the-art pretrained diffusion models for generating images, audio, and even 3D structures of molecules. Whether you’re looking for a simple inference solution or want to train your own diffusion model, 🤗 Diffusers is a modular toolbox that supports both. Our library is designed with a focus on <a href="conceptual/philosophy#usability-over-performance">usability over performance</a>, <a href="conceptual/philosophy#simple-over-easy">simple over easy</a>, and <a href="conceptual/philosophy#tweakable-contributorfriendly-over-abstraction">customizability over abstractions</a>.',H,w,Y="The library has three main components:",$,I,Z='<li>State-of-the-art <a href="api/pipelines/overview">diffusion pipelines</a> for inference with just a few lines of code.</li> <li>Interchangeable <a href="api/schedulers/overview">noise schedulers</a> for balancing trade-offs between generation speed and quality.</li> <li>Pretrained <a href="api/models">models</a> that can be used as building blocks, and combined with schedulers, for creating your own end-to-end diffusion systems.</li>',U,c,K='<div class="w-full flex flex-col space-y-4 md:space-y-0 md:grid md:grid-cols-2 md:gap-y-4 md:gap-x-5"><a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./tutorials/tutorial_overview"><div class="w-full text-center bg-gradient-to-br from-blue-400 to-blue-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Tutorials</div> <p class="text-gray-700">Learn the fundamental skills you need to start generating outputs, build your own diffusion system, and train a diffusion model. We recommend starting here if you&#39;re using 🤗 Diffusers for the first time!</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./using-diffusers/loading_overview"><div class="w-full text-center bg-gradient-to-br from-indigo-400 to-indigo-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">How-to guides</div> <p class="text-gray-700">Practical guides for helping you load pipelines, models, and schedulers. You&#39;ll also learn how to use pipelines for specific tasks, control how outputs are generated, optimize for inference speed, and different training techniques.</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./conceptual/philosophy"><div class="w-full text-center bg-gradient-to-br from-pink-400 to-pink-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Conceptual guides</div> <p class="text-gray-700">Understand why the library was designed the way it was, and learn more about the ethical guidelines and safety implementations for using the library.</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./api/models/overview"><div class="w-full text-center bg-gradient-to-br from-purple-400 to-purple-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Reference</div> <p class="text-gray-700">Technical descriptions of how 🤗 Diffusers classes and methods work.</p></a></div>',R,p,m,L,y,B,T,X="Supported pipelines",V,G,ee='<thead><tr><th>Pipeline</th> <th>Paper/Repository</th> <th align="center">Tasks</th></tr></thead> <tbody><tr><td><a href="./api/pipelines/alt_diffusion">alt_diffusion</a></td> <td><a href="https://arxiv.org/abs/2211.06679" rel="nofollow">AltCLIP: Altering the Language Encoder in CLIP for Extended Language Capabilities</a></td> <td align="center">Image-to-Image Text-Guided Generation</td></tr> <tr><td><a href="./api/pipelines/audio_diffusion">audio_diffusion</a></td> <td><a href="https://github.com/teticio/audio-diffusion.git" rel="nofollow">Audio Diffusion</a></td> <td align="center">Unconditional Audio Generation</td></tr> <tr><td><a href="./api/pipelines/controlnet">controlnet</a></td> <td><a href="https://arxiv.org/abs/2302.05543" rel="nofollow">Adding Conditional Control to Text-to-Image Diffusion Models</a></td> <td align="center">Image-to-Image Text-Guided Generation</td></tr> <tr><td><a href="./api/pipelines/cycle_diffusion">cycle_diffusion</a></td> <td><a href="https://arxiv.org/abs/2210.05559" rel="nofollow">Unifying Diffusion Models’ Latent Space, with Applications to CycleDiffusion and Guidance</a></td> <td align="center">Image-to-Image Text-Guided Generation</td></tr> <tr><td><a href="./api/pipelines/dance_diffusion">dance_diffusion</a></td> <td><a href="https://github.com/williamberman/diffusers.git" rel="nofollow">Dance Diffusion</a></td> <td align="center">Unconditional Audio Generation</td></tr> <tr><td><a href="./api/pipelines/ddpm">ddpm</a></td> <td><a href="https://arxiv.org/abs/2006.11239" rel="nofollow">Denoising Diffusion Probabilistic Models</a></td> <td align="center">Unconditional Image Generation</td></tr> <tr><td><a href="./api/pipelines/ddim">ddim</a></td> <td><a href="https://arxiv.org/abs/2010.02502" rel="nofollow">Denoising Diffusion Implicit Models</a></td> <td align="center">Unconditional Image Generation</td></tr> <tr><td><a href="./if">if</a></td> <td><a href="./api/pipelines/if"><strong>IF</strong></a></td> <td align="center">Image Generation</td></tr> <tr><td><a href="./if">if_img2img</a></td> <td><a href="./api/pipelines/if"><strong>IF</strong></a></td> <td align="center">Image-to-Image Generation</td></tr> <tr><td><a href="./if">if_inpainting</a></td> <td><a href="./api/pipelines/if"><strong>IF</strong></a></td> <td align="center">Image-to-Image Generation</td></tr> <tr><td><a href="./api/pipelines/latent_diffusion">latent_diffusion</a></td> <td><a href="https://arxiv.org/abs/2112.10752" rel="nofollow">High-Resolution Image Synthesis with Latent Diffusion Models</a></td> <td align="center">Text-to-Image Generation</td></tr> <tr><td><a href="./api/pipelines/latent_diffusion">latent_diffusion</a></td> <td><a href="https://arxiv.org/abs/2112.10752" rel="nofollow">High-Resolution Image Synthesis with Latent Diffusion Models</a></td> <td align="center">Super Resolution Image-to-Image</td></tr> <tr><td><a href="./api/pipelines/latent_diffusion_uncond">latent_diffusion_uncond</a></td> <td><a href="https://arxiv.org/abs/2112.10752" rel="nofollow">High-Resolution Image Synthesis with Latent Diffusion Models</a></td> <td align="center">Unconditional Image Generation</td></tr> <tr><td><a href="./api/pipelines/paint_by_example">paint_by_example</a></td> <td><a href="https://arxiv.org/abs/2211.13227" rel="nofollow">Paint by Example: Exemplar-based Image Editing with Diffusion Models</a></td> <td align="center">Image-Guided Image Inpainting</td></tr> <tr><td><a href="./api/pipelines/pndm">pndm</a></td> <td><a href="https://arxiv.org/abs/2202.09778" rel="nofollow">Pseudo Numerical Methods for Diffusion Models on Manifolds</a></td> <td align="center">Unconditional Image Generation</td></tr> <tr><td><a href="./api/pipelines/score_sde_ve">score_sde_ve</a></td> <td><a href="https://openreview.net/forum?id=PxTIG12RRHS" rel="nofollow">Score-Based Generative Modeling through Stochastic Differential Equations</a></td> <td align="center">Unconditional Image Generation</td></tr> <tr><td><a href="./api/pipelines/score_sde_vp">score_sde_vp</a></td> <td><a href="https://openreview.net/forum?id=PxTIG12RRHS" rel="nofollow">Score-Based Generative Modeling through Stochastic Differential Equations</a></td> <td align="center">Unconditional Image Generation</td></tr> <tr><td><a href="./api/pipelines/semantic_stable_diffusion">semantic_stable_diffusion</a></td> <td><a href="https://arxiv.org/abs/2301.12247" rel="nofollow">Semantic Guidance</a></td> <td align="center">Text-Guided Generation</td></tr> <tr><td><a href="./api/pipelines/stable_diffusion/adapter">stable_diffusion_adapter</a></td> <td><a href="https://arxiv.org/abs/2302.08453" rel="nofollow"><strong>T2I-Adapter</strong></a></td> <td align="center">Image-to-Image Text-Guided Generation</td></tr> <tr><td><a href="./api/pipelines/stable_diffusion/text2img">stable_diffusion_text2img</a></td> <td><a href="https://stability.ai/blog/stable-diffusion-public-release" rel="nofollow">Stable Diffusion</a></td> <td align="center">Text-to-Image Generation</td></tr> <tr><td><a href="./api/pipelines/stable_diffusion/img2img">stable_diffusion_img2img</a></td> <td><a href="https://stability.ai/blog/stable-diffusion-public-release" rel="nofollow">Stable Diffusion</a></td> <td align="center">Image-to-Image Text-Guided Generation</td></tr> <tr><td><a href="./api/pipelines/stable_diffusion/inpaint">stable_diffusion_inpaint</a></td> <td><a href="https://stability.ai/blog/stable-diffusion-public-release" rel="nofollow">Stable Diffusion</a></td> <td align="center">Text-Guided Image Inpainting</td></tr> <tr><td><a href="./api/pipelines/stable_diffusion/panorama">stable_diffusion_panorama</a></td> <td><a href="https://multidiffusion.github.io/" rel="nofollow">MultiDiffusion</a></td> <td align="center">Text-to-Panorama Generation</td></tr> <tr><td><a href="./api/pipelines/stable_diffusion/pix2pix">stable_diffusion_pix2pix</a></td> <td><a href="https://arxiv.org/abs/2211.09800" rel="nofollow">InstructPix2Pix: Learning to Follow Image Editing Instructions</a></td> <td align="center">Text-Guided Image Editing</td></tr> <tr><td><a href="./api/pipelines/stable_diffusion/pix2pix_zero">stable_diffusion_pix2pix_zero</a></td> <td><a href="https://pix2pixzero.github.io/" rel="nofollow">Zero-shot Image-to-Image Translation</a></td> <td align="center">Text-Guided Image Editing</td></tr> <tr><td><a href="./api/pipelines/stable_diffusion/attend_and_excite">stable_diffusion_attend_and_excite</a></td> <td><a href="https://arxiv.org/abs/2301.13826" rel="nofollow">Attend-and-Excite: Attention-Based Semantic Guidance for Text-to-Image Diffusion Models</a></td> <td align="center">Text-to-Image Generation</td></tr> <tr><td><a href="./api/pipelines/stable_diffusion/self_attention_guidance">stable_diffusion_self_attention_guidance</a></td> <td><a href="https://arxiv.org/abs/2210.00939" rel="nofollow">Improving Sample Quality of Diffusion Models Using Self-Attention Guidance</a></td> <td align="center">Text-to-Image Generation Unconditional Image Generation</td></tr> <tr><td><a href="./stable_diffusion/image_variation">stable_diffusion_image_variation</a></td> <td><a href="https://github.com/LambdaLabsML/lambda-diffusers#stable-diffusion-image-variations" rel="nofollow">Stable Diffusion Image Variations</a></td> <td align="center">Image-to-Image Generation</td></tr> <tr><td><a href="./stable_diffusion/latent_upscale">stable_diffusion_latent_upscale</a></td> <td><a href="https://twitter.com/StabilityAI/status/1590531958815064065" rel="nofollow">Stable Diffusion Latent Upscaler</a></td> <td align="center">Text-Guided Super Resolution Image-to-Image</td></tr> <tr><td><a href="./api/pipelines/stable_diffusion/model_editing">stable_diffusion_model_editing</a></td> <td><a href="https://time-diffusion.github.io/" rel="nofollow">Editing Implicit Assumptions in Text-to-Image Diffusion Models</a></td> <td align="center">Text-to-Image Model Editing</td></tr> <tr><td><a href="./api/pipelines/stable_diffusion_2">stable_diffusion_2</a></td> <td><a href="https://stability.ai/blog/stable-diffusion-v2-release" rel="nofollow">Stable Diffusion 2</a></td> <td align="center">Text-to-Image Generation</td></tr> <tr><td><a href="./api/pipelines/stable_diffusion_2">stable_diffusion_2</a></td> <td><a href="https://stability.ai/blog/stable-diffusion-v2-release" rel="nofollow">Stable Diffusion 2</a></td> <td align="center">Text-Guided Image Inpainting</td></tr> <tr><td><a href="./api/pipelines/stable_diffusion_2">stable_diffusion_2</a></td> <td><a href="https://github.com/Stability-AI/stablediffusion#depth-conditional-stable-diffusion" rel="nofollow">Depth-Conditional Stable Diffusion</a></td> <td align="center">Depth-to-Image Generation</td></tr> <tr><td><a href="./api/pipelines/stable_diffusion_2">stable_diffusion_2</a></td> <td><a href="https://stability.ai/blog/stable-diffusion-v2-release" rel="nofollow">Stable Diffusion 2</a></td> <td align="center">Text-Guided Super Resolution Image-to-Image</td></tr> <tr><td><a href="./api/pipelines/stable_diffusion_safe">stable_diffusion_safe</a></td> <td><a href="https://arxiv.org/abs/2211.05105" rel="nofollow">Safe Stable Diffusion</a></td> <td align="center">Text-Guided Generation</td></tr> <tr><td><a href="./stable_unclip">stable_unclip</a></td> <td>Stable unCLIP</td> <td align="center">Text-to-Image Generation</td></tr> <tr><td><a href="./stable_unclip">stable_unclip</a></td> <td>Stable unCLIP</td> <td align="center">Image-to-Image Text-Guided Generation</td></tr> <tr><td><a href="./api/pipelines/stochastic_karras_ve">stochastic_karras_ve</a></td> <td><a href="https://arxiv.org/abs/2206.00364" rel="nofollow">Elucidating the Design Space of Diffusion-Based Generative Models</a></td> <td align="center">Unconditional Image Generation</td></tr> <tr><td><a href="./api/pipelines/text_to_video">text_to_video_sd</a></td> <td><a href="https://modelscope.cn/models/damo/text-to-video-synthesis/summary" rel="nofollow">Modelscope’s Text-to-video-synthesis Model in Open Domain</a></td> <td align="center">Text-to-Video Generation</td></tr> <tr><td><a href="./api/pipelines/unclip">unclip</a></td> <td><a href="https://arxiv.org/abs/2204.06125" rel="nofollow">Hierarchical Text-Conditional Image Generation with CLIP Latents</a>(implementation by <a href="https://github.com/kakaobrain/karlo" rel="nofollow">kakaobrain</a>)</td> <td align="center">Text-to-Image Generation</td></tr> <tr><td><a href="./api/pipelines/versatile_diffusion">versatile_diffusion</a></td> <td><a href="https://arxiv.org/abs/2211.08332" rel="nofollow">Versatile Diffusion: Text, Images and Variations All in One Diffusion Model</a></td> <td align="center">Text-to-Image Generation</td></tr> <tr><td><a href="./api/pipelines/versatile_diffusion">versatile_diffusion</a></td> <td><a href="https://arxiv.org/abs/2211.08332" rel="nofollow">Versatile Diffusion: Text, Images and Variations All in One Diffusion Model</a></td> <td align="center">Image Variations Generation</td></tr> <tr><td><a href="./api/pipelines/versatile_diffusion">versatile_diffusion</a></td> <td><a href="https://arxiv.org/abs/2211.08332" rel="nofollow">Versatile Diffusion: Text, Images and Variations All in One Diffusion Model</a></td> <td align="center">Dual Image and Text Guided Generation</td></tr> <tr><td><a href="./api/pipelines/vq_diffusion">vq_diffusion</a></td> <td><a href="https://arxiv.org/abs/2111.14822" rel="nofollow">Vector Quantized Diffusion Model for Text-to-Image Synthesis</a></td> <td align="center">Text-to-Image Generation</td></tr> <tr><td><a href="./api/pipelines/stable_diffusion/ldm3d_diffusion">stable_diffusion_ldm3d</a></td> <td><a href="https://arxiv.org/abs/2305.10853" rel="nofollow">LDM3D: Latent Diffusion Model for 3D</a></td> <td align="center">Text to Image and Depth Generation</td></tr></tbody>',z,P,q;return x=new pe({}),y=new pe({}),{c(){l=n("meta"),k=r(),S=n("p"),C=r(),h=n("p"),h.innerHTML=Q,A=r(),f=n("h1"),g=n("a"),M=n("span"),oe(x.$$.fragment),j=r(),D=n("span"),D.textContent=W,E=r(),v=n("p"),v.innerHTML=J,H=r(),w=n("p"),w.textContent=Y,$=r(),I=n("ul"),I.innerHTML=Z,U=r(),c=n("div"),c.innerHTML=K,R=r(),p=n("h2"),m=n("a"),L=n("span"),oe(y.$$.fragment),B=r(),T=n("span"),T.textContent=X,V=r(),G=n("table"),G.innerHTML=ee,z=r(),P=n("p"),this.h()},l(e){const i=be("svelte-1phssyn",document.head);l=o(i,"META",{name:!0,content:!0}),i.forEach(t),k=d(e),S=o(e,"P",{}),b(S).forEach(t),C=d(e),h=o(e,"P",{align:!0,"data-svelte-h":!0}),_(h)!=="svelte-aksdn0"&&(h.innerHTML=Q),A=d(e),f=o(e,"H1",{class:!0});var N=b(f);g=o(N,"A",{id:!0,class:!0,href:!0});var te=b(g);M=o(te,"SPAN",{});var ie=b(M);re(x.$$.fragment,ie),ie.forEach(t),te.forEach(t),j=d(N),D=o(N,"SPAN",{"data-svelte-h":!0}),_(D)!=="svelte-132emz2"&&(D.textContent=W),N.forEach(t),E=d(e),v=o(e,"P",{"data-svelte-h":!0}),_(v)!=="svelte-1vpau65"&&(v.innerHTML=J),H=d(e),w=o(e,"P",{"data-svelte-h":!0}),_(w)!=="svelte-1jx59eh"&&(w.textContent=Y),$=d(e),I=o(e,"UL",{"data-svelte-h":!0}),_(I)!=="svelte-1859p1b"&&(I.innerHTML=Z),U=d(e),c=o(e,"DIV",{class:!0,"data-svelte-h":!0}),_(c)!=="svelte-1cp7snl"&&(c.innerHTML=K),R=d(e),p=o(e,"H2",{class:!0});var O=b(p);m=o(O,"A",{id:!0,class:!0,href:!0});var ae=b(m);L=o(ae,"SPAN",{});var ne=b(L);re(y.$$.fragment,ne),ne.forEach(t),ae.forEach(t),B=d(O),T=o(O,"SPAN",{"data-svelte-h":!0}),_(T)!=="svelte-1j6zwzq"&&(T.textContent=X),O.forEach(t),V=d(e),G=o(e,"TABLE",{"data-svelte-h":!0}),_(G)!=="svelte-op06al"&&(G.innerHTML=ee),z=d(e),P=o(e,"P",{}),b(P).forEach(t),this.h()},h(){s(l,"name","hf:doc:metadata"),s(l,"content",JSON.stringify(xe)),s(h,"align","center"),s(g,"id","diffusers"),s(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(g,"href","#diffusers"),s(f,"class","relative group"),s(c,"class","mt-10"),s(m,"id","supported-pipelines"),s(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),s(m,"href","#supported-pipelines"),s(p,"class","relative group")},m(e,i){u(document.head,l),a(e,k,i),a(e,S,i),a(e,C,i),a(e,h,i),a(e,A,i),a(e,f,i),u(f,g),u(g,M),de(x,M,null),u(f,j),u(f,D),a(e,E,i),a(e,v,i),a(e,H,i),a(e,w,i),a(e,$,i),a(e,I,i),a(e,U,i),a(e,c,i),a(e,R,i),a(e,p,i),u(p,m),u(m,L),de(y,L,null),u(p,B),u(p,T),a(e,V,i),a(e,G,i),a(e,z,i),a(e,P,i),q=!0},p:he,i(e){q||(se(x.$$.fragment,e),se(y.$$.fragment,e),q=!0)},o(e){le(x.$$.fragment,e),le(y.$$.fragment,e),q=!1},d(e){e&&(t(k),t(S),t(C),t(h),t(A),t(f),t(E),t(v),t(H),t(w),t($),t(I),t(U),t(c),t(R),t(p),t(V),t(G),t(z),t(P)),t(l),fe(x),fe(y)}}}const xe={local:"diffusers",sections:[{local:"supported-pipelines",title:"Supported pipelines"}],title:"Diffusers"};function ve(F){return ge(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ge extends ce{constructor(l){super(),me(this,l,ve,_e,ue,{})}}export{Ge as component};
