import{s as Je,n as Qe,o as Ye}from"../chunks/scheduler.182ea377.js";import{S as Ze,i as et,g as o,s as i,u as A,A as tt,h as n,f as t,c as d,j as f,v as w,y as l,k as m,o as r,a,w as C,d as L,t as N,x as j}from"../chunks/index.caaccc80.js";import{D as te}from"../chunks/Docstring.835fbd1d.js";import{I as Oe}from"../chunks/IconCopyLink.3458bfff.js";function rt(ke){let u,re,J,oe,h,v,Q,O,Pe,K,Ie="Prior Transformer",ne,k,De='The Prior Transformer was originally introduced in <a href="https://huggingface.co/papers/2204.06125" rel="nofollow">Hierarchical Text-Conditional Image Generation with CLIP Latents</a> by Ramesh et al. It is used to predict CLIP image embeddings from CLIP text embeddings; image embeddings are predicted through a denoising diffusion process.',se,I,Ee="The abstract from the paper is:",ie,D,Se="<em>Contrastive models like CLIP have been shown to learn robust representations of images that capture both semantics and style. To leverage these representations for image generation, we propose a two-stage model: a prior that generates a CLIP image embedding given a text caption, and a decoder that generates an image conditioned on the image embedding. We show that explicitly generating image representations improves image diversity with minimal loss in photorealism and caption similarity. Our decoders conditioned on image representations can also produce variations of an image that preserve both its semantics and style, while varying the non-essential details absent from the image representation. Moreover, the joint embedding space of CLIP enables language-guided image manipulations in a zero-shot fashion. We use diffusion models for the decoder and experiment with both autoregressive and diffusion models for the prior, finding that the latter are computationally more efficient and produce higher-quality samples.</em>",de,_,P,Y,E,Te,R,Fe="PriorTransformer",ae,c,S,ye,X,Ve="A Prior Transformer model.",xe,T,F,$e,q,ze='The <a href="/docs/diffusers/main/en/api/models/prior_transformer#diffusers.PriorTransformer">PriorTransformer</a> forward method.',Ae,y,V,we,U,He="Sets the attention processor to use to compute attention.",Ce,x,z,Le,W,Me="Disables custom attention processors and sets the default attention implementation.",me,g,$,Z,H,Ne,B,Ke="PriorTransformerOutput",fe,b,M,je,G,Re='The output of <a href="/docs/diffusers/main/en/api/models/prior_transformer#diffusers.PriorTransformer">PriorTransformer</a>.',ce,ee,le;return O=new Oe({}),E=new Oe({}),S=new te({props:{name:"class diffusers.PriorTransformer",anchor:"diffusers.PriorTransformer",parameters:[{name:"num_attention_heads",val:": int = 32"},{name:"attention_head_dim",val:": int = 64"},{name:"num_layers",val:": int = 20"},{name:"embedding_dim",val:": int = 768"},{name:"num_embeddings",val:" = 77"},{name:"additional_embeddings",val:" = 4"},{name:"dropout",val:": float = 0.0"},{name:"time_embed_act_fn",val:": str = 'silu'"},{name:"norm_in_type",val:": typing.Optional[str] = None"},{name:"embedding_proj_norm_type",val:": typing.Optional[str] = None"},{name:"encoder_hid_proj_type",val:": typing.Optional[str] = 'linear'"},{name:"added_emb_type",val:": typing.Optional[str] = 'prd'"},{name:"time_embed_dim",val:": typing.Optional[int] = None"},{name:"embedding_proj_dim",val:": typing.Optional[int] = None"},{name:"clip_embed_dim",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"diffusers.PriorTransformer.num_attention_heads",description:"<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014; The number of heads to use for multi-head attention.",name:"num_attention_heads"},{anchor:"diffusers.PriorTransformer.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014; The number of channels in each head.",name:"attention_head_dim"},{anchor:"diffusers.PriorTransformer.num_layers",description:"<strong>num_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 20) &#x2014; The number of layers of Transformer blocks to use.",name:"num_layers"},{anchor:"diffusers.PriorTransformer.embedding_dim",description:"<strong>embedding_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014; The dimension of the model input <code>hidden_states</code>",name:"embedding_dim"},{anchor:"diffusers.PriorTransformer.num_embeddings",description:`<strong>num_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 77) &#x2014;
The number of embeddings of the model input <code>hidden_states</code>`,name:"num_embeddings"},{anchor:"diffusers.PriorTransformer.additional_embeddings",description:`<strong>additional_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of additional tokens appended to the
projected <code>hidden_states</code>. The actual length of the used <code>hidden_states</code> is <code>num_embeddings + additional_embeddings</code>.`,name:"additional_embeddings"},{anchor:"diffusers.PriorTransformer.dropout",description:"<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014; The dropout probability to use.",name:"dropout"},{anchor:"diffusers.PriorTransformer.time_embed_act_fn",description:`<strong>time_embed_act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to &#x2018;silu&#x2019;) &#x2014;
The activation function to use to create timestep embeddings.`,name:"time_embed_act_fn"},{anchor:"diffusers.PriorTransformer.norm_in_type",description:`<strong>norm_in_type</strong> (<code>str</code>, <em>optional</em>, defaults to None) &#x2014; The normalization layer to apply on hidden states before
passing to Transformer blocks. Set it to <code>None</code> if normalization is not needed.`,name:"norm_in_type"},{anchor:"diffusers.PriorTransformer.embedding_proj_norm_type",description:`<strong>embedding_proj_norm_type</strong> (<code>str</code>, <em>optional</em>, defaults to None) &#x2014;
The normalization layer to apply on the input <code>proj_embedding</code>. Set it to <code>None</code> if normalization is not
needed.`,name:"embedding_proj_norm_type"},{anchor:"diffusers.PriorTransformer.encoder_hid_proj_type",description:`<strong>encoder_hid_proj_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>linear</code>) &#x2014;
The projection layer to apply on the input <code>encoder_hidden_states</code>. Set it to <code>None</code> if
<code>encoder_hidden_states</code> is <code>None</code>.`,name:"encoder_hid_proj_type"},{anchor:"diffusers.PriorTransformer.added_emb_type",description:`<strong>added_emb_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>prd</code>) &#x2014; Additional embeddings to condition the model.
Choose from <code>prd</code> or <code>None</code>. if choose <code>prd</code>, it will prepend a token indicating the (quantized) dot
product between the text embedding and image embedding as proposed in the unclip paper
<a href="https://arxiv.org/abs/2204.06125" rel="nofollow">https://arxiv.org/abs/2204.06125</a> If it is <code>None</code>, no additional embeddings will be prepended.`,name:"added_emb_type"},{anchor:"diffusers.PriorTransformer.time_embed_dim",description:"<strong>time_embed_dim</strong> (<code>int, *optional*, defaults to None) -- The dimension of timestep embeddings. If None, will be set to </code>num_attention_heads * attention_head_dim`",name:"time_embed_dim"},{anchor:"diffusers.PriorTransformer.embedding_proj_dim",description:`<strong>embedding_proj_dim</strong> (<code>int</code>, <em>optional</em>, default to None) &#x2014;
The dimension of <code>proj_embedding</code>. If None, will be set to <code>embedding_dim</code>.`,name:"embedding_proj_dim"},{anchor:"diffusers.PriorTransformer.clip_embed_dim",description:`<strong>clip_embed_dim</strong> (<code>int</code>, <em>optional</em>, default to None) &#x2014;
The dimension of the output. If None, will be set to <code>embedding_dim</code>.`,name:"clip_embed_dim"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/prior_transformer.py#L36"}}),F=new te({props:{name:"forward",anchor:"diffusers.PriorTransformer.forward",parameters:[{name:"hidden_states",val:""},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"proj_embedding",val:": FloatTensor"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.BoolTensor] = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.PriorTransformer.forward.hidden_states",description:`<strong>hidden_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, embedding_dim)</code>) &#x2014;
The currently predicted image embeddings.`,name:"hidden_states"},{anchor:"diffusers.PriorTransformer.forward.timestep",description:`<strong>timestep</strong> (<code>torch.LongTensor</code>) &#x2014;
Current denoising step.`,name:"timestep"},{anchor:"diffusers.PriorTransformer.forward.proj_embedding",description:`<strong>proj_embedding</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, embedding_dim)</code>) &#x2014;
Projected embedding vector the denoising process is conditioned on.`,name:"proj_embedding"},{anchor:"diffusers.PriorTransformer.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_embeddings, embedding_dim)</code>) &#x2014;
Hidden states of the text embeddings the denoising process is conditioned on.`,name:"encoder_hidden_states"},{anchor:"diffusers.PriorTransformer.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, num_embeddings)</code>) &#x2014;
Text mask for the text embeddings.`,name:"attention_mask"},{anchor:"diffusers.PriorTransformer.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/models/prior_transformer#diffusers.models.prior_transformer.PriorTransformerOutput">PriorTransformerOutput</a> instead of a plain
tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/prior_transformer.py#L247",returnDescription:`
<p>If return_dict is True, a <a
  href="/docs/diffusers/main/en/api/models/prior_transformer#diffusers.models.prior_transformer.PriorTransformerOutput"
>PriorTransformerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/models/prior_transformer#diffusers.models.prior_transformer.PriorTransformerOutput"
>PriorTransformerOutput</a> or <code>tuple</code></p>
`}}),V=new te({props:{name:"set_attn_processor",anchor:"diffusers.PriorTransformer.set_attn_processor",parameters:[{name:"processor",val:": typing.Union[diffusers.models.attention_processor.AttnProcessor, diffusers.models.attention_processor.AttnProcessor2_0, diffusers.models.attention_processor.XFormersAttnProcessor, diffusers.models.attention_processor.SlicedAttnProcessor, diffusers.models.attention_processor.AttnAddedKVProcessor, diffusers.models.attention_processor.SlicedAttnAddedKVProcessor, diffusers.models.attention_processor.AttnAddedKVProcessor2_0, diffusers.models.attention_processor.XFormersAttnAddedKVProcessor, diffusers.models.attention_processor.CustomDiffusionAttnProcessor, diffusers.models.attention_processor.CustomDiffusionXFormersAttnProcessor, diffusers.models.attention_processor.CustomDiffusionAttnProcessor2_0, diffusers.models.attention_processor.LoRAAttnProcessor, diffusers.models.attention_processor.LoRAAttnProcessor2_0, diffusers.models.attention_processor.LoRAXFormersAttnProcessor, diffusers.models.attention_processor.LoRAAttnAddedKVProcessor, typing.Dict[str, typing.Union[diffusers.models.attention_processor.AttnProcessor, diffusers.models.attention_processor.AttnProcessor2_0, diffusers.models.attention_processor.XFormersAttnProcessor, diffusers.models.attention_processor.SlicedAttnProcessor, diffusers.models.attention_processor.AttnAddedKVProcessor, diffusers.models.attention_processor.SlicedAttnAddedKVProcessor, diffusers.models.attention_processor.AttnAddedKVProcessor2_0, diffusers.models.attention_processor.XFormersAttnAddedKVProcessor, diffusers.models.attention_processor.CustomDiffusionAttnProcessor, diffusers.models.attention_processor.CustomDiffusionXFormersAttnProcessor, diffusers.models.attention_processor.CustomDiffusionAttnProcessor2_0, diffusers.models.attention_processor.LoRAAttnProcessor, diffusers.models.attention_processor.LoRAAttnProcessor2_0, diffusers.models.attention_processor.LoRAXFormersAttnProcessor, diffusers.models.attention_processor.LoRAAttnAddedKVProcessor]]]"},{name:"_remove_lora",val:" = False"}],parametersDescription:[{anchor:"diffusers.PriorTransformer.set_attn_processor.processor",description:`<strong>processor</strong> (<code>dict</code> of <code>AttentionProcessor</code> or only <code>AttentionProcessor</code>) &#x2014;
The instantiated processor class or a dictionary of processor classes that will be set as the processor
for <strong>all</strong> <code>Attention</code> layers.</p>
<p>If <code>processor</code> is a dict, the key needs to define the path to the corresponding cross attention
processor. This is strongly recommended when setting trainable attention processors.`,name:"processor"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/prior_transformer.py#L195"}}),z=new te({props:{name:"set_default_attn_processor",anchor:"diffusers.PriorTransformer.set_default_attn_processor",parameters:[],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/prior_transformer.py#L232"}}),H=new Oe({}),M=new te({props:{name:"class diffusers.models.prior_transformer.PriorTransformerOutput",anchor:"diffusers.models.prior_transformer.PriorTransformerOutput",parameters:[{name:"predicted_image_embedding",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.prior_transformer.PriorTransformerOutput.predicted_image_embedding",description:`<strong>predicted_image_embedding</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, embedding_dim)</code>) &#x2014;
The predicted CLIP image embedding conditioned on the CLIP text embedding input.`,name:"predicted_image_embedding"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/prior_transformer.py#L24"}}),{c(){u=o("meta"),re=i(),J=o("p"),oe=i(),h=o("h1"),v=o("a"),Q=o("span"),A(O.$$.fragment),Pe=i(),K=o("span"),K.textContent=Ie,ne=i(),k=o("p"),k.innerHTML=De,se=i(),I=o("p"),I.textContent=Ee,ie=i(),D=o("p"),D.innerHTML=Se,de=i(),_=o("h2"),P=o("a"),Y=o("span"),A(E.$$.fragment),Te=i(),R=o("span"),R.textContent=Fe,ae=i(),c=o("div"),A(S.$$.fragment),ye=i(),X=o("p"),X.textContent=Ve,xe=i(),T=o("div"),A(F.$$.fragment),$e=i(),q=o("p"),q.innerHTML=ze,Ae=i(),y=o("div"),A(V.$$.fragment),we=i(),U=o("p"),U.textContent=He,Ce=i(),x=o("div"),A(z.$$.fragment),Le=i(),W=o("p"),W.textContent=Me,me=i(),g=o("h2"),$=o("a"),Z=o("span"),A(H.$$.fragment),Ne=i(),B=o("span"),B.textContent=Ke,fe=i(),b=o("div"),A(M.$$.fragment),je=i(),G=o("p"),G.innerHTML=Re,ce=i(),ee=o("p"),this.h()},l(e){const s=tt("svelte-1phssyn",document.head);u=n(s,"META",{name:!0,content:!0}),s.forEach(t),re=d(e),J=n(e,"P",{}),f(J).forEach(t),oe=d(e),h=n(e,"H1",{class:!0});var pe=f(h);v=n(pe,"A",{id:!0,class:!0,href:!0});var Xe=f(v);Q=n(Xe,"SPAN",{});var qe=f(Q);w(O.$$.fragment,qe),qe.forEach(t),Xe.forEach(t),Pe=d(pe),K=n(pe,"SPAN",{"data-svelte-h":!0}),l(K)!=="svelte-vb9rak"&&(K.textContent=Ie),pe.forEach(t),ne=d(e),k=n(e,"P",{"data-svelte-h":!0}),l(k)!=="svelte-1t92tiq"&&(k.innerHTML=De),se=d(e),I=n(e,"P",{"data-svelte-h":!0}),l(I)!=="svelte-1cwsb16"&&(I.textContent=Ee),ie=d(e),D=n(e,"P",{"data-svelte-h":!0}),l(D)!=="svelte-ha34c8"&&(D.innerHTML=Se),de=d(e),_=n(e,"H2",{class:!0});var ue=f(_);P=n(ue,"A",{id:!0,class:!0,href:!0});var Ue=f(P);Y=n(Ue,"SPAN",{});var We=f(Y);w(E.$$.fragment,We),We.forEach(t),Ue.forEach(t),Te=d(ue),R=n(ue,"SPAN",{"data-svelte-h":!0}),l(R)!=="svelte-148p2aw"&&(R.textContent=Fe),ue.forEach(t),ae=d(e),c=n(e,"DIV",{class:!0});var p=f(c);w(S.$$.fragment,p),ye=d(p),X=n(p,"P",{"data-svelte-h":!0}),l(X)!=="svelte-jdqpwr"&&(X.textContent=Ve),xe=d(p),T=n(p,"DIV",{class:!0});var he=f(T);w(F.$$.fragment,he),$e=d(he),q=n(he,"P",{"data-svelte-h":!0}),l(q)!=="svelte-h5z70v"&&(q.innerHTML=ze),he.forEach(t),Ae=d(p),y=n(p,"DIV",{class:!0});var _e=f(y);w(V.$$.fragment,_e),we=d(_e),U=n(_e,"P",{"data-svelte-h":!0}),l(U)!=="svelte-1o77hl2"&&(U.textContent=He),_e.forEach(t),Ce=d(p),x=n(p,"DIV",{class:!0});var ge=f(x);w(z.$$.fragment,ge),Le=d(ge),W=n(ge,"P",{"data-svelte-h":!0}),l(W)!=="svelte-1lxcwhv"&&(W.textContent=Me),ge.forEach(t),p.forEach(t),me=d(e),g=n(e,"H2",{class:!0});var be=f(g);$=n(be,"A",{id:!0,class:!0,href:!0});var Be=f($);Z=n(Be,"SPAN",{});var Ge=f(Z);w(H.$$.fragment,Ge),Ge.forEach(t),Be.forEach(t),Ne=d(be),B=n(be,"SPAN",{"data-svelte-h":!0}),l(B)!=="svelte-ent30z"&&(B.textContent=Ke),be.forEach(t),fe=d(e),b=n(e,"DIV",{class:!0});var ve=f(b);w(M.$$.fragment,ve),je=d(ve),G=n(ve,"P",{"data-svelte-h":!0}),l(G)!=="svelte-1lr1yjr"&&(G.innerHTML=Re),ve.forEach(t),ce=d(e),ee=n(e,"P",{}),f(ee).forEach(t),this.h()},h(){m(u,"name","hf:doc:metadata"),m(u,"content",JSON.stringify(ot)),m(v,"id","prior-transformer"),m(v,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(v,"href","#prior-transformer"),m(h,"class","relative group"),m(P,"id","diffusers.PriorTransformer"),m(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(P,"href","#diffusers.PriorTransformer"),m(_,"class","relative group"),m(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(c,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m($,"id","diffusers.models.prior_transformer.PriorTransformerOutput"),m($,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m($,"href","#diffusers.models.prior_transformer.PriorTransformerOutput"),m(g,"class","relative group"),m(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){r(document.head,u),a(e,re,s),a(e,J,s),a(e,oe,s),a(e,h,s),r(h,v),r(v,Q),C(O,Q,null),r(h,Pe),r(h,K),a(e,ne,s),a(e,k,s),a(e,se,s),a(e,I,s),a(e,ie,s),a(e,D,s),a(e,de,s),a(e,_,s),r(_,P),r(P,Y),C(E,Y,null),r(_,Te),r(_,R),a(e,ae,s),a(e,c,s),C(S,c,null),r(c,ye),r(c,X),r(c,xe),r(c,T),C(F,T,null),r(T,$e),r(T,q),r(c,Ae),r(c,y),C(V,y,null),r(y,we),r(y,U),r(c,Ce),r(c,x),C(z,x,null),r(x,Le),r(x,W),a(e,me,s),a(e,g,s),r(g,$),r($,Z),C(H,Z,null),r(g,Ne),r(g,B),a(e,fe,s),a(e,b,s),C(M,b,null),r(b,je),r(b,G),a(e,ce,s),a(e,ee,s),le=!0},p:Qe,i(e){le||(L(O.$$.fragment,e),L(E.$$.fragment,e),L(S.$$.fragment,e),L(F.$$.fragment,e),L(V.$$.fragment,e),L(z.$$.fragment,e),L(H.$$.fragment,e),L(M.$$.fragment,e),le=!0)},o(e){N(O.$$.fragment,e),N(E.$$.fragment,e),N(S.$$.fragment,e),N(F.$$.fragment,e),N(V.$$.fragment,e),N(z.$$.fragment,e),N(H.$$.fragment,e),N(M.$$.fragment,e),le=!1},d(e){e&&(t(re),t(J),t(oe),t(h),t(ne),t(k),t(se),t(I),t(ie),t(D),t(de),t(_),t(ae),t(c),t(me),t(g),t(fe),t(b),t(ce),t(ee)),t(u),j(O),j(E),j(S),j(F),j(V),j(z),j(H),j(M)}}}const ot={local:"prior-transformer",sections:[{local:"diffusers.PriorTransformer",title:"PriorTransformer"},{local:"diffusers.models.prior_transformer.PriorTransformerOutput",title:"PriorTransformerOutput"}],title:"Prior Transformer"};function nt(ke){return Ye(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class mt extends Ze{constructor(u){super(),et(this,u,nt,rt,Je,{})}}export{mt as component};
