import{s as Pe,z as xe,o as Me,n as Ce}from"../chunks/scheduler.182ea377.js";import{S as Ze,i as je,g as o,s as a,u as H,A as Ue,h as l,f as n,c as s,j as V,v as D,y as p,k as m,o as R,a as i,w as W,d as E,t as G,x as J}from"../chunks/index.caaccc80.js";import{T as Le}from"../chunks/Tip.e9d11def.js";import{I as He}from"../chunks/IconCopyLink.3458bfff.js";import{C as pe}from"../chunks/CodeBlock.0267483e.js";import{D as De}from"../chunks/DocNotebookDropdown.3c3278cc.js";function We(z){let r,d='💡 Want to train your own unconditional image generation model? Take a look at the training <a href="training/unconditional_training">guide</a> to learn how to generate your own images.';return{c(){r=o("p"),r.innerHTML=d},l(f){r=l(f,"P",{"data-svelte-h":!0}),p(r)!=="svelte-vx68wx"&&(r.innerHTML=d)},m(f,q){i(f,r,q)},p:Ce,d(f){f&&n(r)}}}function Ee(z){let r,d,f,q,c,g,S,b,ue,I,me="Unconditional image generation",B,w,N,y,ce="Unconditional image generation is a relatively straightforward task. The model only generates images - without any additional context like text or an image - resembling the training data it was trained on.",A,v,ge='The <a href="/docs/diffusers/main/en/api/pipelines/overview#diffusers.DiffusionPipeline">DiffusionPipeline</a> is the easiest way to use a pre-trained diffusion system for inference.',K,$,he=`Start by creating an instance of <a href="/docs/diffusers/main/en/api/pipelines/overview#diffusers.DiffusionPipeline">DiffusionPipeline</a> and specify which pipeline checkpoint you would like to download.
You can use any of the 🧨 Diffusers <a href="https://huggingface.co/models?library=diffusers&amp;sort=downloads" rel="nofollow">checkpoints</a> from the Hub (the checkpoint you’ll use generates images of butterflies).`,Y,h,Q,_,de='In this guide, you’ll use <a href="/docs/diffusers/main/en/api/pipelines/overview#diffusers.DiffusionPipeline">DiffusionPipeline</a> for unconditional image generation with <a href="https://arxiv.org/abs/2006.11239" rel="nofollow">DDPM</a>:',X,k,O,T,be=`The <a href="/docs/diffusers/main/en/api/pipelines/overview#diffusers.DiffusionPipeline">DiffusionPipeline</a> downloads and caches all modeling, tokenization, and scheduling components.
Because the model consists of roughly 1.4 billion parameters, we strongly recommend running it on a GPU.
You can move the generator object to a GPU, just like you would in PyTorch:`,ee,P,te,x,we="Now you can use the <code>generator</code> to generate an image:",ne,M,ie,C,ye='The output is by default wrapped into a <a href="https://pillow.readthedocs.io/en/stable/reference/Image.html?highlight=image#the-image-class" rel="nofollow"><code>PIL.Image</code></a> object.',ae,Z,ve="You can save the image by calling:",se,j,oe,U,$e="Try out the Spaces below, and feel free to play around with the inference steps parameter to see how it affects the image quality!",le,u,_e,re,F,fe;return b=new He({}),w=new De({props:{classNames:"absolute z-10 right-0 top-0",options:[{label:"Mixed",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/en/unconditional_image_generation.ipynb"},{label:"PyTorch",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/en/pytorch/unconditional_image_generation.ipynb"},{label:"TensorFlow",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/en/tensorflow/unconditional_image_generation.ipynb"},{label:"Mixed",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/en/unconditional_image_generation.ipynb"},{label:"PyTorch",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/en/pytorch/unconditional_image_generation.ipynb"},{label:"TensorFlow",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/en/tensorflow/unconditional_image_generation.ipynb"}]}}),h=new Le({props:{$$slots:{default:[We]},$$scope:{ctx:z}}}),k=new pe({props:{code:"ZnJvbSUyMGRpZmZ1c2VycyUyMGltcG9ydCUyMERpZmZ1c2lvblBpcGVsaW5lJTBBJTBBZ2VuZXJhdG9yJTIwJTNEJTIwRGlmZnVzaW9uUGlwZWxpbmUuZnJvbV9wcmV0cmFpbmVkKCUyMmFudG9uLWwlMkZkZHBtLWJ1dHRlcmZsaWVzLTEyOCUyMiUyQyUyMHVzZV9zYWZldGVuc29ycyUzRFRydWUp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>generator = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;anton-l/ddpm-butterflies-128&quot;</span>, use_safetensors=<span class="hljs-literal">True</span>)`,wrap:!1}}),P=new pe({props:{code:"Z2VuZXJhdG9yLnRvKCUyMmN1ZGElMjIp",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>generator.to(<span class="hljs-string">&quot;cuda&quot;</span>)',wrap:!1}}),M=new pe({props:{code:"aW1hZ2UlMjAlM0QlMjBnZW5lcmF0b3IoKS5pbWFnZXMlNUIwJTVE",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>image = generator().images[<span class="hljs-number">0</span>]',wrap:!1}}),j=new pe({props:{code:"aW1hZ2Uuc2F2ZSglMjJnZW5lcmF0ZWRfaW1hZ2UucG5nJTIyKQ==",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>image.save(<span class="hljs-string">&quot;generated_image.png&quot;</span>)',wrap:!1}}),{c(){r=o("meta"),d=a(),f=o("p"),q=a(),c=o("h1"),g=o("a"),S=o("span"),H(b.$$.fragment),ue=a(),I=o("span"),I.textContent=me,B=a(),H(w.$$.fragment),N=a(),y=o("p"),y.textContent=ce,A=a(),v=o("p"),v.innerHTML=ge,K=a(),$=o("p"),$.innerHTML=he,Y=a(),H(h.$$.fragment),Q=a(),_=o("p"),_.innerHTML=de,X=a(),H(k.$$.fragment),O=a(),T=o("p"),T.innerHTML=be,ee=a(),H(P.$$.fragment),te=a(),x=o("p"),x.innerHTML=we,ne=a(),H(M.$$.fragment),ie=a(),C=o("p"),C.innerHTML=ye,ae=a(),Z=o("p"),Z.textContent=ve,se=a(),H(j.$$.fragment),oe=a(),U=o("p"),U.textContent=$e,le=a(),u=o("iframe"),re=a(),F=o("p"),this.h()},l(e){const t=Ue("svelte-1phssyn",document.head);r=l(t,"META",{name:!0,content:!0}),t.forEach(n),d=s(e),f=l(e,"P",{}),V(f).forEach(n),q=s(e),c=l(e,"H1",{class:!0});var L=V(c);g=l(L,"A",{id:!0,class:!0,href:!0});var ke=V(g);S=l(ke,"SPAN",{});var Te=V(S);D(b.$$.fragment,Te),Te.forEach(n),ke.forEach(n),ue=s(L),I=l(L,"SPAN",{"data-svelte-h":!0}),p(I)!=="svelte-sygj17"&&(I.textContent=me),L.forEach(n),B=s(e),D(w.$$.fragment,e),N=s(e),y=l(e,"P",{"data-svelte-h":!0}),p(y)!=="svelte-1s4jzli"&&(y.textContent=ce),A=s(e),v=l(e,"P",{"data-svelte-h":!0}),p(v)!=="svelte-13s4k5x"&&(v.innerHTML=ge),K=s(e),$=l(e,"P",{"data-svelte-h":!0}),p($)!=="svelte-ofq2yy"&&($.innerHTML=he),Y=s(e),D(h.$$.fragment,e),Q=s(e),_=l(e,"P",{"data-svelte-h":!0}),p(_)!=="svelte-1q3mqv8"&&(_.innerHTML=de),X=s(e),D(k.$$.fragment,e),O=s(e),T=l(e,"P",{"data-svelte-h":!0}),p(T)!=="svelte-1y9fnbf"&&(T.innerHTML=be),ee=s(e),D(P.$$.fragment,e),te=s(e),x=l(e,"P",{"data-svelte-h":!0}),p(x)!=="svelte-fr79tl"&&(x.innerHTML=we),ne=s(e),D(M.$$.fragment,e),ie=s(e),C=l(e,"P",{"data-svelte-h":!0}),p(C)!=="svelte-1n0jmoo"&&(C.innerHTML=ye),ae=s(e),Z=l(e,"P",{"data-svelte-h":!0}),p(Z)!=="svelte-1v6wxor"&&(Z.textContent=ve),se=s(e),D(j.$$.fragment,e),oe=s(e),U=l(e,"P",{"data-svelte-h":!0}),p(U)!=="svelte-qb1yds"&&(U.textContent=$e),le=s(e),u=l(e,"IFRAME",{src:!0,frameborder:!0,width:!0,height:!0}),V(u).forEach(n),re=s(e),F=l(e,"P",{}),V(F).forEach(n),this.h()},h(){m(r,"name","hf:doc:metadata"),m(r,"content",JSON.stringify(Ge)),m(g,"id","unconditional-image-generation"),m(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(g,"href","#unconditional-image-generation"),m(c,"class","relative group"),xe(u.src,_e="https://stevhliu-ddpm-butterflies-128.hf.space")||m(u,"src",_e),m(u,"frameborder","0"),m(u,"width","850"),m(u,"height","500")},m(e,t){R(document.head,r),i(e,d,t),i(e,f,t),i(e,q,t),i(e,c,t),R(c,g),R(g,S),W(b,S,null),R(c,ue),R(c,I),i(e,B,t),W(w,e,t),i(e,N,t),i(e,y,t),i(e,A,t),i(e,v,t),i(e,K,t),i(e,$,t),i(e,Y,t),W(h,e,t),i(e,Q,t),i(e,_,t),i(e,X,t),W(k,e,t),i(e,O,t),i(e,T,t),i(e,ee,t),W(P,e,t),i(e,te,t),i(e,x,t),i(e,ne,t),W(M,e,t),i(e,ie,t),i(e,C,t),i(e,ae,t),i(e,Z,t),i(e,se,t),W(j,e,t),i(e,oe,t),i(e,U,t),i(e,le,t),i(e,u,t),i(e,re,t),i(e,F,t),fe=!0},p(e,[t]){const L={};t&2&&(L.$$scope={dirty:t,ctx:e}),h.$set(L)},i(e){fe||(E(b.$$.fragment,e),E(w.$$.fragment,e),E(h.$$.fragment,e),E(k.$$.fragment,e),E(P.$$.fragment,e),E(M.$$.fragment,e),E(j.$$.fragment,e),fe=!0)},o(e){G(b.$$.fragment,e),G(w.$$.fragment,e),G(h.$$.fragment,e),G(k.$$.fragment,e),G(P.$$.fragment,e),G(M.$$.fragment,e),G(j.$$.fragment,e),fe=!1},d(e){e&&(n(d),n(f),n(q),n(c),n(B),n(N),n(y),n(A),n(v),n(K),n($),n(Y),n(Q),n(_),n(X),n(O),n(T),n(ee),n(te),n(x),n(ne),n(ie),n(C),n(ae),n(Z),n(se),n(oe),n(U),n(le),n(u),n(re),n(F)),n(r),J(b),J(w,e),J(h,e),J(k,e),J(P,e),J(M,e),J(j,e)}}}const Ge={local:"unconditional-image-generation",title:"Unconditional image generation"};function Je(z){return Me(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ze extends Ze{constructor(r){super(),je(this,r,Je,Ee,Pe,{})}}export{ze as component};
