import{s as _t,n as gt,o as vt}from"../chunks/scheduler.182ea377.js";import{S as bt,i as Ct,g as n,s as r,u as h,A as Dt,h as s,f as o,c as i,j as u,v as _,y as m,k as l,o as t,a as c,w as g,d as v,t as b,x as C}from"../chunks/index.caaccc80.js";import{D as X}from"../chunks/Docstring.835fbd1d.js";import{I as je}from"../chunks/IconCopyLink.3458bfff.js";function wt(We){let D,ue,ie,fe,w,$,ae,L,Te,j,Ge="UNet3DConditionModel",me,q,Je='The <a href="https://huggingface.co/papers/1505.04597" rel="nofollow">UNet</a> model was originally introduced by Ronneberger et al for biomedical image segmentation, but it is also commonly used in 🤗 Diffusers because it outputs images that are the same size as the input. It is one of the most important components of a diffusion system because it facilitates the actual diffusion process. There are several variants of the UNet model in 🤗 Diffusers, depending on it’s number of dimensions and whether it is a conditional model or not. This is a 3D UNet conditional model.',pe,I,Qe="The abstract from the paper is:",he,O,Ye='<em>There is large consent that successful training of deep networks requires many thousand annotated training samples. In this paper, we present a network and training strategy that relies on the strong use of data augmentation to use the available annotated samples more efficiently. The architecture consists of a contracting path to capture context and a symmetric expanding path that enables precise localization. We show that such a network can be trained end-to-end from very few images and outperforms the prior best method (a sliding-window convolutional network) on the ISBI challenge for segmentation of neuronal structures in electron microscopic stacks. Using the same network trained on transmitted light microscopy images (phase contrast and DIC) we won the ISBI cell tracking challenge 2015 in these categories by a large margin. Moreover, the network is fast. Segmentation of a 512x512 image takes less than a second on a recent GPU. The full implementation (based on Caffe) and the trained networks are available at <a href="http://lmb.informatik.uni-freiburg.de/people/ronneber/u-net" rel="nofollow">http://lmb.informatik.uni-freiburg.de/people/ronneber/u-net</a>.</em>',_e,y,N,de,z,Me,W,Ze="UNet3DConditionModel",ge,d,E,Pe,G,et=`A conditional 3D UNet model that takes a noisy sample, conditional state, and a timestep and returns a sample
shaped output.`,Le,J,tt=`This model inherits from <a href="/docs/diffusers/main/en/api/models/overview#diffusers.ModelMixin">ModelMixin</a>. Check the superclass documentation for it’s generic methods implemented
for all models (such as downloading or saving).`,qe,A,S,Ie,Q,ot=`Sets the attention processor to use <a href="https://huggingface.co/blog/reformer#2-chunked-feed-forward-layers" rel="nofollow">feed forward
chunking</a>.`,Oe,U,B,ze,Y,nt='The <a href="/docs/diffusers/main/en/api/models/unet3d-cond#diffusers.UNet3DConditionModel">UNet3DConditionModel</a> forward method.',Ee,p,V,Se,Z,st="Enable sliced attention computation.",Be,ee,rt=`When this option is enabled, the attention module splits the input tensor in slices to compute attention in
several steps. This is useful for saving some memory in exchange for a small decrease in speed.`,Ve,T,H,He,te,it="Sets the attention processor to use to compute attention.",Fe,M,F,Ke,oe,at="Disables custom attention processors and sets the default attention implementation.",ve,k,P,le,K,Re,ne,dt="UNet3DConditionOutput",be,x,R,Xe,se,lt='The output of <a href="/docs/diffusers/main/en/api/models/unet3d-cond#diffusers.UNet3DConditionModel">UNet3DConditionModel</a>.',Ce,ce,De;return L=new je({}),z=new je({}),E=new X({props:{name:"class diffusers.UNet3DConditionModel",anchor:"diffusers.UNet3DConditionModel",parameters:[{name:"sample_size",val:": typing.Optional[int] = None"},{name:"in_channels",val:": int = 4"},{name:"out_channels",val:": int = 4"},{name:"down_block_types",val:": typing.Tuple[str] = ('CrossAttnDownBlock3D', 'CrossAttnDownBlock3D', 'CrossAttnDownBlock3D', 'DownBlock3D')"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpBlock3D', 'CrossAttnUpBlock3D', 'CrossAttnUpBlock3D', 'CrossAttnUpBlock3D')"},{name:"block_out_channels",val:": typing.Tuple[int] = (320, 640, 1280, 1280)"},{name:"layers_per_block",val:": int = 2"},{name:"downsample_padding",val:": int = 1"},{name:"mid_block_scale_factor",val:": float = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"norm_num_groups",val:": typing.Optional[int] = 32"},{name:"norm_eps",val:": float = 1e-05"},{name:"cross_attention_dim",val:": int = 1024"},{name:"attention_head_dim",val:": typing.Union[int, typing.Tuple[int]] = 64"},{name:"num_attention_heads",val:": typing.Union[int, typing.Tuple[int], NoneType] = None"}],parametersDescription:[{anchor:"diffusers.UNet3DConditionModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code> or <code>Tuple[int, int]</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Height and width of input/output sample.`,name:"sample_size"},{anchor:"diffusers.UNet3DConditionModel.in_channels",description:"<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of channels in the input sample.",name:"in_channels"},{anchor:"diffusers.UNet3DConditionModel.out_channels",description:"<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of channels in the output.",name:"out_channels"},{anchor:"diffusers.UNet3DConditionModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;DownBlock2D&quot;)</code>) &#x2014;
The tuple of downsample blocks to use.`,name:"down_block_types"},{anchor:"diffusers.UNet3DConditionModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;UpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;)</code>) &#x2014;
The tuple of upsample blocks to use.`,name:"up_block_types"},{anchor:"diffusers.UNet3DConditionModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to <code>(320, 640, 1280, 1280)</code>) &#x2014;
The tuple of output channels for each block.`,name:"block_out_channels"},{anchor:"diffusers.UNet3DConditionModel.layers_per_block",description:"<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014; The number of layers per block.",name:"layers_per_block"},{anchor:"diffusers.UNet3DConditionModel.downsample_padding",description:"<strong>downsample_padding</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014; The padding to use for the downsampling convolution.",name:"downsample_padding"},{anchor:"diffusers.UNet3DConditionModel.mid_block_scale_factor",description:"<strong>mid_block_scale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014; The scale factor to use for the mid block.",name:"mid_block_scale_factor"},{anchor:"diffusers.UNet3DConditionModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.UNet3DConditionModel.norm_num_groups",description:`<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014; The number of groups to use for the normalization.
If <code>None</code>, normalization and activation layers is skipped in post-processing.`,name:"norm_num_groups"},{anchor:"diffusers.UNet3DConditionModel.norm_eps",description:"<strong>norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-5) &#x2014; The epsilon to use for the normalization.",name:"norm_eps"},{anchor:"diffusers.UNet3DConditionModel.cross_attention_dim",description:"<strong>cross_attention_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 1280) &#x2014; The dimension of the cross attention features.",name:"cross_attention_dim"},{anchor:"diffusers.UNet3DConditionModel.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014; The dimension of the attention heads.",name:"attention_head_dim"},{anchor:"diffusers.UNet3DConditionModel.num_attention_heads",description:"<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>) &#x2014; The number of attention heads.",name:"num_attention_heads"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/unet_3d_condition.py#L62"}}),S=new X({props:{name:"enable_forward_chunking",anchor:"diffusers.UNet3DConditionModel.enable_forward_chunking",parameters:[{name:"chunk_size",val:" = None"},{name:"dim",val:" = 0"}],parametersDescription:[{anchor:"diffusers.UNet3DConditionModel.enable_forward_chunking.chunk_size",description:`<strong>chunk_size</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The chunk size of the feed-forward layers. If not specified, will run feed-forward layer individually
over each tensor of dim=<code>dim</code>.`,name:"chunk_size"},{anchor:"diffusers.UNet3DConditionModel.enable_forward_chunking.dim",description:`<strong>dim</strong> (<code>int</code>, <em>optional</em>, defaults to <code>0</code>) &#x2014;
The dimension over which the feed-forward computation should be chunked. Choose between dim=0 (batch)
or dim=1 (sequence length).`,name:"dim"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/unet_3d_condition.py#L405"}}),B=new X({props:{name:"forward",anchor:"diffusers.UNet3DConditionModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"encoder_hidden_states",val:": Tensor"},{name:"class_labels",val:": typing.Optional[torch.Tensor] = None"},{name:"timestep_cond",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attention_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"down_block_additional_residuals",val:": typing.Optional[typing.Tuple[torch.Tensor]] = None"},{name:"mid_block_additional_residual",val:": typing.Optional[torch.Tensor] = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.UNet3DConditionModel.forward.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The noisy input tensor with the following shape <code>(batch, num_frames, channel, height, width</code>.`,name:"sample"},{anchor:"diffusers.UNet3DConditionModel.forward.timestep",description:"<strong>timestep</strong> (<code>torch.FloatTensor</code> or <code>float</code> or <code>int</code>) &#x2014; The number of timesteps to denoise an input.",name:"timestep"},{anchor:"diffusers.UNet3DConditionModel.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder hidden states with shape <code>(batch, sequence_length, feature_dim)</code>.`,name:"encoder_hidden_states"},{anchor:"diffusers.UNet3DConditionModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/models/unet3d-cond#diffusers.models.unet_3d_condition.UNet3DConditionOutput">UNet3DConditionOutput</a> instead of a plain
tuple.`,name:"return_dict"},{anchor:"diffusers.UNet3DConditionModel.forward.cross_attention_kwargs",description:`<strong>cross_attention_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
A kwargs dictionary that if specified is passed along to the <code>AttnProcessor</code>.`,name:"cross_attention_kwargs"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/unet_3d_condition.py#L465",returnDescription:`
<p>If <code>return_dict</code> is True, an <a
  href="/docs/diffusers/main/en/api/models/unet3d-cond#diffusers.models.unet_3d_condition.UNet3DConditionOutput"
>UNet3DConditionOutput</a> is returned, otherwise
a <code>tuple</code> is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/models/unet3d-cond#diffusers.models.unet_3d_condition.UNet3DConditionOutput"
>UNet3DConditionOutput</a> or <code>tuple</code></p>
`}}),V=new X({props:{name:"set_attention_slice",anchor:"diffusers.UNet3DConditionModel.set_attention_slice",parameters:[{name:"slice_size",val:""}],parametersDescription:[{anchor:"diffusers.UNet3DConditionModel.set_attention_slice.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code> or <code>list(int)</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, input to the attention heads is halved, so attention is computed in two steps. If
<code>&quot;max&quot;</code>, maximum amount of memory is saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/unet_3d_condition.py#L303"}}),H=new X({props:{name:"set_attn_processor",anchor:"diffusers.UNet3DConditionModel.set_attn_processor",parameters:[{name:"processor",val:": typing.Union[diffusers.models.attention_processor.AttnProcessor, diffusers.models.attention_processor.AttnProcessor2_0, diffusers.models.attention_processor.XFormersAttnProcessor, diffusers.models.attention_processor.SlicedAttnProcessor, diffusers.models.attention_processor.AttnAddedKVProcessor, diffusers.models.attention_processor.SlicedAttnAddedKVProcessor, diffusers.models.attention_processor.AttnAddedKVProcessor2_0, diffusers.models.attention_processor.XFormersAttnAddedKVProcessor, diffusers.models.attention_processor.CustomDiffusionAttnProcessor, diffusers.models.attention_processor.CustomDiffusionXFormersAttnProcessor, diffusers.models.attention_processor.CustomDiffusionAttnProcessor2_0, diffusers.models.attention_processor.LoRAAttnProcessor, diffusers.models.attention_processor.LoRAAttnProcessor2_0, diffusers.models.attention_processor.LoRAXFormersAttnProcessor, diffusers.models.attention_processor.LoRAAttnAddedKVProcessor, typing.Dict[str, typing.Union[diffusers.models.attention_processor.AttnProcessor, diffusers.models.attention_processor.AttnProcessor2_0, diffusers.models.attention_processor.XFormersAttnProcessor, diffusers.models.attention_processor.SlicedAttnProcessor, diffusers.models.attention_processor.AttnAddedKVProcessor, diffusers.models.attention_processor.SlicedAttnAddedKVProcessor, diffusers.models.attention_processor.AttnAddedKVProcessor2_0, diffusers.models.attention_processor.XFormersAttnAddedKVProcessor, diffusers.models.attention_processor.CustomDiffusionAttnProcessor, diffusers.models.attention_processor.CustomDiffusionXFormersAttnProcessor, diffusers.models.attention_processor.CustomDiffusionAttnProcessor2_0, diffusers.models.attention_processor.LoRAAttnProcessor, diffusers.models.attention_processor.LoRAAttnProcessor2_0, diffusers.models.attention_processor.LoRAXFormersAttnProcessor, diffusers.models.attention_processor.LoRAAttnAddedKVProcessor]]]"},{name:"_remove_lora",val:" = False"}],parametersDescription:[{anchor:"diffusers.UNet3DConditionModel.set_attn_processor.processor",description:`<strong>processor</strong> (<code>dict</code> of <code>AttentionProcessor</code> or only <code>AttentionProcessor</code>) &#x2014;
The instantiated processor class or a dictionary of processor classes that will be set as the processor
for <strong>all</strong> <code>Attention</code> layers.</p>
<p>If <code>processor</code> is a dict, the key needs to define the path to the corresponding cross attention
processor. This is strongly recommended when setting trainable attention processors.`,name:"processor"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/unet_3d_condition.py#L369"}}),F=new X({props:{name:"set_default_attn_processor",anchor:"diffusers.UNet3DConditionModel.set_default_attn_processor",parameters:[],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/unet_3d_condition.py#L446"}}),K=new je({}),R=new X({props:{name:"class diffusers.models.unet_3d_condition.UNet3DConditionOutput",anchor:"diffusers.models.unet_3d_condition.UNet3DConditionOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.unet_3d_condition.UNet3DConditionOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_frames, num_channels, height, width)</code>) &#x2014;
The hidden states output conditioned on <code>encoder_hidden_states</code> input. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/unet_3d_condition.py#L50"}}),{c(){D=n("meta"),ue=r(),ie=n("p"),fe=r(),w=n("h1"),$=n("a"),ae=n("span"),h(L.$$.fragment),Te=r(),j=n("span"),j.textContent=Ge,me=r(),q=n("p"),q.innerHTML=Je,pe=r(),I=n("p"),I.textContent=Qe,he=r(),O=n("p"),O.innerHTML=Ye,_e=r(),y=n("h2"),N=n("a"),de=n("span"),h(z.$$.fragment),Me=r(),W=n("span"),W.textContent=Ze,ge=r(),d=n("div"),h(E.$$.fragment),Pe=r(),G=n("p"),G.textContent=et,Le=r(),J=n("p"),J.innerHTML=tt,qe=r(),A=n("div"),h(S.$$.fragment),Ie=r(),Q=n("p"),Q.innerHTML=ot,Oe=r(),U=n("div"),h(B.$$.fragment),ze=r(),Y=n("p"),Y.innerHTML=nt,Ee=r(),p=n("div"),h(V.$$.fragment),Se=r(),Z=n("p"),Z.textContent=st,Be=r(),ee=n("p"),ee.textContent=rt,Ve=r(),T=n("div"),h(H.$$.fragment),He=r(),te=n("p"),te.textContent=it,Fe=r(),M=n("div"),h(F.$$.fragment),Ke=r(),oe=n("p"),oe.textContent=at,ve=r(),k=n("h2"),P=n("a"),le=n("span"),h(K.$$.fragment),Re=r(),ne=n("span"),ne.textContent=dt,be=r(),x=n("div"),h(R.$$.fragment),Xe=r(),se=n("p"),se.innerHTML=lt,Ce=r(),ce=n("p"),this.h()},l(e){const a=Dt("svelte-1phssyn",document.head);D=s(a,"META",{name:!0,content:!0}),a.forEach(o),ue=i(e),ie=s(e,"P",{}),u(ie).forEach(o),fe=i(e),w=s(e,"H1",{class:!0});var we=u(w);$=s(we,"A",{id:!0,class:!0,href:!0});var ct=u($);ae=s(ct,"SPAN",{});var ut=u(ae);_(L.$$.fragment,ut),ut.forEach(o),ct.forEach(o),Te=i(we),j=s(we,"SPAN",{"data-svelte-h":!0}),m(j)!=="svelte-cohuh8"&&(j.textContent=Ge),we.forEach(o),me=i(e),q=s(e,"P",{"data-svelte-h":!0}),m(q)!=="svelte-1ancdc6"&&(q.innerHTML=Je),pe=i(e),I=s(e,"P",{"data-svelte-h":!0}),m(I)!=="svelte-1cwsb16"&&(I.textContent=Qe),he=i(e),O=s(e,"P",{"data-svelte-h":!0}),m(O)!=="svelte-12epiox"&&(O.innerHTML=Ye),_e=i(e),y=s(e,"H2",{class:!0});var ye=u(y);N=s(ye,"A",{id:!0,class:!0,href:!0});var ft=u(N);de=s(ft,"SPAN",{});var mt=u(de);_(z.$$.fragment,mt),mt.forEach(o),ft.forEach(o),Me=i(ye),W=s(ye,"SPAN",{"data-svelte-h":!0}),m(W)!=="svelte-cohuh8"&&(W.textContent=Ze),ye.forEach(o),ge=i(e),d=s(e,"DIV",{class:!0});var f=u(d);_(E.$$.fragment,f),Pe=i(f),G=s(f,"P",{"data-svelte-h":!0}),m(G)!=="svelte-1izhjcu"&&(G.textContent=et),Le=i(f),J=s(f,"P",{"data-svelte-h":!0}),m(J)!=="svelte-1hyu2ru"&&(J.innerHTML=tt),qe=i(f),A=s(f,"DIV",{class:!0});var ke=u(A);_(S.$$.fragment,ke),Ie=i(ke),Q=s(ke,"P",{"data-svelte-h":!0}),m(Q)!=="svelte-2m23sy"&&(Q.innerHTML=ot),ke.forEach(o),Oe=i(f),U=s(f,"DIV",{class:!0});var xe=u(U);_(B.$$.fragment,xe),ze=i(xe),Y=s(xe,"P",{"data-svelte-h":!0}),m(Y)!=="svelte-1lenf9n"&&(Y.innerHTML=nt),xe.forEach(o),Ee=i(f),p=s(f,"DIV",{class:!0});var re=u(p);_(V.$$.fragment,re),Se=i(re),Z=s(re,"P",{"data-svelte-h":!0}),m(Z)!=="svelte-7fahc0"&&(Z.textContent=st),Be=i(re),ee=s(re,"P",{"data-svelte-h":!0}),m(ee)!=="svelte-1yjwkav"&&(ee.textContent=rt),re.forEach(o),Ve=i(f),T=s(f,"DIV",{class:!0});var $e=u(T);_(H.$$.fragment,$e),He=i($e),te=s($e,"P",{"data-svelte-h":!0}),m(te)!=="svelte-1o77hl2"&&(te.textContent=it),$e.forEach(o),Fe=i(f),M=s(f,"DIV",{class:!0});var Ne=u(M);_(F.$$.fragment,Ne),Ke=i(Ne),oe=s(Ne,"P",{"data-svelte-h":!0}),m(oe)!=="svelte-1lxcwhv"&&(oe.textContent=at),Ne.forEach(o),f.forEach(o),ve=i(e),k=s(e,"H2",{class:!0});var Ae=u(k);P=s(Ae,"A",{id:!0,class:!0,href:!0});var pt=u(P);le=s(pt,"SPAN",{});var ht=u(le);_(K.$$.fragment,ht),ht.forEach(o),pt.forEach(o),Re=i(Ae),ne=s(Ae,"SPAN",{"data-svelte-h":!0}),m(ne)!=="svelte-1o2d5t8"&&(ne.textContent=dt),Ae.forEach(o),be=i(e),x=s(e,"DIV",{class:!0});var Ue=u(x);_(R.$$.fragment,Ue),Xe=i(Ue),se=s(Ue,"P",{"data-svelte-h":!0}),m(se)!=="svelte-njpr7n"&&(se.innerHTML=lt),Ue.forEach(o),Ce=i(e),ce=s(e,"P",{}),u(ce).forEach(o),this.h()},h(){l(D,"name","hf:doc:metadata"),l(D,"content",JSON.stringify(yt)),l($,"id","unet3dconditionmodel"),l($,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l($,"href","#unet3dconditionmodel"),l(w,"class","relative group"),l(N,"id","diffusers.UNet3DConditionModel"),l(N,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(N,"href","#diffusers.UNet3DConditionModel"),l(y,"class","relative group"),l(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(p,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(P,"id","diffusers.models.unet_3d_condition.UNet3DConditionOutput"),l(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(P,"href","#diffusers.models.unet_3d_condition.UNet3DConditionOutput"),l(k,"class","relative group"),l(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){t(document.head,D),c(e,ue,a),c(e,ie,a),c(e,fe,a),c(e,w,a),t(w,$),t($,ae),g(L,ae,null),t(w,Te),t(w,j),c(e,me,a),c(e,q,a),c(e,pe,a),c(e,I,a),c(e,he,a),c(e,O,a),c(e,_e,a),c(e,y,a),t(y,N),t(N,de),g(z,de,null),t(y,Me),t(y,W),c(e,ge,a),c(e,d,a),g(E,d,null),t(d,Pe),t(d,G),t(d,Le),t(d,J),t(d,qe),t(d,A),g(S,A,null),t(A,Ie),t(A,Q),t(d,Oe),t(d,U),g(B,U,null),t(U,ze),t(U,Y),t(d,Ee),t(d,p),g(V,p,null),t(p,Se),t(p,Z),t(p,Be),t(p,ee),t(d,Ve),t(d,T),g(H,T,null),t(T,He),t(T,te),t(d,Fe),t(d,M),g(F,M,null),t(M,Ke),t(M,oe),c(e,ve,a),c(e,k,a),t(k,P),t(P,le),g(K,le,null),t(k,Re),t(k,ne),c(e,be,a),c(e,x,a),g(R,x,null),t(x,Xe),t(x,se),c(e,Ce,a),c(e,ce,a),De=!0},p:gt,i(e){De||(v(L.$$.fragment,e),v(z.$$.fragment,e),v(E.$$.fragment,e),v(S.$$.fragment,e),v(B.$$.fragment,e),v(V.$$.fragment,e),v(H.$$.fragment,e),v(F.$$.fragment,e),v(K.$$.fragment,e),v(R.$$.fragment,e),De=!0)},o(e){b(L.$$.fragment,e),b(z.$$.fragment,e),b(E.$$.fragment,e),b(S.$$.fragment,e),b(B.$$.fragment,e),b(V.$$.fragment,e),b(H.$$.fragment,e),b(F.$$.fragment,e),b(K.$$.fragment,e),b(R.$$.fragment,e),De=!1},d(e){e&&(o(ue),o(ie),o(fe),o(w),o(me),o(q),o(pe),o(I),o(he),o(O),o(_e),o(y),o(ge),o(d),o(ve),o(k),o(be),o(x),o(Ce),o(ce)),o(D),C(L),C(z),C(E),C(S),C(B),C(V),C(H),C(F),C(K),C(R)}}}const yt={local:"unet3dconditionmodel",sections:[{local:"diffusers.UNet3DConditionModel",title:"UNet3DConditionModel"},{local:"diffusers.models.unet_3d_condition.UNet3DConditionOutput",title:"UNet3DConditionOutput"}],title:"UNet3DConditionModel"};function kt(We){return vt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ut extends bt{constructor(D){super(),Ct(this,D,kt,wt,_t,{})}}export{Ut as component};
