import{s as os,o as ps,n as ls}from"../chunks/scheduler.182ea377.js";import{S as us,i as fs,g as i,s as l,u as c,A as ds,h as a,f as t,c as o,j as u,v as m,y as d,k as p,o as n,a as r,w as h,d as g,t as $,x as v}from"../chunks/index.caaccc80.js";import{T as rs}from"../chunks/Tip.e9d11def.js";import{D as de}from"../chunks/Docstring.835fbd1d.js";import{C as kt}from"../chunks/CodeBlock.0267483e.js";import{I as Le}from"../chunks/IconCopyLink.3458bfff.js";function cs(ce){let f,y="To check a specific pipeline or model output, refer to its corresponding API documentation.";return{c(){f=i("p"),f.textContent=y},l(_){f=a(_,"P",{"data-svelte-h":!0}),d(f)!=="svelte-60gd7d"&&(f.textContent=y)},m(_,A){r(_,f,A)},p:ls,d(_){_&&t(f)}}}function ms(ce){let f,y=`You can’t unpack a <code>BaseOutput</code> directly. Use the <a href="/docs/diffusers/main/en/api/outputs#diffusers.utils.BaseOutput.to_tuple">to_tuple()</a> method to convert it to a tuple
first.`;return{c(){f=i("p"),f.innerHTML=y},l(_){f=a(_,"P",{"data-svelte-h":!0}),d(f)!=="svelte-140uywr"&&(f.innerHTML=y)},m(_,A){r(_,f,A)},p:ls,d(_){_&&t(f)}}}function hs(ce){let f,y,_,A,w,M,Te,j,mt,me,Et="Outputs",Ve,Z,At='All models outputs are subclasses of <a href="/docs/diffusers/main/en/api/outputs#diffusers.utils.BaseOutput">BaseOutput</a>, data structures containing all the information returned by the model. The outputs can also be used as tuples or dictionaries.',Se,q,Mt="For example:",Ue,R,ze,G,Ht='The <code>outputs</code> object is a <a href="/docs/diffusers/main/en/api/pipelines/audio_diffusion#diffusers.ImagePipelineOutput">ImagePipelineOutput</a> which means it has an image attribute.',De,W,Nt="You can access each attribute as you normally would or with a keyword lookup, and if that attribute is not returned by the model, you will get <code>None</code>:",Fe,Q,Je,X,Bt=`When considering the <code>outputs</code> object as a tuple, it only considers the attributes that don’t have <code>None</code> values.
For instance, retrieving an image by indexing into it returns the tuple <code>(outputs.images)</code>:`,je,Y,Ze,H,qe,P,N,ke,K,ht,he,Vt="BaseOutput",Re,b,ee,gt,ge,St=`Base class for all model outputs as dataclass. Has a <code>__getitem__</code> that allows indexing by integer or slice (like a
tuple) or strings (like a dictionary) that will ignore the <code>None</code> attributes. Otherwise behaves like a regular
Python dictionary.`,$t,B,vt,V,te,_t,$e,Ut="Convert self to a tuple containing all the attributes/keys that are not <code>None</code>.",Ge,I,S,Ee,se,bt,ve,zt="ImagePipelineOutput",We,C,ie,xt,_e,Dt="Output class for image pipelines.",Qe,O,U,Ae,ae,yt,be,Ft="FlaxImagePipelineOutput",Xe,x,ne,wt,xe,Jt="Output class for image pipelines.",Pt,z,re,It,ye,jt="“Returns a new object replacing the specified fields with new values.",Ye,L,D,Me,le,Ct,we,Zt="AudioPipelineOutput",Ke,T,oe,Ot,Pe,qt="Output class for audio pipelines.",et,k,F,He,pe,Lt,Ie,Rt="ImageTextPipelineOutput",tt,E,ue,Tt,Ce,Gt="Output class for joint image-text pipelines.",st,Ne,it;return j=new Le({}),R=new kt({props:{code:"ZnJvbSUyMGRpZmZ1c2VycyUyMGltcG9ydCUyMERESU1QaXBlbGluZSUwQSUwQXBpcGVsaW5lJTIwJTNEJTIwRERJTVBpcGVsaW5lLmZyb21fcHJldHJhaW5lZCglMjJnb29nbGUlMkZkZHBtLWNpZmFyMTAtMzIlMjIpJTBBb3V0cHV0cyUyMCUzRCUyMHBpcGVsaW5lKCk=",highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DDIMPipeline

pipeline = DDIMPipeline.from_pretrained(<span class="hljs-string">&quot;google/ddpm-cifar10-32&quot;</span>)
outputs = pipeline()`,wrap:!1}}),Q=new kt({props:{code:"b3V0cHV0cy5pbWFnZXMlMEFvdXRwdXRzJTVCJTIyaW1hZ2VzJTIyJTVE",highlighted:`outputs.images
outputs[<span class="hljs-string">&quot;images&quot;</span>]`,wrap:!1}}),Y=new kt({props:{code:"b3V0cHV0cyU1QiUzQTElNUQ=",highlighted:'outputs[:<span class="hljs-number">1</span>]',wrap:!1}}),H=new rs({props:{$$slots:{default:[cs]},$$scope:{ctx:ce}}}),K=new Le({}),ee=new de({props:{name:"class diffusers.utils.BaseOutput",anchor:"diffusers.utils.BaseOutput",parameters:"",source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/utils/outputs.py#L40"}}),B=new rs({props:{warning:!0,$$slots:{default:[ms]},$$scope:{ctx:ce}}}),te=new de({props:{name:"to_tuple",anchor:"diffusers.utils.BaseOutput.to_tuple",parameters:[],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/utils/outputs.py#L111"}}),se=new Le({}),ie=new de({props:{name:"class diffusers.ImagePipelineOutput",anchor:"diffusers.ImagePipelineOutput",parameters:[{name:"images",val:": typing.Union[typing.List[PIL.Image.Image], numpy.ndarray]"}],parametersDescription:[{anchor:"diffusers.ImagePipelineOutput.images",description:`<strong>images</strong> (<code>List[PIL.Image.Image]</code> or <code>np.ndarray</code>) &#x2014;
List of denoised PIL images of length <code>batch_size</code> or NumPy array of shape <code>(batch_size, height, width, num_channels)</code>.`,name:"images"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/pipeline_utils.py#L112"}}),ae=new Le({}),ne=new de({props:{name:"class diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput",anchor:"diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput",parameters:[{name:"images",val:": typing.Union[typing.List[PIL.Image.Image], numpy.ndarray]"}],parametersDescription:[{anchor:"diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput.images",description:`<strong>images</strong> (<code>List[PIL.Image.Image]</code> or <code>np.ndarray</code>) &#x2014;
List of denoised PIL images of length <code>batch_size</code> or NumPy array of shape <code>(batch_size, height, width, num_channels)</code>.`,name:"images"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/pipeline_flax_utils.py#L88"}}),re=new de({props:{name:"replace",anchor:"diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput.replace",parameters:[{name:"**updates",val:""}],source:"https://github.com/huggingface/diffusers/blob/main/src/flax/struct.py#L111"}}),le=new Le({}),oe=new de({props:{name:"class diffusers.AudioPipelineOutput",anchor:"diffusers.AudioPipelineOutput",parameters:[{name:"audios",val:": ndarray"}],parametersDescription:[{anchor:"diffusers.AudioPipelineOutput.audios",description:`<strong>audios</strong> (<code>np.ndarray</code>) &#x2014;
List of denoised audio samples of a NumPy array of shape <code>(batch_size, num_channels, sample_rate)</code>.`,name:"audios"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/pipeline_utils.py#L126"}}),pe=new Le({}),ue=new de({props:{name:"class diffusers.ImageTextPipelineOutput",anchor:"diffusers.ImageTextPipelineOutput",parameters:[{name:"images",val:": typing.Union[typing.List[PIL.Image.Image], numpy.ndarray, NoneType]"},{name:"text",val:": typing.Union[typing.List[str], typing.List[typing.List[str]], NoneType]"}],parametersDescription:[{anchor:"diffusers.ImageTextPipelineOutput.images",description:`<strong>images</strong> (<code>List[PIL.Image.Image]</code> or <code>np.ndarray</code>) &#x2014;
List of denoised PIL images of length <code>batch_size</code> or NumPy array of shape <code>(batch_size, height, width, num_channels)</code>.`,name:"images"},{anchor:"diffusers.ImageTextPipelineOutput.text",description:`<strong>text</strong> (<code>List[str]</code> or <code>List[List[str]]</code>) &#x2014;
List of generated text strings of length <code>batch_size</code> or a list of list of strings whose outer list has
length <code>batch_size</code>.`,name:"text"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/unidiffuser/pipeline_unidiffuser.py#L55"}}),{c(){f=i("meta"),y=l(),_=i("p"),A=l(),w=i("h1"),M=i("a"),Te=i("span"),c(j.$$.fragment),mt=l(),me=i("span"),me.textContent=Et,Ve=l(),Z=i("p"),Z.innerHTML=At,Se=l(),q=i("p"),q.textContent=Mt,Ue=l(),c(R.$$.fragment),ze=l(),G=i("p"),G.innerHTML=Ht,De=l(),W=i("p"),W.innerHTML=Nt,Fe=l(),c(Q.$$.fragment),Je=l(),X=i("p"),X.innerHTML=Bt,je=l(),c(Y.$$.fragment),Ze=l(),c(H.$$.fragment),qe=l(),P=i("h2"),N=i("a"),ke=i("span"),c(K.$$.fragment),ht=l(),he=i("span"),he.textContent=Vt,Re=l(),b=i("div"),c(ee.$$.fragment),gt=l(),ge=i("p"),ge.innerHTML=St,$t=l(),c(B.$$.fragment),vt=l(),V=i("div"),c(te.$$.fragment),_t=l(),$e=i("p"),$e.innerHTML=Ut,Ge=l(),I=i("h2"),S=i("a"),Ee=i("span"),c(se.$$.fragment),bt=l(),ve=i("span"),ve.textContent=zt,We=l(),C=i("div"),c(ie.$$.fragment),xt=l(),_e=i("p"),_e.textContent=Dt,Qe=l(),O=i("h2"),U=i("a"),Ae=i("span"),c(ae.$$.fragment),yt=l(),be=i("span"),be.textContent=Ft,Xe=l(),x=i("div"),c(ne.$$.fragment),wt=l(),xe=i("p"),xe.textContent=Jt,Pt=l(),z=i("div"),c(re.$$.fragment),It=l(),ye=i("p"),ye.textContent=jt,Ye=l(),L=i("h2"),D=i("a"),Me=i("span"),c(le.$$.fragment),Ct=l(),we=i("span"),we.textContent=Zt,Ke=l(),T=i("div"),c(oe.$$.fragment),Ot=l(),Pe=i("p"),Pe.textContent=qt,et=l(),k=i("h2"),F=i("a"),He=i("span"),c(pe.$$.fragment),Lt=l(),Ie=i("span"),Ie.textContent=Rt,tt=l(),E=i("div"),c(ue.$$.fragment),Tt=l(),Ce=i("p"),Ce.textContent=Gt,st=l(),Ne=i("p"),this.h()},l(e){const s=ds("svelte-1phssyn",document.head);f=a(s,"META",{name:!0,content:!0}),s.forEach(t),y=o(e),_=a(e,"P",{}),u(_).forEach(t),A=o(e),w=a(e,"H1",{class:!0});var fe=u(w);M=a(fe,"A",{id:!0,class:!0,href:!0});var Be=u(M);Te=a(Be,"SPAN",{});var Wt=u(Te);m(j.$$.fragment,Wt),Wt.forEach(t),Be.forEach(t),mt=o(fe),me=a(fe,"SPAN",{"data-svelte-h":!0}),d(me)!=="svelte-83a4ap"&&(me.textContent=Et),fe.forEach(t),Ve=o(e),Z=a(e,"P",{"data-svelte-h":!0}),d(Z)!=="svelte-1bjb2fu"&&(Z.innerHTML=At),Se=o(e),q=a(e,"P",{"data-svelte-h":!0}),d(q)!=="svelte-1gkqha7"&&(q.textContent=Mt),Ue=o(e),m(R.$$.fragment,e),ze=o(e),G=a(e,"P",{"data-svelte-h":!0}),d(G)!=="svelte-aa39ol"&&(G.innerHTML=Ht),De=o(e),W=a(e,"P",{"data-svelte-h":!0}),d(W)!=="svelte-1ntwqaz"&&(W.innerHTML=Nt),Fe=o(e),m(Q.$$.fragment,e),Je=o(e),X=a(e,"P",{"data-svelte-h":!0}),d(X)!=="svelte-qzd8sf"&&(X.innerHTML=Bt),je=o(e),m(Y.$$.fragment,e),Ze=o(e),m(H.$$.fragment,e),qe=o(e),P=a(e,"H2",{class:!0});var at=u(P);N=a(at,"A",{id:!0,class:!0,href:!0});var Qt=u(N);ke=a(Qt,"SPAN",{});var Xt=u(ke);m(K.$$.fragment,Xt),Xt.forEach(t),Qt.forEach(t),ht=o(at),he=a(at,"SPAN",{"data-svelte-h":!0}),d(he)!=="svelte-1bpig2d"&&(he.textContent=Vt),at.forEach(t),Re=o(e),b=a(e,"DIV",{class:!0});var J=u(b);m(ee.$$.fragment,J),gt=o(J),ge=a(J,"P",{"data-svelte-h":!0}),d(ge)!=="svelte-1qra1r9"&&(ge.innerHTML=St),$t=o(J),m(B.$$.fragment,J),vt=o(J),V=a(J,"DIV",{class:!0});var nt=u(V);m(te.$$.fragment,nt),_t=o(nt),$e=a(nt,"P",{"data-svelte-h":!0}),d($e)!=="svelte-1gdpts"&&($e.innerHTML=Ut),nt.forEach(t),J.forEach(t),Ge=o(e),I=a(e,"H2",{class:!0});var rt=u(I);S=a(rt,"A",{id:!0,class:!0,href:!0});var Yt=u(S);Ee=a(Yt,"SPAN",{});var Kt=u(Ee);m(se.$$.fragment,Kt),Kt.forEach(t),Yt.forEach(t),bt=o(rt),ve=a(rt,"SPAN",{"data-svelte-h":!0}),d(ve)!=="svelte-1ula3t"&&(ve.textContent=zt),rt.forEach(t),We=o(e),C=a(e,"DIV",{class:!0});var lt=u(C);m(ie.$$.fragment,lt),xt=o(lt),_e=a(lt,"P",{"data-svelte-h":!0}),d(_e)!=="svelte-19wetgi"&&(_e.textContent=Dt),lt.forEach(t),Qe=o(e),O=a(e,"H2",{class:!0});var ot=u(O);U=a(ot,"A",{id:!0,class:!0,href:!0});var es=u(U);Ae=a(es,"SPAN",{});var ts=u(Ae);m(ae.$$.fragment,ts),ts.forEach(t),es.forEach(t),yt=o(ot),be=a(ot,"SPAN",{"data-svelte-h":!0}),d(be)!=="svelte-1492dzw"&&(be.textContent=Ft),ot.forEach(t),Xe=o(e),x=a(e,"DIV",{class:!0});var Oe=u(x);m(ne.$$.fragment,Oe),wt=o(Oe),xe=a(Oe,"P",{"data-svelte-h":!0}),d(xe)!=="svelte-19wetgi"&&(xe.textContent=Jt),Pt=o(Oe),z=a(Oe,"DIV",{class:!0});var pt=u(z);m(re.$$.fragment,pt),It=o(pt),ye=a(pt,"P",{"data-svelte-h":!0}),d(ye)!=="svelte-5ihtpa"&&(ye.textContent=jt),pt.forEach(t),Oe.forEach(t),Ye=o(e),L=a(e,"H2",{class:!0});var ut=u(L);D=a(ut,"A",{id:!0,class:!0,href:!0});var ss=u(D);Me=a(ss,"SPAN",{});var is=u(Me);m(le.$$.fragment,is),is.forEach(t),ss.forEach(t),Ct=o(ut),we=a(ut,"SPAN",{"data-svelte-h":!0}),d(we)!=="svelte-14yt0be"&&(we.textContent=Zt),ut.forEach(t),Ke=o(e),T=a(e,"DIV",{class:!0});var ft=u(T);m(oe.$$.fragment,ft),Ot=o(ft),Pe=a(ft,"P",{"data-svelte-h":!0}),d(Pe)!=="svelte-19ryw33"&&(Pe.textContent=qt),ft.forEach(t),et=o(e),k=a(e,"H2",{class:!0});var dt=u(k);F=a(dt,"A",{id:!0,class:!0,href:!0});var as=u(F);He=a(as,"SPAN",{});var ns=u(He);m(pe.$$.fragment,ns),ns.forEach(t),as.forEach(t),Lt=o(dt),Ie=a(dt,"SPAN",{"data-svelte-h":!0}),d(Ie)!=="svelte-z6ncwe"&&(Ie.textContent=Rt),dt.forEach(t),tt=o(e),E=a(e,"DIV",{class:!0});var ct=u(E);m(ue.$$.fragment,ct),Tt=o(ct),Ce=a(ct,"P",{"data-svelte-h":!0}),d(Ce)!=="svelte-1i2ycus"&&(Ce.textContent=Gt),ct.forEach(t),st=o(e),Ne=a(e,"P",{}),u(Ne).forEach(t),this.h()},h(){p(f,"name","hf:doc:metadata"),p(f,"content",JSON.stringify(gs)),p(M,"id","outputs"),p(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(M,"href","#outputs"),p(w,"class","relative group"),p(N,"id","diffusers.utils.BaseOutput"),p(N,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(N,"href","#diffusers.utils.BaseOutput"),p(P,"class","relative group"),p(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(S,"id","diffusers.ImagePipelineOutput"),p(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(S,"href","#diffusers.ImagePipelineOutput"),p(I,"class","relative group"),p(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(U,"id","diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput"),p(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(U,"href","#diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput"),p(O,"class","relative group"),p(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(D,"id","diffusers.AudioPipelineOutput"),p(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(D,"href","#diffusers.AudioPipelineOutput"),p(L,"class","relative group"),p(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(F,"id","diffusers.ImageTextPipelineOutput"),p(F,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(F,"href","#diffusers.ImageTextPipelineOutput"),p(k,"class","relative group"),p(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){n(document.head,f),r(e,y,s),r(e,_,s),r(e,A,s),r(e,w,s),n(w,M),n(M,Te),h(j,Te,null),n(w,mt),n(w,me),r(e,Ve,s),r(e,Z,s),r(e,Se,s),r(e,q,s),r(e,Ue,s),h(R,e,s),r(e,ze,s),r(e,G,s),r(e,De,s),r(e,W,s),r(e,Fe,s),h(Q,e,s),r(e,Je,s),r(e,X,s),r(e,je,s),h(Y,e,s),r(e,Ze,s),h(H,e,s),r(e,qe,s),r(e,P,s),n(P,N),n(N,ke),h(K,ke,null),n(P,ht),n(P,he),r(e,Re,s),r(e,b,s),h(ee,b,null),n(b,gt),n(b,ge),n(b,$t),h(B,b,null),n(b,vt),n(b,V),h(te,V,null),n(V,_t),n(V,$e),r(e,Ge,s),r(e,I,s),n(I,S),n(S,Ee),h(se,Ee,null),n(I,bt),n(I,ve),r(e,We,s),r(e,C,s),h(ie,C,null),n(C,xt),n(C,_e),r(e,Qe,s),r(e,O,s),n(O,U),n(U,Ae),h(ae,Ae,null),n(O,yt),n(O,be),r(e,Xe,s),r(e,x,s),h(ne,x,null),n(x,wt),n(x,xe),n(x,Pt),n(x,z),h(re,z,null),n(z,It),n(z,ye),r(e,Ye,s),r(e,L,s),n(L,D),n(D,Me),h(le,Me,null),n(L,Ct),n(L,we),r(e,Ke,s),r(e,T,s),h(oe,T,null),n(T,Ot),n(T,Pe),r(e,et,s),r(e,k,s),n(k,F),n(F,He),h(pe,He,null),n(k,Lt),n(k,Ie),r(e,tt,s),r(e,E,s),h(ue,E,null),n(E,Tt),n(E,Ce),r(e,st,s),r(e,Ne,s),it=!0},p(e,[s]){const fe={};s&2&&(fe.$$scope={dirty:s,ctx:e}),H.$set(fe);const Be={};s&2&&(Be.$$scope={dirty:s,ctx:e}),B.$set(Be)},i(e){it||(g(j.$$.fragment,e),g(R.$$.fragment,e),g(Q.$$.fragment,e),g(Y.$$.fragment,e),g(H.$$.fragment,e),g(K.$$.fragment,e),g(ee.$$.fragment,e),g(B.$$.fragment,e),g(te.$$.fragment,e),g(se.$$.fragment,e),g(ie.$$.fragment,e),g(ae.$$.fragment,e),g(ne.$$.fragment,e),g(re.$$.fragment,e),g(le.$$.fragment,e),g(oe.$$.fragment,e),g(pe.$$.fragment,e),g(ue.$$.fragment,e),it=!0)},o(e){$(j.$$.fragment,e),$(R.$$.fragment,e),$(Q.$$.fragment,e),$(Y.$$.fragment,e),$(H.$$.fragment,e),$(K.$$.fragment,e),$(ee.$$.fragment,e),$(B.$$.fragment,e),$(te.$$.fragment,e),$(se.$$.fragment,e),$(ie.$$.fragment,e),$(ae.$$.fragment,e),$(ne.$$.fragment,e),$(re.$$.fragment,e),$(le.$$.fragment,e),$(oe.$$.fragment,e),$(pe.$$.fragment,e),$(ue.$$.fragment,e),it=!1},d(e){e&&(t(y),t(_),t(A),t(w),t(Ve),t(Z),t(Se),t(q),t(Ue),t(ze),t(G),t(De),t(W),t(Fe),t(Je),t(X),t(je),t(Ze),t(qe),t(P),t(Re),t(b),t(Ge),t(I),t(We),t(C),t(Qe),t(O),t(Xe),t(x),t(Ye),t(L),t(Ke),t(T),t(et),t(k),t(tt),t(E),t(st),t(Ne)),t(f),v(j),v(R,e),v(Q,e),v(Y,e),v(H,e),v(K),v(ee),v(B),v(te),v(se),v(ie),v(ae),v(ne),v(re),v(le),v(oe),v(pe),v(ue)}}}const gs={local:"outputs",sections:[{local:"diffusers.utils.BaseOutput",title:"BaseOutput"},{local:"diffusers.ImagePipelineOutput",title:"ImagePipelineOutput"},{local:"diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput",title:"FlaxImagePipelineOutput"},{local:"diffusers.AudioPipelineOutput",title:"AudioPipelineOutput"},{local:"diffusers.ImageTextPipelineOutput",title:"ImageTextPipelineOutput"}],title:"Outputs"};function $s(ce){return ps(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ps extends us{constructor(f){super(),fs(this,f,$s,hs,os,{})}}export{Ps as component};
