import{s as Ze,o as Ke,n as Xe}from"../chunks/scheduler.182ea377.js";import{S as et,i as tt,g as i,s as r,u as T,A as nt,h as o,f as t,c as l,j as u,v as V,y as p,k as f,o as a,a as s,w as C,d as Q,t as k,x as I}from"../chunks/index.caaccc80.js";import{T as it}from"../chunks/Tip.e9d11def.js";import{D as ye}from"../chunks/Docstring.835fbd1d.js";import{I as Le}from"../chunks/IconCopyLink.3458bfff.js";function ot(oe){let c,L='Make sure to check out the Schedulers <a href="/using-diffusers/schedulers">guide</a> to learn how to explore the tradeoff between scheduler speed and quality, and see the <a href="/using-diffusers/loading#reuse-components-across-pipelines">reuse components across pipelines</a> section to learn how to efficiently load the same components into multiple pipelines.';return{c(){c=i("p"),c.innerHTML=L},l(m){c=o(m,"P",{"data-svelte-h":!0}),p(c)!=="svelte-5fcsv6"&&(c.innerHTML=L)},m(m,W){s(m,c,W)},p:Xe,d(m){m&&t(c)}}}function at(oe){let c,L,m,W,g,x,ee,q,Pe,j,qe="VQ Diffusion",ae,M,Me='<a href="https://huggingface.co/papers/2111.14822" rel="nofollow">Vector Quantized Diffusion Model for Text-to-Image Synthesis</a> is by Shuyang Gu, Dong Chen, Jianmin Bao, Fang Wen, Bo Zhang, Dongdong Chen, Lu Yuan, Baining Guo.',se,A,Ae="The abstract from the paper is:",re,z,ze="<em>We present the vector quantized diffusion (VQ-Diffusion) model for text-to-image generation. This method is based on a vector quantized variational autoencoder (VQ-VAE) whose latent space is modeled by a conditional variant of the recently developed Denoising Diffusion Probabilistic Model (DDPM). We find that this latent-space method is well-suited for text-to-image generation tasks because it not only eliminates the unidirectional bias with existing methods but also allows us to incorporate a mask-and-replace diffusion strategy to avoid the accumulation of errors, which is a serious problem with existing methods. Our experiments show that the VQ-Diffusion produces significantly better text-to-image generation results when compared with conventional autoregressive (AR) models with similar numbers of parameters. Compared with previous GAN-based text-to-image methods, our VQ-Diffusion can handle more complex scenes and improve the synthesized image quality by a large margin. Finally, we show that the image generation computation in our method can be made highly efficient by reparameterization. With traditional AR methods, the text-to-image generation time increases linearly with the output image resolution and hence is quite time consuming even for normal size images. The VQ-Diffusion allows us to achieve a better trade-off between quality and speed. Our experiments indicate that the VQ-Diffusion model with the reparameterization is fifteen times faster than traditional AR methods while achieving a better image quality.</em>",le,E,Ee='The original codebase can be found at <a href="https://github.com/microsoft/VQ-Diffusion" rel="nofollow">microsoft/VQ-Diffusion</a>.',fe,y,ce,_,P,te,O,we,R,Oe="VQDiffusionPipeline",de,d,S,$e,B,Se="Pipeline for text-to-image generation using VQ Diffusion.",De,J,He=`This model inherits from <a href="/docs/diffusers/main/en/api/pipelines/overview#diffusers.DiffusionPipeline">DiffusionPipeline</a>. Check the superclass documentation for the generic methods
implemented for all pipelines (downloading, saving, running on a particular device, etc.).`,Te,w,H,Ve,Y,Ne="The call function to the pipeline for generation.",Ce,$,N,Qe,Z,Ge=`Truncates <code>log_p_x_0</code> such that for each column vector, the total cumulative probability is <code>truncation_rate</code>
The lowest probabilities that would increase the cumulative probability above <code>truncation_rate</code> are set to
zero.`,ue,v,D,ne,G,ke,K,Fe="ImagePipelineOutput",pe,b,F,Ie,X,Ue="Output class for image pipelines.",me,ie,he;return q=new Le({}),y=new it({props:{$$slots:{default:[ot]},$$scope:{ctx:oe}}}),O=new Le({}),S=new ye({props:{name:"class diffusers.VQDiffusionPipeline",anchor:"diffusers.VQDiffusionPipeline",parameters:[{name:"vqvae",val:": VQModel"},{name:"text_encoder",val:": CLIPTextModel"},{name:"tokenizer",val:": CLIPTokenizer"},{name:"transformer",val:": Transformer2DModel"},{name:"scheduler",val:": VQDiffusionScheduler"},{name:"learned_classifier_free_sampling_embeddings",val:": LearnedClassifierFreeSamplingEmbeddings"}],parametersDescription:[{anchor:"diffusers.VQDiffusionPipeline.vqvae",description:`<strong>vqvae</strong> (<a href="/docs/diffusers/main/en/api/models/vq#diffusers.VQModel">VQModel</a>) &#x2014;
Vector Quantized Variational Auto-Encoder (VAE) model to encode and decode images to and from latent
representations.`,name:"vqvae"},{anchor:"diffusers.VQDiffusionPipeline.text_encoder",description:`<strong>text_encoder</strong> (<a href="https://huggingface.co/docs/transformers/main/en/model_doc/clip#transformers.CLIPTextModel" rel="nofollow">CLIPTextModel</a>) &#x2014;
Frozen text-encoder (<a href="https://huggingface.co/openai/clip-vit-base-patch32" rel="nofollow">clip-vit-base-patch32</a>).`,name:"text_encoder"},{anchor:"diffusers.VQDiffusionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="https://huggingface.co/docs/transformers/main/en/model_doc/clip#transformers.CLIPTokenizer" rel="nofollow">CLIPTokenizer</a>) &#x2014;
A <code>CLIPTokenizer</code> to tokenize text.`,name:"tokenizer"},{anchor:"diffusers.VQDiffusionPipeline.transformer",description:`<strong>transformer</strong> (<a href="/docs/diffusers/main/en/api/models/transformer2d#diffusers.Transformer2DModel">Transformer2DModel</a>) &#x2014;
A conditional <code>Transformer2DModel</code> to denoise the encoded image latents.`,name:"transformer"},{anchor:"diffusers.VQDiffusionPipeline.scheduler",description:`<strong>scheduler</strong> (<a href="/docs/diffusers/main/en/api/schedulers/vq_diffusion#diffusers.VQDiffusionScheduler">VQDiffusionScheduler</a>) &#x2014;
A scheduler to be used in combination with <code>transformer</code> to denoise the encoded image latents.`,name:"scheduler"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/vq_diffusion/pipeline_vq_diffusion.py#L52"}}),H=new ye({props:{name:"__call__",anchor:"diffusers.VQDiffusionPipeline.__call__",parameters:[{name:"prompt",val:": typing.Union[str, typing.List[str]]"},{name:"num_inference_steps",val:": int = 100"},{name:"guidance_scale",val:": float = 5.0"},{name:"truncation_rate",val:": float = 1.0"},{name:"num_images_per_prompt",val:": int = 1"},{name:"generator",val:": typing.Union[torch._C.Generator, typing.List[torch._C.Generator], NoneType] = None"},{name:"latents",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_type",val:": typing.Optional[str] = 'pil'"},{name:"return_dict",val:": bool = True"},{name:"callback",val:": typing.Union[typing.Callable[[int, int, torch.FloatTensor], NoneType], NoneType] = None"},{name:"callback_steps",val:": int = 1"}],parametersDescription:[{anchor:"diffusers.VQDiffusionPipeline.__call__.prompt",description:`<strong>prompt</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
The prompt or prompts to guide image generation.`,name:"prompt"},{anchor:"diffusers.VQDiffusionPipeline.__call__.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 100) &#x2014;
The number of denoising steps. More denoising steps usually lead to a higher quality image at the
expense of slower inference.`,name:"num_inference_steps"},{anchor:"diffusers.VQDiffusionPipeline.__call__.guidance_scale",description:`<strong>guidance_scale</strong> (<code>float</code>, <em>optional</em>, defaults to 7.5) &#x2014;
A higher guidance scale value encourages the model to generate images closely linked to the text
<code>prompt</code> at the expense of lower image quality. Guidance scale is enabled when <code>guidance_scale &gt; 1</code>.`,name:"guidance_scale"},{anchor:"diffusers.VQDiffusionPipeline.__call__.truncation_rate",description:`<strong>truncation_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0 (equivalent to no truncation)) &#x2014;
Used to &#x201C;truncate&#x201D; the predicted classes for x_0 such that the cumulative probability for a pixel is at
most <code>truncation_rate</code>. The lowest probabilities that would increase the cumulative probability above
<code>truncation_rate</code> are set to zero.`,name:"truncation_rate"},{anchor:"diffusers.VQDiffusionPipeline.__call__.num_images_per_prompt",description:`<strong>num_images_per_prompt</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of images to generate per prompt.`,name:"num_images_per_prompt"},{anchor:"diffusers.VQDiffusionPipeline.__call__.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A <a href="https://pytorch.org/docs/stable/generated/torch.Generator.html" rel="nofollow"><code>torch.Generator</code></a> to make
generation deterministic.`,name:"generator"},{anchor:"diffusers.VQDiffusionPipeline.__call__.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code> of shape (batch), <em>optional</em>) &#x2014;
Pre-generated noisy latents sampled from a Gaussian distribution, to be used as inputs for image
generation. Must be valid embedding indices.If not provided, a latents tensor will be generated of
completely masked latent pixels.`,name:"latents"},{anchor:"diffusers.VQDiffusionPipeline.__call__.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;pil&quot;</code>) &#x2014;
The output format of the generated image. Choose between <code>PIL.Image</code> or <code>np.array</code>.`,name:"output_type"},{anchor:"diffusers.VQDiffusionPipeline.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/pipelines/audio_diffusion#diffusers.ImagePipelineOutput">ImagePipelineOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"diffusers.VQDiffusionPipeline.__call__.callback",description:`<strong>callback</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
A function that calls every <code>callback_steps</code> steps during inference. The function is called with the
following arguments: <code>callback(step: int, timestep: int, latents: torch.FloatTensor)</code>.`,name:"callback"},{anchor:"diffusers.VQDiffusionPipeline.__call__.callback_steps",description:`<strong>callback_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The frequency at which the <code>callback</code> function is called. If not specified, the callback is called at
every step.`,name:"callback_steps"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/vq_diffusion/pipeline_vq_diffusion.py#L163",returnDescription:`
<p>If <code>return_dict</code> is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/pipelines/audio_diffusion#diffusers.ImagePipelineOutput"
>ImagePipelineOutput</a> is returned, otherwise a <code>tuple</code> is
returned where the first element is a list with the generated images.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/pipelines/audio_diffusion#diffusers.ImagePipelineOutput"
>ImagePipelineOutput</a> or <code>tuple</code></p>
`}}),N=new ye({props:{name:"truncate",anchor:"diffusers.VQDiffusionPipeline.truncate",parameters:[{name:"log_p_x_0",val:": FloatTensor"},{name:"truncation_rate",val:": float"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/vq_diffusion/pipeline_vq_diffusion.py#L304"}}),G=new Le({}),F=new ye({props:{name:"class diffusers.ImagePipelineOutput",anchor:"diffusers.ImagePipelineOutput",parameters:[{name:"images",val:": typing.Union[typing.List[PIL.Image.Image], numpy.ndarray]"}],parametersDescription:[{anchor:"diffusers.ImagePipelineOutput.images",description:`<strong>images</strong> (<code>List[PIL.Image.Image]</code> or <code>np.ndarray</code>) &#x2014;
List of denoised PIL images of length <code>batch_size</code> or NumPy array of shape <code>(batch_size, height, width, num_channels)</code>.`,name:"images"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/pipeline_utils.py#L112"}}),{c(){c=i("meta"),L=r(),m=i("p"),W=r(),g=i("h1"),x=i("a"),ee=i("span"),T(q.$$.fragment),Pe=r(),j=i("span"),j.textContent=qe,ae=r(),M=i("p"),M.innerHTML=Me,se=r(),A=i("p"),A.textContent=Ae,re=r(),z=i("p"),z.innerHTML=ze,le=r(),E=i("p"),E.innerHTML=Ee,fe=r(),T(y.$$.fragment),ce=r(),_=i("h2"),P=i("a"),te=i("span"),T(O.$$.fragment),we=r(),R=i("span"),R.textContent=Oe,de=r(),d=i("div"),T(S.$$.fragment),$e=r(),B=i("p"),B.textContent=Se,De=r(),J=i("p"),J.innerHTML=He,Te=r(),w=i("div"),T(H.$$.fragment),Ve=r(),Y=i("p"),Y.textContent=Ne,Ce=r(),$=i("div"),T(N.$$.fragment),Qe=r(),Z=i("p"),Z.innerHTML=Ge,ue=r(),v=i("h2"),D=i("a"),ne=i("span"),T(G.$$.fragment),ke=r(),K=i("span"),K.textContent=Fe,pe=r(),b=i("div"),T(F.$$.fragment),Ie=r(),X=i("p"),X.textContent=Ue,me=r(),ie=i("p"),this.h()},l(e){const n=nt("svelte-1phssyn",document.head);c=o(n,"META",{name:!0,content:!0}),n.forEach(t),L=l(e),m=o(e,"P",{}),u(m).forEach(t),W=l(e),g=o(e,"H1",{class:!0});var U=u(g);x=o(U,"A",{id:!0,class:!0,href:!0});var We=u(x);ee=o(We,"SPAN",{});var je=u(ee);V(q.$$.fragment,je),je.forEach(t),We.forEach(t),Pe=l(U),j=o(U,"SPAN",{"data-svelte-h":!0}),p(j)!=="svelte-22wb6j"&&(j.textContent=qe),U.forEach(t),ae=l(e),M=o(e,"P",{"data-svelte-h":!0}),p(M)!=="svelte-13ff88n"&&(M.innerHTML=Me),se=l(e),A=o(e,"P",{"data-svelte-h":!0}),p(A)!=="svelte-1cwsb16"&&(A.textContent=Ae),re=l(e),z=o(e,"P",{"data-svelte-h":!0}),p(z)!=="svelte-688iix"&&(z.innerHTML=ze),le=l(e),E=o(e,"P",{"data-svelte-h":!0}),p(E)!=="svelte-m9svd3"&&(E.innerHTML=Ee),fe=l(e),V(y.$$.fragment,e),ce=l(e),_=o(e,"H2",{class:!0});var ge=u(_);P=o(ge,"A",{id:!0,class:!0,href:!0});var Re=u(P);te=o(Re,"SPAN",{});var Be=u(te);V(O.$$.fragment,Be),Be.forEach(t),Re.forEach(t),we=l(ge),R=o(ge,"SPAN",{"data-svelte-h":!0}),p(R)!=="svelte-1qz1yt1"&&(R.textContent=Oe),ge.forEach(t),de=l(e),d=o(e,"DIV",{class:!0});var h=u(d);V(S.$$.fragment,h),$e=l(h),B=o(h,"P",{"data-svelte-h":!0}),p(B)!=="svelte-1pya4f8"&&(B.textContent=Se),De=l(h),J=o(h,"P",{"data-svelte-h":!0}),p(J)!=="svelte-496sm0"&&(J.innerHTML=He),Te=l(h),w=o(h,"DIV",{class:!0});var _e=u(w);V(H.$$.fragment,_e),Ve=l(_e),Y=o(_e,"P",{"data-svelte-h":!0}),p(Y)!=="svelte-50j04k"&&(Y.textContent=Ne),_e.forEach(t),Ce=l(h),$=o(h,"DIV",{class:!0});var ve=u($);V(N.$$.fragment,ve),Qe=l(ve),Z=o(ve,"P",{"data-svelte-h":!0}),p(Z)!=="svelte-wg6j8k"&&(Z.innerHTML=Ge),ve.forEach(t),h.forEach(t),ue=l(e),v=o(e,"H2",{class:!0});var be=u(v);D=o(be,"A",{id:!0,class:!0,href:!0});var Je=u(D);ne=o(Je,"SPAN",{});var Ye=u(ne);V(G.$$.fragment,Ye),Ye.forEach(t),Je.forEach(t),ke=l(be),K=o(be,"SPAN",{"data-svelte-h":!0}),p(K)!=="svelte-1ula3t"&&(K.textContent=Fe),be.forEach(t),pe=l(e),b=o(e,"DIV",{class:!0});var xe=u(b);V(F.$$.fragment,xe),Ie=l(xe),X=o(xe,"P",{"data-svelte-h":!0}),p(X)!=="svelte-19wetgi"&&(X.textContent=Ue),xe.forEach(t),me=l(e),ie=o(e,"P",{}),u(ie).forEach(t),this.h()},h(){f(c,"name","hf:doc:metadata"),f(c,"content",JSON.stringify(st)),f(x,"id","vq-diffusion"),f(x,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(x,"href","#vq-diffusion"),f(g,"class","relative group"),f(P,"id","diffusers.VQDiffusionPipeline"),f(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(P,"href","#diffusers.VQDiffusionPipeline"),f(_,"class","relative group"),f(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(D,"id","diffusers.ImagePipelineOutput"),f(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(D,"href","#diffusers.ImagePipelineOutput"),f(v,"class","relative group"),f(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){a(document.head,c),s(e,L,n),s(e,m,n),s(e,W,n),s(e,g,n),a(g,x),a(x,ee),C(q,ee,null),a(g,Pe),a(g,j),s(e,ae,n),s(e,M,n),s(e,se,n),s(e,A,n),s(e,re,n),s(e,z,n),s(e,le,n),s(e,E,n),s(e,fe,n),C(y,e,n),s(e,ce,n),s(e,_,n),a(_,P),a(P,te),C(O,te,null),a(_,we),a(_,R),s(e,de,n),s(e,d,n),C(S,d,null),a(d,$e),a(d,B),a(d,De),a(d,J),a(d,Te),a(d,w),C(H,w,null),a(w,Ve),a(w,Y),a(d,Ce),a(d,$),C(N,$,null),a($,Qe),a($,Z),s(e,ue,n),s(e,v,n),a(v,D),a(D,ne),C(G,ne,null),a(v,ke),a(v,K),s(e,pe,n),s(e,b,n),C(F,b,null),a(b,Ie),a(b,X),s(e,me,n),s(e,ie,n),he=!0},p(e,[n]){const U={};n&2&&(U.$$scope={dirty:n,ctx:e}),y.$set(U)},i(e){he||(Q(q.$$.fragment,e),Q(y.$$.fragment,e),Q(O.$$.fragment,e),Q(S.$$.fragment,e),Q(H.$$.fragment,e),Q(N.$$.fragment,e),Q(G.$$.fragment,e),Q(F.$$.fragment,e),he=!0)},o(e){k(q.$$.fragment,e),k(y.$$.fragment,e),k(O.$$.fragment,e),k(S.$$.fragment,e),k(H.$$.fragment,e),k(N.$$.fragment,e),k(G.$$.fragment,e),k(F.$$.fragment,e),he=!1},d(e){e&&(t(L),t(m),t(W),t(g),t(ae),t(M),t(se),t(A),t(re),t(z),t(le),t(E),t(fe),t(ce),t(_),t(de),t(d),t(ue),t(v),t(pe),t(b),t(me),t(ie)),t(c),I(q),I(y,e),I(O),I(S),I(H),I(N),I(G),I(F)}}}const st={local:"vq-diffusion",sections:[{local:"diffusers.VQDiffusionPipeline",title:"VQDiffusionPipeline"},{local:"diffusers.ImagePipelineOutput",title:"ImagePipelineOutput"}],title:"VQ Diffusion"};function rt(oe){return Ke(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class pt extends et{constructor(c){super(),tt(this,c,rt,at,Ze,{})}}export{pt as component};
