import{s as Ye,n as Qe,o as Xe}from"../chunks/scheduler.182ea377.js";import{S as Ze,i as et,g as r,s as a,u as P,A as tt,h as n,f as t,c as i,j as u,v as w,y as h,k as c,o as s,a as l,w as M,d as A,t as T,x as C}from"../chunks/index.caaccc80.js";import{D as te}from"../chunks/Docstring.835fbd1d.js";import{I as Ke}from"../chunks/IconCopyLink.3458bfff.js";function st(ke){let f,se,Y,re,m,b,Q,K,be,U,Ee="KDPM2AncestralDiscreteScheduler",ne,k,Le='The <code>KDPM2DiscreteScheduler</code> with ancestral sampling is inspired by the <a href="https://huggingface.co/papers/2206.00364" rel="nofollow">Elucidating the Design Space of Diffusion-Based Generative Models</a> paper, and the scheduler is ported from and created by <a href="https://github.com/crowsonkb/" rel="nofollow">Katherine Crowson</a>.',oe,E,Oe='The original codebase can be found at <a href="https://github.com/crowsonkb/k-diffusion" rel="nofollow">crowsonkb/k-diffusion</a>.',ae,g,D,X,L,De,V,Fe="KDPM2AncestralDiscreteScheduler",ie,d,O,ye,z,Ne=`KDPM2DiscreteScheduler with ancestral sampling is inspired by the DPMSolver2 and Algorithm 2 from the <a href="https://huggingface.co/papers/2206.00364" rel="nofollow">Elucidating
the Design Space of Diffusion-Based Generative Models</a> paper.`,Se,G,He=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,$e,y,F,xe,B,Ie=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,Pe,S,N,we,j,qe="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",Me,$,H,Ae,R,Ue=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise).`,ce,_,x,Z,I,Te,W,Ve="SchedulerOutput",le,v,q,Ce,J,ze="Base class for the output of a scheduler’s <code>step</code> function.",de,ee,ue;return K=new Ke({}),L=new Ke({}),O=new te({props:{name:"class diffusers.KDPM2AncestralDiscreteScheduler",anchor:"diffusers.KDPM2AncestralDiscreteScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.00085"},{name:"beta_end",val:": float = 0.012"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": typing.Union[numpy.ndarray, typing.List[float], NoneType] = None"},{name:"use_karras_sigmas",val:": typing.Optional[bool] = False"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"timestep_spacing",val:": str = 'linspace'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.KDPM2AncestralDiscreteScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.KDPM2AncestralDiscreteScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.00085) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.KDPM2AncestralDiscreteScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.012) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.KDPM2AncestralDiscreteScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code> or <code>scaled_linear</code>.`,name:"beta_schedule"},{anchor:"diffusers.KDPM2AncestralDiscreteScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.KDPM2AncestralDiscreteScheduler.use_karras_sigmas",description:`<strong>use_karras_sigmas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use Karras sigmas for step sizes in the noise schedule during the sampling process. If <code>True</code>,
the sigmas are determined according to a sequence of noise levels {&#x3C3;i}.`,name:"use_karras_sigmas"},{anchor:"diffusers.KDPM2AncestralDiscreteScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.KDPM2AncestralDiscreteScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;linspace&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.KDPM2AncestralDiscreteScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code> to make the last step use step 0 for the previous alpha product like in Stable
Diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_k_dpm_2_ancestral_discrete.py#L72"}}),F=new te({props:{name:"scale_model_input",anchor:"diffusers.KDPM2AncestralDiscreteScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[float, torch.FloatTensor]"}],parametersDescription:[{anchor:"diffusers.KDPM2AncestralDiscreteScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.KDPM2AncestralDiscreteScheduler.scale_model_input.timestep",description:`<strong>timestep</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_k_dpm_2_ancestral_discrete.py#L180",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),N=new te({props:{name:"set_timesteps",anchor:"diffusers.KDPM2AncestralDiscreteScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int"},{name:"device",val:": typing.Union[str, torch.device] = None"},{name:"num_train_timesteps",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"diffusers.KDPM2AncestralDiscreteScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.KDPM2AncestralDiscreteScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_k_dpm_2_ancestral_discrete.py#L210"}}),H=new te({props:{name:"step",anchor:"diffusers.KDPM2AncestralDiscreteScheduler.step",parameters:[{name:"model_output",val:": typing.Union[torch.FloatTensor, numpy.ndarray]"},{name:"timestep",val:": typing.Union[float, torch.FloatTensor]"},{name:"sample",val:": typing.Union[torch.FloatTensor, numpy.ndarray]"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.KDPM2AncestralDiscreteScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.KDPM2AncestralDiscreteScheduler.step.timestep",description:`<strong>timestep</strong> (<code>float</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.KDPM2AncestralDiscreteScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.KDPM2AncestralDiscreteScheduler.step.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"},{anchor:"diffusers.KDPM2AncestralDiscreteScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_k_dpm_2_ancestral_discrete.py#L361",returnDescription:`
<p>If return_dict is <code>True</code>, <code>~schedulers.scheduling_ddim.SchedulerOutput</code> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),I=new Ke({}),q=new te({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_utils.py#L50"}}),{c(){f=r("meta"),se=a(),Y=r("p"),re=a(),m=r("h1"),b=r("a"),Q=r("span"),P(K.$$.fragment),be=a(),U=r("span"),U.textContent=Ee,ne=a(),k=r("p"),k.innerHTML=Le,oe=a(),E=r("p"),E.innerHTML=Oe,ae=a(),g=r("h2"),D=r("a"),X=r("span"),P(L.$$.fragment),De=a(),V=r("span"),V.textContent=Fe,ie=a(),d=r("div"),P(O.$$.fragment),ye=a(),z=r("p"),z.innerHTML=Ne,Se=a(),G=r("p"),G.innerHTML=He,$e=a(),y=r("div"),P(F.$$.fragment),xe=a(),B=r("p"),B.textContent=Ie,Pe=a(),S=r("div"),P(N.$$.fragment),we=a(),j=r("p"),j.textContent=qe,Me=a(),$=r("div"),P(H.$$.fragment),Ae=a(),R=r("p"),R.textContent=Ue,ce=a(),_=r("h2"),x=r("a"),Z=r("span"),P(I.$$.fragment),Te=a(),W=r("span"),W.textContent=Ve,le=a(),v=r("div"),P(q.$$.fragment),Ce=a(),J=r("p"),J.innerHTML=ze,de=a(),ee=r("p"),this.h()},l(e){const o=tt("svelte-1phssyn",document.head);f=n(o,"META",{name:!0,content:!0}),o.forEach(t),se=i(e),Y=n(e,"P",{}),u(Y).forEach(t),re=i(e),m=n(e,"H1",{class:!0});var pe=u(m);b=n(pe,"A",{id:!0,class:!0,href:!0});var Ge=u(b);Q=n(Ge,"SPAN",{});var Be=u(Q);w(K.$$.fragment,Be),Be.forEach(t),Ge.forEach(t),be=i(pe),U=n(pe,"SPAN",{"data-svelte-h":!0}),h(U)!=="svelte-1v4p0y8"&&(U.textContent=Ee),pe.forEach(t),ne=i(e),k=n(e,"P",{"data-svelte-h":!0}),h(k)!=="svelte-1xsfzct"&&(k.innerHTML=Le),oe=i(e),E=n(e,"P",{"data-svelte-h":!0}),h(E)!=="svelte-loovl7"&&(E.innerHTML=Oe),ae=i(e),g=n(e,"H2",{class:!0});var he=u(g);D=n(he,"A",{id:!0,class:!0,href:!0});var je=u(D);X=n(je,"SPAN",{});var Re=u(X);w(L.$$.fragment,Re),Re.forEach(t),je.forEach(t),De=i(he),V=n(he,"SPAN",{"data-svelte-h":!0}),h(V)!=="svelte-1v4p0y8"&&(V.textContent=Fe),he.forEach(t),ie=i(e),d=n(e,"DIV",{class:!0});var p=u(d);w(O.$$.fragment,p),ye=i(p),z=n(p,"P",{"data-svelte-h":!0}),h(z)!=="svelte-lafslh"&&(z.innerHTML=Ne),Se=i(p),G=n(p,"P",{"data-svelte-h":!0}),h(G)!=="svelte-linuuh"&&(G.innerHTML=He),$e=i(p),y=n(p,"DIV",{class:!0});var fe=u(y);w(F.$$.fragment,fe),xe=i(fe),B=n(fe,"P",{"data-svelte-h":!0}),h(B)!=="svelte-1rkfgpx"&&(B.textContent=Ie),fe.forEach(t),Pe=i(p),S=n(p,"DIV",{class:!0});var me=u(S);w(N.$$.fragment,me),we=i(me),j=n(me,"P",{"data-svelte-h":!0}),h(j)!=="svelte-1vzm9q"&&(j.textContent=qe),me.forEach(t),Me=i(p),$=n(p,"DIV",{class:!0});var ge=u($);w(H.$$.fragment,ge),Ae=i(ge),R=n(ge,"P",{"data-svelte-h":!0}),h(R)!=="svelte-hi84tp"&&(R.textContent=Ue),ge.forEach(t),p.forEach(t),ce=i(e),_=n(e,"H2",{class:!0});var _e=u(_);x=n(_e,"A",{id:!0,class:!0,href:!0});var We=u(x);Z=n(We,"SPAN",{});var Je=u(Z);w(I.$$.fragment,Je),Je.forEach(t),We.forEach(t),Te=i(_e),W=n(_e,"SPAN",{"data-svelte-h":!0}),h(W)!=="svelte-1qoi9nz"&&(W.textContent=Ve),_e.forEach(t),le=i(e),v=n(e,"DIV",{class:!0});var ve=u(v);w(q.$$.fragment,ve),Ce=i(ve),J=n(ve,"P",{"data-svelte-h":!0}),h(J)!=="svelte-6ojmkw"&&(J.innerHTML=ze),ve.forEach(t),de=i(e),ee=n(e,"P",{}),u(ee).forEach(t),this.h()},h(){c(f,"name","hf:doc:metadata"),c(f,"content",JSON.stringify(rt)),c(b,"id","kdpm2ancestraldiscretescheduler"),c(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(b,"href","#kdpm2ancestraldiscretescheduler"),c(m,"class","relative group"),c(D,"id","diffusers.KDPM2AncestralDiscreteScheduler"),c(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(D,"href","#diffusers.KDPM2AncestralDiscreteScheduler"),c(g,"class","relative group"),c(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(x,"id","diffusers.schedulers.scheduling_utils.SchedulerOutput"),c(x,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(x,"href","#diffusers.schedulers.scheduling_utils.SchedulerOutput"),c(_,"class","relative group"),c(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,o){s(document.head,f),l(e,se,o),l(e,Y,o),l(e,re,o),l(e,m,o),s(m,b),s(b,Q),M(K,Q,null),s(m,be),s(m,U),l(e,ne,o),l(e,k,o),l(e,oe,o),l(e,E,o),l(e,ae,o),l(e,g,o),s(g,D),s(D,X),M(L,X,null),s(g,De),s(g,V),l(e,ie,o),l(e,d,o),M(O,d,null),s(d,ye),s(d,z),s(d,Se),s(d,G),s(d,$e),s(d,y),M(F,y,null),s(y,xe),s(y,B),s(d,Pe),s(d,S),M(N,S,null),s(S,we),s(S,j),s(d,Me),s(d,$),M(H,$,null),s($,Ae),s($,R),l(e,ce,o),l(e,_,o),s(_,x),s(x,Z),M(I,Z,null),s(_,Te),s(_,W),l(e,le,o),l(e,v,o),M(q,v,null),s(v,Ce),s(v,J),l(e,de,o),l(e,ee,o),ue=!0},p:Qe,i(e){ue||(A(K.$$.fragment,e),A(L.$$.fragment,e),A(O.$$.fragment,e),A(F.$$.fragment,e),A(N.$$.fragment,e),A(H.$$.fragment,e),A(I.$$.fragment,e),A(q.$$.fragment,e),ue=!0)},o(e){T(K.$$.fragment,e),T(L.$$.fragment,e),T(O.$$.fragment,e),T(F.$$.fragment,e),T(N.$$.fragment,e),T(H.$$.fragment,e),T(I.$$.fragment,e),T(q.$$.fragment,e),ue=!1},d(e){e&&(t(se),t(Y),t(re),t(m),t(ne),t(k),t(oe),t(E),t(ae),t(g),t(ie),t(d),t(ce),t(_),t(le),t(v),t(de),t(ee)),t(f),C(K),C(L),C(O),C(F),C(N),C(H),C(I),C(q)}}}const rt={local:"kdpm2ancestraldiscretescheduler",sections:[{local:"diffusers.KDPM2AncestralDiscreteScheduler",title:"KDPM2AncestralDiscreteScheduler"},{local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",title:"SchedulerOutput"}],title:"KDPM2AncestralDiscreteScheduler"};function nt(ke){return Xe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class lt extends Ze{constructor(f){super(),et(this,f,nt,st,Ye,{})}}export{lt as component};
