import{s as Re,n as We,o as Je}from"../chunks/scheduler.182ea377.js";import{S as Ye,i as Qe,g as r,s as n,u as E,A as Xe,h as o,f as t,c as a,j as c,v as P,y as h,k as d,o as s,a as u,w,d as M,t as T,x as C}from"../chunks/index.caaccc80.js";import{D as ee}from"../chunks/Docstring.835fbd1d.js";import{I as Te}from"../chunks/IconCopyLink.3458bfff.js";function Ze(Ce){let f,te,J,se,m,S,Y,k,ve,U,ke="DPMSolverSDEScheduler",re,O,Oe='The <code>DPMSolverSDEScheduler</code> is inspired by the stochastic sampler from the <a href="https://huggingface.co/papers/2206.00364" rel="nofollow">Elucidating the Design Space of Diffusion-Based Generative Models</a> paper, and the scheduler is ported from and created by <a href="https://github.com/crowsonkb/" rel="nofollow">Katherine Crowson</a>.',oe,g,b,Q,F,_e,V,Fe="DPMSolverSDEScheduler",ne,l,L,Se,z,Le=`DPMSolverSDEScheduler implements the stochastic sampler from the <a href="https://huggingface.co/papers/2206.00364" rel="nofollow">Elucidating the Design Space of Diffusion-Based
Generative Models</a> paper.`,be,B,Ne=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,De,D,N,ye,j,Ae=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,$e,y,A,xe,G,Ie="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",Ee,$,I,Pe,K,He=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise).`,ae,v,x,X,H,we,R,qe="SchedulerOutput",ie,_,q,Me,W,Ue="Base class for the output of a scheduler’s <code>step</code> function.",de,Z,le;return k=new Te({}),F=new Te({}),L=new ee({props:{name:"class diffusers.DPMSolverSDEScheduler",anchor:"diffusers.DPMSolverSDEScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.00085"},{name:"beta_end",val:": float = 0.012"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": typing.Union[numpy.ndarray, typing.List[float], NoneType] = None"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"use_karras_sigmas",val:": typing.Optional[bool] = False"},{name:"noise_sampler_seed",val:": typing.Optional[int] = None"},{name:"timestep_spacing",val:": str = 'linspace'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.DPMSolverSDEScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.DPMSolverSDEScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.00085) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.DPMSolverSDEScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.012) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.DPMSolverSDEScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code> or <code>scaled_linear</code>.`,name:"beta_schedule"},{anchor:"diffusers.DPMSolverSDEScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.DPMSolverSDEScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.DPMSolverSDEScheduler.use_karras_sigmas",description:`<strong>use_karras_sigmas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use Karras sigmas for step sizes in the noise schedule during the sampling process. If <code>True</code>,
the sigmas are determined according to a sequence of noise levels {&#x3C3;i}.`,name:"use_karras_sigmas"},{anchor:"diffusers.DPMSolverSDEScheduler.noise_sampler_seed",description:`<strong>noise_sampler_seed</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The random seed to use for the noise sampler. If <code>None</code>, a random seed is generated.`,name:"noise_sampler_seed"},{anchor:"diffusers.DPMSolverSDEScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;linspace&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.DPMSolverSDEScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code> to make the last step use step 0 for the previous alpha product like in Stable
Diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_sde.py#L124"}}),N=new ee({props:{name:"scale_model_input",anchor:"diffusers.DPMSolverSDEScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[float, torch.FloatTensor]"}],parametersDescription:[{anchor:"diffusers.DPMSolverSDEScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.DPMSolverSDEScheduler.scale_model_input.timestep",description:`<strong>timestep</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_sde.py#L256",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),A=new ee({props:{name:"set_timesteps",anchor:"diffusers.DPMSolverSDEScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int"},{name:"device",val:": typing.Union[str, torch.device] = None"},{name:"num_train_timesteps",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"diffusers.DPMSolverSDEScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.DPMSolverSDEScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_sde.py#L283"}}),I=new ee({props:{name:"step",anchor:"diffusers.DPMSolverSDEScheduler.step",parameters:[{name:"model_output",val:": typing.Union[torch.FloatTensor, numpy.ndarray]"},{name:"timestep",val:": typing.Union[float, torch.FloatTensor]"},{name:"sample",val:": typing.Union[torch.FloatTensor, numpy.ndarray]"},{name:"return_dict",val:": bool = True"},{name:"s_noise",val:": float = 1.0"}],parametersDescription:[{anchor:"diffusers.DPMSolverSDEScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code> or <code>np.ndarray</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverSDEScheduler.step.timestep",description:`<strong>timestep</strong> (<code>float</code> or <code>torch.FloatTensor</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverSDEScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> or <code>np.ndarray</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.DPMSolverSDEScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or tuple.`,name:"return_dict"},{anchor:"diffusers.DPMSolverSDEScheduler.step.s_noise",description:`<strong>s_noise</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014;
Scaling factor for noise added to the sample.`,name:"s_noise"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_sde.py#L415",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),H=new Te({}),q=new ee({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_utils.py#L50"}}),{c(){f=r("meta"),te=n(),J=r("p"),se=n(),m=r("h1"),S=r("a"),Y=r("span"),E(k.$$.fragment),ve=n(),U=r("span"),U.textContent=ke,re=n(),O=r("p"),O.innerHTML=Oe,oe=n(),g=r("h2"),b=r("a"),Q=r("span"),E(F.$$.fragment),_e=n(),V=r("span"),V.textContent=Fe,ne=n(),l=r("div"),E(L.$$.fragment),Se=n(),z=r("p"),z.innerHTML=Le,be=n(),B=r("p"),B.innerHTML=Ne,De=n(),D=r("div"),E(N.$$.fragment),ye=n(),j=r("p"),j.textContent=Ae,$e=n(),y=r("div"),E(A.$$.fragment),xe=n(),G=r("p"),G.textContent=Ie,Ee=n(),$=r("div"),E(I.$$.fragment),Pe=n(),K=r("p"),K.textContent=He,ae=n(),v=r("h2"),x=r("a"),X=r("span"),E(H.$$.fragment),we=n(),R=r("span"),R.textContent=qe,ie=n(),_=r("div"),E(q.$$.fragment),Me=n(),W=r("p"),W.innerHTML=Ue,de=n(),Z=r("p"),this.h()},l(e){const i=Xe("svelte-1phssyn",document.head);f=o(i,"META",{name:!0,content:!0}),i.forEach(t),te=a(e),J=o(e,"P",{}),c(J).forEach(t),se=a(e),m=o(e,"H1",{class:!0});var ce=c(m);S=o(ce,"A",{id:!0,class:!0,href:!0});var Ve=c(S);Y=o(Ve,"SPAN",{});var ze=c(Y);P(k.$$.fragment,ze),ze.forEach(t),Ve.forEach(t),ve=a(ce),U=o(ce,"SPAN",{"data-svelte-h":!0}),h(U)!=="svelte-1ymy9rw"&&(U.textContent=ke),ce.forEach(t),re=a(e),O=o(e,"P",{"data-svelte-h":!0}),h(O)!=="svelte-f261ri"&&(O.innerHTML=Oe),oe=a(e),g=o(e,"H2",{class:!0});var ue=c(g);b=o(ue,"A",{id:!0,class:!0,href:!0});var Be=c(b);Q=o(Be,"SPAN",{});var je=c(Q);P(F.$$.fragment,je),je.forEach(t),Be.forEach(t),_e=a(ue),V=o(ue,"SPAN",{"data-svelte-h":!0}),h(V)!=="svelte-1ymy9rw"&&(V.textContent=Fe),ue.forEach(t),ne=a(e),l=o(e,"DIV",{class:!0});var p=c(l);P(L.$$.fragment,p),Se=a(p),z=o(p,"P",{"data-svelte-h":!0}),h(z)!=="svelte-2gqyak"&&(z.innerHTML=Le),be=a(p),B=o(p,"P",{"data-svelte-h":!0}),h(B)!=="svelte-linuuh"&&(B.innerHTML=Ne),De=a(p),D=o(p,"DIV",{class:!0});var pe=c(D);P(N.$$.fragment,pe),ye=a(pe),j=o(pe,"P",{"data-svelte-h":!0}),h(j)!=="svelte-1rkfgpx"&&(j.textContent=Ae),pe.forEach(t),$e=a(p),y=o(p,"DIV",{class:!0});var he=c(y);P(A.$$.fragment,he),xe=a(he),G=o(he,"P",{"data-svelte-h":!0}),h(G)!=="svelte-1vzm9q"&&(G.textContent=Ie),he.forEach(t),Ee=a(p),$=o(p,"DIV",{class:!0});var fe=c($);P(I.$$.fragment,fe),Pe=a(fe),K=o(fe,"P",{"data-svelte-h":!0}),h(K)!=="svelte-hi84tp"&&(K.textContent=He),fe.forEach(t),p.forEach(t),ae=a(e),v=o(e,"H2",{class:!0});var me=c(v);x=o(me,"A",{id:!0,class:!0,href:!0});var Ge=c(x);X=o(Ge,"SPAN",{});var Ke=c(X);P(H.$$.fragment,Ke),Ke.forEach(t),Ge.forEach(t),we=a(me),R=o(me,"SPAN",{"data-svelte-h":!0}),h(R)!=="svelte-1qoi9nz"&&(R.textContent=qe),me.forEach(t),ie=a(e),_=o(e,"DIV",{class:!0});var ge=c(_);P(q.$$.fragment,ge),Me=a(ge),W=o(ge,"P",{"data-svelte-h":!0}),h(W)!=="svelte-6ojmkw"&&(W.innerHTML=Ue),ge.forEach(t),de=a(e),Z=o(e,"P",{}),c(Z).forEach(t),this.h()},h(){d(f,"name","hf:doc:metadata"),d(f,"content",JSON.stringify(et)),d(S,"id","dpmsolversdescheduler"),d(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(S,"href","#dpmsolversdescheduler"),d(m,"class","relative group"),d(b,"id","diffusers.DPMSolverSDEScheduler"),d(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(b,"href","#diffusers.DPMSolverSDEScheduler"),d(g,"class","relative group"),d(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(x,"id","diffusers.schedulers.scheduling_utils.SchedulerOutput"),d(x,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(x,"href","#diffusers.schedulers.scheduling_utils.SchedulerOutput"),d(v,"class","relative group"),d(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,i){s(document.head,f),u(e,te,i),u(e,J,i),u(e,se,i),u(e,m,i),s(m,S),s(S,Y),w(k,Y,null),s(m,ve),s(m,U),u(e,re,i),u(e,O,i),u(e,oe,i),u(e,g,i),s(g,b),s(b,Q),w(F,Q,null),s(g,_e),s(g,V),u(e,ne,i),u(e,l,i),w(L,l,null),s(l,Se),s(l,z),s(l,be),s(l,B),s(l,De),s(l,D),w(N,D,null),s(D,ye),s(D,j),s(l,$e),s(l,y),w(A,y,null),s(y,xe),s(y,G),s(l,Ee),s(l,$),w(I,$,null),s($,Pe),s($,K),u(e,ae,i),u(e,v,i),s(v,x),s(x,X),w(H,X,null),s(v,we),s(v,R),u(e,ie,i),u(e,_,i),w(q,_,null),s(_,Me),s(_,W),u(e,de,i),u(e,Z,i),le=!0},p:We,i(e){le||(M(k.$$.fragment,e),M(F.$$.fragment,e),M(L.$$.fragment,e),M(N.$$.fragment,e),M(A.$$.fragment,e),M(I.$$.fragment,e),M(H.$$.fragment,e),M(q.$$.fragment,e),le=!0)},o(e){T(k.$$.fragment,e),T(F.$$.fragment,e),T(L.$$.fragment,e),T(N.$$.fragment,e),T(A.$$.fragment,e),T(I.$$.fragment,e),T(H.$$.fragment,e),T(q.$$.fragment,e),le=!1},d(e){e&&(t(te),t(J),t(se),t(m),t(re),t(O),t(oe),t(g),t(ne),t(l),t(ae),t(v),t(ie),t(_),t(de),t(Z)),t(f),C(k),C(F),C(L),C(N),C(A),C(I),C(H),C(q)}}}const et={local:"dpmsolversdescheduler",sections:[{local:"diffusers.DPMSolverSDEScheduler",title:"DPMSolverSDEScheduler"},{local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",title:"SchedulerOutput"}],title:"DPMSolverSDEScheduler"};function tt(Ce){return Je(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class at extends Ye{constructor(f){super(),Qe(this,f,tt,Ze,Re,{})}}export{at as component};
