import{s as Ke,n as We,o as Ye}from"../chunks/scheduler.182ea377.js";import{S as Be,i as Qe,g as s,s as a,u as D,A as Xe,h as n,f as t,c as o,j as d,v as y,y as h,k as c,o as r,a as u,w,d as T,t as C,x as P}from"../chunks/index.caaccc80.js";import{D as ee}from"../chunks/Docstring.835fbd1d.js";import{I as Ce}from"../chunks/IconCopyLink.3458bfff.js";function Ze(Pe){let f,te,Y,re,m,b,B,k,_e,V,ke="EulerAncestralDiscreteScheduler",se,O,Oe='A scheduler that uses ancestral sampling with Euler method steps. This is a fast scheduler which can often generate good outputs in 20-30 steps. The scheduler is based on the original <a href="https://github.com/crowsonkb/k-diffusion/blob/481677d114f6ea445aa009cf5bd7a9cdee909e47/k_diffusion/sampling.py#L72" rel="nofollow">k-diffusion</a> implementation by <a href="https://github.com/crowsonkb/" rel="nofollow">Katherine Crowson</a>.',ne,g,E,Q,L,ve,U,Le="EulerAncestralDiscreteScheduler",ae,l,F,be,z,Fe="Ancestral sampling with Euler method steps.",Ee,G,Me=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,$e,$,M,Se,R,Ne=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep. Scales the denoising model input by <code>(sigma**2 + 1) ** 0.5</code> to match the Euler algorithm.`,xe,S,N,Ae,j,He="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",De,x,H,ye,J,Ie=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise).`,oe,_,A,X,I,we,K,qe="EulerAncestralDiscreteSchedulerOutput",ie,v,q,Te,W,Ve="Output class for the scheduler’s <code>step</code> function output.",ce,Z,le;return k=new Ce({}),L=new Ce({}),F=new ee({props:{name:"class diffusers.EulerAncestralDiscreteScheduler",anchor:"diffusers.EulerAncestralDiscreteScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.0001"},{name:"beta_end",val:": float = 0.02"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": typing.Union[numpy.ndarray, typing.List[float], NoneType] = None"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"timestep_spacing",val:": str = 'linspace'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.EulerAncestralDiscreteScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.EulerAncestralDiscreteScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.0001) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.EulerAncestralDiscreteScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.EulerAncestralDiscreteScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code> or <code>scaled_linear</code>.`,name:"beta_schedule"},{anchor:"diffusers.EulerAncestralDiscreteScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.EulerAncestralDiscreteScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.EulerAncestralDiscreteScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;linspace&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.EulerAncestralDiscreteScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code> to make the last step use step 0 for the previous alpha product like in Stable
Diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_euler_ancestral_discrete.py#L95"}}),M=new ee({props:{name:"scale_model_input",anchor:"diffusers.EulerAncestralDiscreteScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[float, torch.FloatTensor]"}],parametersDescription:[{anchor:"diffusers.EulerAncestralDiscreteScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.EulerAncestralDiscreteScheduler.scale_model_input.timestep",description:`<strong>timestep</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_euler_ancestral_discrete.py#L187",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),N=new ee({props:{name:"set_timesteps",anchor:"diffusers.EulerAncestralDiscreteScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int"},{name:"device",val:": typing.Union[str, torch.device] = None"}],parametersDescription:[{anchor:"diffusers.EulerAncestralDiscreteScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.EulerAncestralDiscreteScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_euler_ancestral_discrete.py#L213"}}),H=new ee({props:{name:"step",anchor:"diffusers.EulerAncestralDiscreteScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": typing.Union[float, torch.FloatTensor]"},{name:"sample",val:": FloatTensor"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.EulerAncestralDiscreteScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.EulerAncestralDiscreteScheduler.step.timestep",description:`<strong>timestep</strong> (<code>float</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.EulerAncestralDiscreteScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.EulerAncestralDiscreteScheduler.step.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"},{anchor:"diffusers.EulerAncestralDiscreteScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a
<a href="/docs/diffusers/main/en/api/schedulers/euler_ancestral#diffusers.schedulers.scheduling_euler_ancestral_discrete.EulerAncestralDiscreteSchedulerOutput">EulerAncestralDiscreteSchedulerOutput</a> or tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_euler_ancestral_discrete.py#L273",returnDescription:`
<p>If return_dict is <code>True</code>,
<a
  href="/docs/diffusers/main/en/api/schedulers/euler_ancestral#diffusers.schedulers.scheduling_euler_ancestral_discrete.EulerAncestralDiscreteSchedulerOutput"
>EulerAncestralDiscreteSchedulerOutput</a> is returned,
otherwise a tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/euler_ancestral#diffusers.schedulers.scheduling_euler_ancestral_discrete.EulerAncestralDiscreteSchedulerOutput"
>EulerAncestralDiscreteSchedulerOutput</a> or <code>tuple</code></p>
`}}),I=new Ce({}),q=new ee({props:{name:"class diffusers.schedulers.scheduling_euler_ancestral_discrete.EulerAncestralDiscreteSchedulerOutput",anchor:"diffusers.schedulers.scheduling_euler_ancestral_discrete.EulerAncestralDiscreteSchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"},{name:"pred_original_sample",val:": typing.Optional[torch.FloatTensor] = None"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_euler_ancestral_discrete.EulerAncestralDiscreteSchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"},{anchor:"diffusers.schedulers.scheduling_euler_ancestral_discrete.EulerAncestralDiscreteSchedulerOutput.pred_original_sample",description:`<strong>pred_original_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
The predicted denoised sample <code>(x_{0})</code> based on the model output from the current timestep.
<code>pred_original_sample</code> can be used to preview progress or for guidance.`,name:"pred_original_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_euler_ancestral_discrete.py#L33"}}),{c(){f=s("meta"),te=a(),Y=s("p"),re=a(),m=s("h1"),b=s("a"),B=s("span"),D(k.$$.fragment),_e=a(),V=s("span"),V.textContent=ke,se=a(),O=s("p"),O.innerHTML=Oe,ne=a(),g=s("h2"),E=s("a"),Q=s("span"),D(L.$$.fragment),ve=a(),U=s("span"),U.textContent=Le,ae=a(),l=s("div"),D(F.$$.fragment),be=a(),z=s("p"),z.textContent=Fe,Ee=a(),G=s("p"),G.innerHTML=Me,$e=a(),$=s("div"),D(M.$$.fragment),Se=a(),R=s("p"),R.innerHTML=Ne,xe=a(),S=s("div"),D(N.$$.fragment),Ae=a(),j=s("p"),j.textContent=He,De=a(),x=s("div"),D(H.$$.fragment),ye=a(),J=s("p"),J.textContent=Ie,oe=a(),_=s("h2"),A=s("a"),X=s("span"),D(I.$$.fragment),we=a(),K=s("span"),K.textContent=qe,ie=a(),v=s("div"),D(q.$$.fragment),Te=a(),W=s("p"),W.innerHTML=Ve,ce=a(),Z=s("p"),this.h()},l(e){const i=Xe("svelte-1phssyn",document.head);f=n(i,"META",{name:!0,content:!0}),i.forEach(t),te=o(e),Y=n(e,"P",{}),d(Y).forEach(t),re=o(e),m=n(e,"H1",{class:!0});var de=d(m);b=n(de,"A",{id:!0,class:!0,href:!0});var Ue=d(b);B=n(Ue,"SPAN",{});var ze=d(B);y(k.$$.fragment,ze),ze.forEach(t),Ue.forEach(t),_e=o(de),V=n(de,"SPAN",{"data-svelte-h":!0}),h(V)!=="svelte-1spbwir"&&(V.textContent=ke),de.forEach(t),se=o(e),O=n(e,"P",{"data-svelte-h":!0}),h(O)!=="svelte-mxywa3"&&(O.innerHTML=Oe),ne=o(e),g=n(e,"H2",{class:!0});var ue=d(g);E=n(ue,"A",{id:!0,class:!0,href:!0});var Ge=d(E);Q=n(Ge,"SPAN",{});var Re=d(Q);y(L.$$.fragment,Re),Re.forEach(t),Ge.forEach(t),ve=o(ue),U=n(ue,"SPAN",{"data-svelte-h":!0}),h(U)!=="svelte-1spbwir"&&(U.textContent=Le),ue.forEach(t),ae=o(e),l=n(e,"DIV",{class:!0});var p=d(l);y(F.$$.fragment,p),be=o(p),z=n(p,"P",{"data-svelte-h":!0}),h(z)!=="svelte-15vtfhh"&&(z.textContent=Fe),Ee=o(p),G=n(p,"P",{"data-svelte-h":!0}),h(G)!=="svelte-linuuh"&&(G.innerHTML=Me),$e=o(p),$=n(p,"DIV",{class:!0});var pe=d($);y(M.$$.fragment,pe),Se=o(pe),R=n(pe,"P",{"data-svelte-h":!0}),h(R)!=="svelte-1hew89w"&&(R.innerHTML=Ne),pe.forEach(t),xe=o(p),S=n(p,"DIV",{class:!0});var he=d(S);y(N.$$.fragment,he),Ae=o(he),j=n(he,"P",{"data-svelte-h":!0}),h(j)!=="svelte-1vzm9q"&&(j.textContent=He),he.forEach(t),De=o(p),x=n(p,"DIV",{class:!0});var fe=d(x);y(H.$$.fragment,fe),ye=o(fe),J=n(fe,"P",{"data-svelte-h":!0}),h(J)!=="svelte-hi84tp"&&(J.textContent=Ie),fe.forEach(t),p.forEach(t),oe=o(e),_=n(e,"H2",{class:!0});var me=d(_);A=n(me,"A",{id:!0,class:!0,href:!0});var je=d(A);X=n(je,"SPAN",{});var Je=d(X);y(I.$$.fragment,Je),Je.forEach(t),je.forEach(t),we=o(me),K=n(me,"SPAN",{"data-svelte-h":!0}),h(K)!=="svelte-1czkr82"&&(K.textContent=qe),me.forEach(t),ie=o(e),v=n(e,"DIV",{class:!0});var ge=d(v);y(q.$$.fragment,ge),Te=o(ge),W=n(ge,"P",{"data-svelte-h":!0}),h(W)!=="svelte-id9kic"&&(W.innerHTML=Ve),ge.forEach(t),ce=o(e),Z=n(e,"P",{}),d(Z).forEach(t),this.h()},h(){c(f,"name","hf:doc:metadata"),c(f,"content",JSON.stringify(et)),c(b,"id","eulerancestraldiscretescheduler"),c(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(b,"href","#eulerancestraldiscretescheduler"),c(m,"class","relative group"),c(E,"id","diffusers.EulerAncestralDiscreteScheduler"),c(E,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(E,"href","#diffusers.EulerAncestralDiscreteScheduler"),c(g,"class","relative group"),c($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(A,"id","diffusers.schedulers.scheduling_euler_ancestral_discrete.EulerAncestralDiscreteSchedulerOutput"),c(A,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(A,"href","#diffusers.schedulers.scheduling_euler_ancestral_discrete.EulerAncestralDiscreteSchedulerOutput"),c(_,"class","relative group"),c(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,i){r(document.head,f),u(e,te,i),u(e,Y,i),u(e,re,i),u(e,m,i),r(m,b),r(b,B),w(k,B,null),r(m,_e),r(m,V),u(e,se,i),u(e,O,i),u(e,ne,i),u(e,g,i),r(g,E),r(E,Q),w(L,Q,null),r(g,ve),r(g,U),u(e,ae,i),u(e,l,i),w(F,l,null),r(l,be),r(l,z),r(l,Ee),r(l,G),r(l,$e),r(l,$),w(M,$,null),r($,Se),r($,R),r(l,xe),r(l,S),w(N,S,null),r(S,Ae),r(S,j),r(l,De),r(l,x),w(H,x,null),r(x,ye),r(x,J),u(e,oe,i),u(e,_,i),r(_,A),r(A,X),w(I,X,null),r(_,we),r(_,K),u(e,ie,i),u(e,v,i),w(q,v,null),r(v,Te),r(v,W),u(e,ce,i),u(e,Z,i),le=!0},p:We,i(e){le||(T(k.$$.fragment,e),T(L.$$.fragment,e),T(F.$$.fragment,e),T(M.$$.fragment,e),T(N.$$.fragment,e),T(H.$$.fragment,e),T(I.$$.fragment,e),T(q.$$.fragment,e),le=!0)},o(e){C(k.$$.fragment,e),C(L.$$.fragment,e),C(F.$$.fragment,e),C(M.$$.fragment,e),C(N.$$.fragment,e),C(H.$$.fragment,e),C(I.$$.fragment,e),C(q.$$.fragment,e),le=!1},d(e){e&&(t(te),t(Y),t(re),t(m),t(se),t(O),t(ne),t(g),t(ae),t(l),t(oe),t(_),t(ie),t(v),t(ce),t(Z)),t(f),P(k),P(L),P(F),P(M),P(N),P(H),P(I),P(q)}}}const et={local:"eulerancestraldiscretescheduler",sections:[{local:"diffusers.EulerAncestralDiscreteScheduler",title:"EulerAncestralDiscreteScheduler"},{local:"diffusers.schedulers.scheduling_euler_ancestral_discrete.EulerAncestralDiscreteSchedulerOutput",title:"EulerAncestralDiscreteSchedulerOutput"}],title:"EulerAncestralDiscreteScheduler"};function tt(Pe){return Ye(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ot extends Be{constructor(f){super(),Qe(this,f,tt,Ze,Ke,{})}}export{ot as component};
