import{s as We,n as Ge,o as Je}from"../chunks/scheduler.182ea377.js";import{S as Ye,i as Qe,g as r,s as o,u as D,A as Xe,h as n,f as t,c as i,j as l,v as T,y as h,k as c,o as s,a as u,w as H,d as C,t as k,x as P}from"../chunks/index.caaccc80.js";import{D as ee}from"../chunks/Docstring.835fbd1d.js";import{I as ke}from"../chunks/IconCopyLink.3458bfff.js";function Ze(Pe){let f,te,J,se,m,b,Y,E,_e,U,Ee="HeunDiscreteScheduler",re,O,Oe='The Heun scheduler (Algorithm 1) is from the <a href="https://huggingface.co/papers/2206.00364" rel="nofollow">Elucidating the Design Space of Diffusion-Based Generative Models</a> paper by Karras et al. The scheduler is ported from the <a href="https://github.com/crowsonkb/k-diffusion" rel="nofollow">k-diffusion</a> library and created by <a href="https://github.com/crowsonkb/" rel="nofollow">Katherine Crowson</a>.',ne,g,y,Q,F,ve,V,Fe="HeunDiscreteScheduler",oe,d,A,be,z,Ae="Scheduler with Heun steps for discrete beta schedules.",ye,j,Le=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,$e,$,L,xe,K,Me=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,Se,x,M,we,B,Ne="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",De,S,N,Te,R,Ie=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise).`,ie,_,w,X,I,He,W,qe="SchedulerOutput",ae,v,q,Ce,G,Ue="Base class for the output of a scheduler’s <code>step</code> function.",ce,Z,de;return E=new ke({}),F=new ke({}),A=new ee({props:{name:"class diffusers.HeunDiscreteScheduler",anchor:"diffusers.HeunDiscreteScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.00085"},{name:"beta_end",val:": float = 0.012"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": typing.Union[numpy.ndarray, typing.List[float], NoneType] = None"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"use_karras_sigmas",val:": typing.Optional[bool] = False"},{name:"clip_sample",val:": typing.Optional[bool] = False"},{name:"clip_sample_range",val:": float = 1.0"},{name:"timestep_spacing",val:": str = 'linspace'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.HeunDiscreteScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.HeunDiscreteScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.0001) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.HeunDiscreteScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.HeunDiscreteScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code> or <code>scaled_linear</code>.`,name:"beta_schedule"},{anchor:"diffusers.HeunDiscreteScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.HeunDiscreteScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.HeunDiscreteScheduler.clip_sample",description:`<strong>clip_sample</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Clip the predicted sample for numerical stability.`,name:"clip_sample"},{anchor:"diffusers.HeunDiscreteScheduler.clip_sample_range",description:`<strong>clip_sample_range</strong> (<code>float</code>, defaults to 1.0) &#x2014;
The maximum magnitude for sample clipping. Valid only when <code>clip_sample=True</code>.`,name:"clip_sample_range"},{anchor:"diffusers.HeunDiscreteScheduler.use_karras_sigmas",description:`<strong>use_karras_sigmas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use Karras sigmas for step sizes in the noise schedule during the sampling process. If <code>True</code>,
the sigmas are determined according to a sequence of noise levels {&#x3C3;i}.`,name:"use_karras_sigmas"},{anchor:"diffusers.HeunDiscreteScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;linspace&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.HeunDiscreteScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code> to make the last step use step 0 for the previous alpha product like in Stable
Diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_heun_discrete.py#L71"}}),L=new ee({props:{name:"scale_model_input",anchor:"diffusers.HeunDiscreteScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[float, torch.FloatTensor]"}],parametersDescription:[{anchor:"diffusers.HeunDiscreteScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.HeunDiscreteScheduler.scale_model_input.timestep",description:`<strong>timestep</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_heun_discrete.py#L187",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),M=new ee({props:{name:"set_timesteps",anchor:"diffusers.HeunDiscreteScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int"},{name:"device",val:": typing.Union[str, torch.device] = None"},{name:"num_train_timesteps",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"diffusers.HeunDiscreteScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.HeunDiscreteScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_heun_discrete.py#L213"}}),N=new ee({props:{name:"step",anchor:"diffusers.HeunDiscreteScheduler.step",parameters:[{name:"model_output",val:": typing.Union[torch.FloatTensor, numpy.ndarray]"},{name:"timestep",val:": typing.Union[float, torch.FloatTensor]"},{name:"sample",val:": typing.Union[torch.FloatTensor, numpy.ndarray]"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.HeunDiscreteScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.HeunDiscreteScheduler.step.timestep",description:`<strong>timestep</strong> (<code>float</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.HeunDiscreteScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.HeunDiscreteScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_heun_discrete.py#L340",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),I=new ke({}),q=new ee({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_utils.py#L50"}}),{c(){f=r("meta"),te=o(),J=r("p"),se=o(),m=r("h1"),b=r("a"),Y=r("span"),D(E.$$.fragment),_e=o(),U=r("span"),U.textContent=Ee,re=o(),O=r("p"),O.innerHTML=Oe,ne=o(),g=r("h2"),y=r("a"),Q=r("span"),D(F.$$.fragment),ve=o(),V=r("span"),V.textContent=Fe,oe=o(),d=r("div"),D(A.$$.fragment),be=o(),z=r("p"),z.textContent=Ae,ye=o(),j=r("p"),j.innerHTML=Le,$e=o(),$=r("div"),D(L.$$.fragment),xe=o(),K=r("p"),K.textContent=Me,Se=o(),x=r("div"),D(M.$$.fragment),we=o(),B=r("p"),B.textContent=Ne,De=o(),S=r("div"),D(N.$$.fragment),Te=o(),R=r("p"),R.textContent=Ie,ie=o(),_=r("h2"),w=r("a"),X=r("span"),D(I.$$.fragment),He=o(),W=r("span"),W.textContent=qe,ae=o(),v=r("div"),D(q.$$.fragment),Ce=o(),G=r("p"),G.innerHTML=Ue,ce=o(),Z=r("p"),this.h()},l(e){const a=Xe("svelte-1phssyn",document.head);f=n(a,"META",{name:!0,content:!0}),a.forEach(t),te=i(e),J=n(e,"P",{}),l(J).forEach(t),se=i(e),m=n(e,"H1",{class:!0});var le=l(m);b=n(le,"A",{id:!0,class:!0,href:!0});var Ve=l(b);Y=n(Ve,"SPAN",{});var ze=l(Y);T(E.$$.fragment,ze),ze.forEach(t),Ve.forEach(t),_e=i(le),U=n(le,"SPAN",{"data-svelte-h":!0}),h(U)!=="svelte-19psgdn"&&(U.textContent=Ee),le.forEach(t),re=i(e),O=n(e,"P",{"data-svelte-h":!0}),h(O)!=="svelte-1r9m54f"&&(O.innerHTML=Oe),ne=i(e),g=n(e,"H2",{class:!0});var ue=l(g);y=n(ue,"A",{id:!0,class:!0,href:!0});var je=l(y);Q=n(je,"SPAN",{});var Ke=l(Q);T(F.$$.fragment,Ke),Ke.forEach(t),je.forEach(t),ve=i(ue),V=n(ue,"SPAN",{"data-svelte-h":!0}),h(V)!=="svelte-19psgdn"&&(V.textContent=Fe),ue.forEach(t),oe=i(e),d=n(e,"DIV",{class:!0});var p=l(d);T(A.$$.fragment,p),be=i(p),z=n(p,"P",{"data-svelte-h":!0}),h(z)!=="svelte-1k165jq"&&(z.textContent=Ae),ye=i(p),j=n(p,"P",{"data-svelte-h":!0}),h(j)!=="svelte-linuuh"&&(j.innerHTML=Le),$e=i(p),$=n(p,"DIV",{class:!0});var pe=l($);T(L.$$.fragment,pe),xe=i(pe),K=n(pe,"P",{"data-svelte-h":!0}),h(K)!=="svelte-1rkfgpx"&&(K.textContent=Me),pe.forEach(t),Se=i(p),x=n(p,"DIV",{class:!0});var he=l(x);T(M.$$.fragment,he),we=i(he),B=n(he,"P",{"data-svelte-h":!0}),h(B)!=="svelte-1vzm9q"&&(B.textContent=Ne),he.forEach(t),De=i(p),S=n(p,"DIV",{class:!0});var fe=l(S);T(N.$$.fragment,fe),Te=i(fe),R=n(fe,"P",{"data-svelte-h":!0}),h(R)!=="svelte-hi84tp"&&(R.textContent=Ie),fe.forEach(t),p.forEach(t),ie=i(e),_=n(e,"H2",{class:!0});var me=l(_);w=n(me,"A",{id:!0,class:!0,href:!0});var Be=l(w);X=n(Be,"SPAN",{});var Re=l(X);T(I.$$.fragment,Re),Re.forEach(t),Be.forEach(t),He=i(me),W=n(me,"SPAN",{"data-svelte-h":!0}),h(W)!=="svelte-1qoi9nz"&&(W.textContent=qe),me.forEach(t),ae=i(e),v=n(e,"DIV",{class:!0});var ge=l(v);T(q.$$.fragment,ge),Ce=i(ge),G=n(ge,"P",{"data-svelte-h":!0}),h(G)!=="svelte-6ojmkw"&&(G.innerHTML=Ue),ge.forEach(t),ce=i(e),Z=n(e,"P",{}),l(Z).forEach(t),this.h()},h(){c(f,"name","hf:doc:metadata"),c(f,"content",JSON.stringify(et)),c(b,"id","heundiscretescheduler"),c(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(b,"href","#heundiscretescheduler"),c(m,"class","relative group"),c(y,"id","diffusers.HeunDiscreteScheduler"),c(y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(y,"href","#diffusers.HeunDiscreteScheduler"),c(g,"class","relative group"),c($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(w,"id","diffusers.schedulers.scheduling_utils.SchedulerOutput"),c(w,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(w,"href","#diffusers.schedulers.scheduling_utils.SchedulerOutput"),c(_,"class","relative group"),c(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){s(document.head,f),u(e,te,a),u(e,J,a),u(e,se,a),u(e,m,a),s(m,b),s(b,Y),H(E,Y,null),s(m,_e),s(m,U),u(e,re,a),u(e,O,a),u(e,ne,a),u(e,g,a),s(g,y),s(y,Q),H(F,Q,null),s(g,ve),s(g,V),u(e,oe,a),u(e,d,a),H(A,d,null),s(d,be),s(d,z),s(d,ye),s(d,j),s(d,$e),s(d,$),H(L,$,null),s($,xe),s($,K),s(d,Se),s(d,x),H(M,x,null),s(x,we),s(x,B),s(d,De),s(d,S),H(N,S,null),s(S,Te),s(S,R),u(e,ie,a),u(e,_,a),s(_,w),s(w,X),H(I,X,null),s(_,He),s(_,W),u(e,ae,a),u(e,v,a),H(q,v,null),s(v,Ce),s(v,G),u(e,ce,a),u(e,Z,a),de=!0},p:Ge,i(e){de||(C(E.$$.fragment,e),C(F.$$.fragment,e),C(A.$$.fragment,e),C(L.$$.fragment,e),C(M.$$.fragment,e),C(N.$$.fragment,e),C(I.$$.fragment,e),C(q.$$.fragment,e),de=!0)},o(e){k(E.$$.fragment,e),k(F.$$.fragment,e),k(A.$$.fragment,e),k(L.$$.fragment,e),k(M.$$.fragment,e),k(N.$$.fragment,e),k(I.$$.fragment,e),k(q.$$.fragment,e),de=!1},d(e){e&&(t(te),t(J),t(se),t(m),t(re),t(O),t(ne),t(g),t(oe),t(d),t(ie),t(_),t(ae),t(v),t(ce),t(Z)),t(f),P(E),P(F),P(A),P(L),P(M),P(N),P(I),P(q)}}}const et={local:"heundiscretescheduler",sections:[{local:"diffusers.HeunDiscreteScheduler",title:"HeunDiscreteScheduler"},{local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",title:"SchedulerOutput"}],title:"HeunDiscreteScheduler"};function tt(Pe){return Je(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class it extends Ye{constructor(f){super(),Qe(this,f,tt,Ze,We,{})}}export{it as component};
