import{s as We,n as Ge,o as Ke}from"../chunks/scheduler.182ea377.js";import{S as Qe,i as Xe,g as r,s as o,u as P,A as Ye,h as n,f as t,c as i,j as u,v as D,y as h,k as d,o as s,a as c,w as M,d as I,t as N,x as C}from"../chunks/index.caaccc80.js";import{D as ee}from"../chunks/Docstring.835fbd1d.js";import{I as Ne}from"../chunks/IconCopyLink.3458bfff.js";function Ze(Ce){let f,te,K,se,m,b,Q,T,ve,z,Te="IPNDMScheduler",re,E,Ee='<code>IPNDMScheduler</code> is a fourth-order Improved Pseudo Linear Multistep scheduler. The original implementation can be found at <a href="https://github.com/crowsonkb/v-diffusion-pytorch/blob/987f8985e38208345c1959b0ea767a625831cc9b/diffusion/sampling.py#L296" rel="nofollow">crowsonkb/v-diffusion-pytorch</a>.',ne,g,$,X,k,_e,q,ke="IPNDMScheduler",oe,l,L,be,U,Le="A fourth-order Improved Pseudo Linear Multistep scheduler.",$e,j,Oe=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,xe,x,O,Se,B,Ae=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,we,S,A,ye,J,Fe="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",Pe,w,F,De,R,He=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the linear multistep method. It performs one forward pass multiple times to approximate the solution.`,ie,v,y,Y,H,Me,W,Ve="SchedulerOutput",ae,_,V,Ie,G,ze="Base class for the output of a scheduler’s <code>step</code> function.",de,Z,le;return T=new Ne({}),k=new Ne({}),L=new ee({props:{name:"class diffusers.IPNDMScheduler",anchor:"diffusers.IPNDMScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"trained_betas",val:": typing.Union[numpy.ndarray, typing.List[float], NoneType] = None"}],parametersDescription:[{anchor:"diffusers.IPNDMScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.IPNDMScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_ipndm.py#L25"}}),O=new ee({props:{name:"scale_model_input",anchor:"diffusers.IPNDMScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.IPNDMScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_ipndm.py#L170",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),A=new ee({props:{name:"set_timesteps",anchor:"diffusers.IPNDMScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int"},{name:"device",val:": typing.Union[str, torch.device] = None"}],parametersDescription:[{anchor:"diffusers.IPNDMScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.IPNDMScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_ipndm.py#L67"}}),F=new ee({props:{name:"step",anchor:"diffusers.IPNDMScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.IPNDMScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.IPNDMScheduler.step.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.IPNDMScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.IPNDMScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_ipndm.py#L112",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),H=new Ne({}),V=new ee({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_utils.py#L50"}}),{c(){f=r("meta"),te=o(),K=r("p"),se=o(),m=r("h1"),b=r("a"),Q=r("span"),P(T.$$.fragment),ve=o(),z=r("span"),z.textContent=Te,re=o(),E=r("p"),E.innerHTML=Ee,ne=o(),g=r("h2"),$=r("a"),X=r("span"),P(k.$$.fragment),_e=o(),q=r("span"),q.textContent=ke,oe=o(),l=r("div"),P(L.$$.fragment),be=o(),U=r("p"),U.textContent=Le,$e=o(),j=r("p"),j.innerHTML=Oe,xe=o(),x=r("div"),P(O.$$.fragment),Se=o(),B=r("p"),B.textContent=Ae,we=o(),S=r("div"),P(A.$$.fragment),ye=o(),J=r("p"),J.textContent=Fe,Pe=o(),w=r("div"),P(F.$$.fragment),De=o(),R=r("p"),R.textContent=He,ie=o(),v=r("h2"),y=r("a"),Y=r("span"),P(H.$$.fragment),Me=o(),W=r("span"),W.textContent=Ve,ae=o(),_=r("div"),P(V.$$.fragment),Ie=o(),G=r("p"),G.innerHTML=ze,de=o(),Z=r("p"),this.h()},l(e){const a=Ye("svelte-1phssyn",document.head);f=n(a,"META",{name:!0,content:!0}),a.forEach(t),te=i(e),K=n(e,"P",{}),u(K).forEach(t),se=i(e),m=n(e,"H1",{class:!0});var ue=u(m);b=n(ue,"A",{id:!0,class:!0,href:!0});var qe=u(b);Q=n(qe,"SPAN",{});var Ue=u(Q);D(T.$$.fragment,Ue),Ue.forEach(t),qe.forEach(t),ve=i(ue),z=n(ue,"SPAN",{"data-svelte-h":!0}),h(z)!=="svelte-54526g"&&(z.textContent=Te),ue.forEach(t),re=i(e),E=n(e,"P",{"data-svelte-h":!0}),h(E)!=="svelte-z0ks0i"&&(E.innerHTML=Ee),ne=i(e),g=n(e,"H2",{class:!0});var ce=u(g);$=n(ce,"A",{id:!0,class:!0,href:!0});var je=u($);X=n(je,"SPAN",{});var Be=u(X);D(k.$$.fragment,Be),Be.forEach(t),je.forEach(t),_e=i(ce),q=n(ce,"SPAN",{"data-svelte-h":!0}),h(q)!=="svelte-54526g"&&(q.textContent=ke),ce.forEach(t),oe=i(e),l=n(e,"DIV",{class:!0});var p=u(l);D(L.$$.fragment,p),be=i(p),U=n(p,"P",{"data-svelte-h":!0}),h(U)!=="svelte-uir5v"&&(U.textContent=Le),$e=i(p),j=n(p,"P",{"data-svelte-h":!0}),h(j)!=="svelte-linuuh"&&(j.innerHTML=Oe),xe=i(p),x=n(p,"DIV",{class:!0});var pe=u(x);D(O.$$.fragment,pe),Se=i(pe),B=n(pe,"P",{"data-svelte-h":!0}),h(B)!=="svelte-1rkfgpx"&&(B.textContent=Ae),pe.forEach(t),we=i(p),S=n(p,"DIV",{class:!0});var he=u(S);D(A.$$.fragment,he),ye=i(he),J=n(he,"P",{"data-svelte-h":!0}),h(J)!=="svelte-1vzm9q"&&(J.textContent=Fe),he.forEach(t),Pe=i(p),w=n(p,"DIV",{class:!0});var fe=u(w);D(F.$$.fragment,fe),De=i(fe),R=n(fe,"P",{"data-svelte-h":!0}),h(R)!=="svelte-1n4l8et"&&(R.textContent=He),fe.forEach(t),p.forEach(t),ie=i(e),v=n(e,"H2",{class:!0});var me=u(v);y=n(me,"A",{id:!0,class:!0,href:!0});var Je=u(y);Y=n(Je,"SPAN",{});var Re=u(Y);D(H.$$.fragment,Re),Re.forEach(t),Je.forEach(t),Me=i(me),W=n(me,"SPAN",{"data-svelte-h":!0}),h(W)!=="svelte-1qoi9nz"&&(W.textContent=Ve),me.forEach(t),ae=i(e),_=n(e,"DIV",{class:!0});var ge=u(_);D(V.$$.fragment,ge),Ie=i(ge),G=n(ge,"P",{"data-svelte-h":!0}),h(G)!=="svelte-6ojmkw"&&(G.innerHTML=ze),ge.forEach(t),de=i(e),Z=n(e,"P",{}),u(Z).forEach(t),this.h()},h(){d(f,"name","hf:doc:metadata"),d(f,"content",JSON.stringify(et)),d(b,"id","ipndmscheduler"),d(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(b,"href","#ipndmscheduler"),d(m,"class","relative group"),d($,"id","diffusers.IPNDMScheduler"),d($,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d($,"href","#diffusers.IPNDMScheduler"),d(g,"class","relative group"),d(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(y,"id","diffusers.schedulers.scheduling_utils.SchedulerOutput"),d(y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(y,"href","#diffusers.schedulers.scheduling_utils.SchedulerOutput"),d(v,"class","relative group"),d(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){s(document.head,f),c(e,te,a),c(e,K,a),c(e,se,a),c(e,m,a),s(m,b),s(b,Q),M(T,Q,null),s(m,ve),s(m,z),c(e,re,a),c(e,E,a),c(e,ne,a),c(e,g,a),s(g,$),s($,X),M(k,X,null),s(g,_e),s(g,q),c(e,oe,a),c(e,l,a),M(L,l,null),s(l,be),s(l,U),s(l,$e),s(l,j),s(l,xe),s(l,x),M(O,x,null),s(x,Se),s(x,B),s(l,we),s(l,S),M(A,S,null),s(S,ye),s(S,J),s(l,Pe),s(l,w),M(F,w,null),s(w,De),s(w,R),c(e,ie,a),c(e,v,a),s(v,y),s(y,Y),M(H,Y,null),s(v,Me),s(v,W),c(e,ae,a),c(e,_,a),M(V,_,null),s(_,Ie),s(_,G),c(e,de,a),c(e,Z,a),le=!0},p:Ge,i(e){le||(I(T.$$.fragment,e),I(k.$$.fragment,e),I(L.$$.fragment,e),I(O.$$.fragment,e),I(A.$$.fragment,e),I(F.$$.fragment,e),I(H.$$.fragment,e),I(V.$$.fragment,e),le=!0)},o(e){N(T.$$.fragment,e),N(k.$$.fragment,e),N(L.$$.fragment,e),N(O.$$.fragment,e),N(A.$$.fragment,e),N(F.$$.fragment,e),N(H.$$.fragment,e),N(V.$$.fragment,e),le=!1},d(e){e&&(t(te),t(K),t(se),t(m),t(re),t(E),t(ne),t(g),t(oe),t(l),t(ie),t(v),t(ae),t(_),t(de),t(Z)),t(f),C(T),C(k),C(L),C(O),C(A),C(F),C(H),C(V)}}}const et={local:"ipndmscheduler",sections:[{local:"diffusers.IPNDMScheduler",title:"IPNDMScheduler"},{local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",title:"SchedulerOutput"}],title:"IPNDMScheduler"};function tt(Ce){return Ke(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class it extends Qe{constructor(f){super(),Xe(this,f,tt,Ze,We,{})}}export{it as component};
