import{s as Ut,o as Yt,n as Bt}from"../chunks/scheduler.182ea377.js";import{S as Rt,i as Zt,g as o,s as n,u as f,A as Kt,h as s,f as r,c as l,j as p,v,y as h,k as i,o as t,a as d,w as g,d as _,t as S,x as b}from"../chunks/index.caaccc80.js";import{T as Qt}from"../chunks/Tip.e9d11def.js";import{D as w}from"../chunks/Docstring.835fbd1d.js";import{I as Ze}from"../chunks/IconCopyLink.3458bfff.js";function Xt(Te){let m,V=`The algorithm and model type are decoupled. You can use either DPMSolver or DPMSolver++ for both noise
prediction and data prediction models.`;return{c(){m=o("p"),m.textContent=V},l(M){m=s(M,"P",{"data-svelte-h":!0}),h(m)!=="svelte-95n5s"&&(m.textContent=V)},m(M,le){d(M,m,le)},p:Bt,d(M){M&&r(m)}}}function er(Te){let m,V,M,le,$,C,xe,z,Ke,ae,St="DPMSolverMultistepScheduler",we,j,bt='<code>DPMSolverMultistep</code> is a multistep scheduler from <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPM-Solver: A Fast ODE Solver for Diffusion Probabilistic Model Sampling in Around 10 Steps</a> and <a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPM-Solver++: Fast Solver for Guided Sampling of Diffusion Probabilistic Models</a> by Cheng Lu, Yuhao Zhou, Fan Bao, Jianfei Chen, Chongxuan Li, and Jun Zhu.',Ce,W,Mt=`DPMSolver (and the improved version DPMSolver++) is a fast dedicated high-order solver for diffusion ODEs with convergence order guarantee. Empirically, DPMSolver sampling with only 20 steps can generate high-quality
samples, and it can generate quite good samples even in 10 steps.`,Fe,D,F,$e,G,Qe,ie,xt="Tips",Ee,J,$t="It is recommended to set <code>solver_order</code> to 2 for guide sampling, and <code>solver_order=3</code> for unconditional sampling.",Le,U,Dt=`Dynamic thresholding from Imagen (<a href="https://huggingface.co/papers/2205.11487" rel="nofollow">https://huggingface.co/papers/2205.11487</a>) is supported, and for pixel-space
diffusion models, you can set both <code>algorithm_type=&quot;dpmsolver++&quot;</code> and <code>thresholding=True</code> to use the dynamic
thresholding. This thresholding method is unsuitable for latent-space diffusion models such as
Stable Diffusion.`,ke,Y,yt="The SDE variant of DPMSolver and DPM-Solver++ is also supported, but only for the first and second-order solvers. This is a fast SDE solver for the reverse diffusion SDE. It is recommended to use the second-order <code>sde-dpmsolver++</code>.",Oe,y,E,De,B,Xe,de,Pt="DPMSolverMultistepScheduler",Ae,c,R,et,ce,Tt="<code>DPMSolverMultistepScheduler</code> is a fast dedicated high-order solver for diffusion ODEs.",tt,pe,wt=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,rt,x,Z,ot,ue,Ct=`Convert the model output to the corresponding type the DPMSolver/DPMSolver++ algorithm needs. DPM-Solver is
designed to discretize an integral of the noise prediction model, and DPM-Solver++ is designed to discretize an
integral of the data prediction model.`,st,L,nt,k,K,lt,he,Ft="One step for the first-order DPMSolver (equivalent to DDIM).",at,O,Q,it,me,Et="One step for the second-order multistep DPMSolver.",dt,A,X,ct,fe,Lt="One step for the third-order multistep DPMSolver.",pt,I,ee,ut,ve,kt=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,ht,N,te,mt,ge,Ot="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",ft,q,re,vt,_e,At=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the multistep DPMSolver.`,Ie,P,H,ye,oe,gt,Se,It="SchedulerOutput",Ne,T,se,_t,be,Nt="Base class for the output of a scheduler’s <code>step</code> function.",qe,Pe,He;return z=new Ze({}),G=new Ze({}),B=new Ze({}),R=new w({props:{name:"class diffusers.DPMSolverMultistepScheduler",anchor:"diffusers.DPMSolverMultistepScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.0001"},{name:"beta_end",val:": float = 0.02"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": typing.Union[numpy.ndarray, typing.List[float], NoneType] = None"},{name:"solver_order",val:": int = 2"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"thresholding",val:": bool = False"},{name:"dynamic_thresholding_ratio",val:": float = 0.995"},{name:"sample_max_value",val:": float = 1.0"},{name:"algorithm_type",val:": str = 'dpmsolver++'"},{name:"solver_type",val:": str = 'midpoint'"},{name:"lower_order_final",val:": bool = True"},{name:"use_karras_sigmas",val:": typing.Optional[bool] = False"},{name:"lambda_min_clipped",val:": float = -inf"},{name:"variance_type",val:": typing.Optional[str] = None"},{name:"timestep_spacing",val:": str = 'linspace'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.DPMSolverMultistepScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.0001) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.DPMSolverMultistepScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.DPMSolverMultistepScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code>, <code>scaled_linear</code>, or <code>squaredcos_cap_v2</code>.`,name:"beta_schedule"},{anchor:"diffusers.DPMSolverMultistepScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.DPMSolverMultistepScheduler.solver_order",description:`<strong>solver_order</strong> (<code>int</code>, defaults to 2) &#x2014;
The DPMSolver order which can be <code>1</code> or <code>2</code> or <code>3</code>. It is recommended to use <code>solver_order=2</code> for guided
sampling, and <code>solver_order=3</code> for unconditional sampling.`,name:"solver_order"},{anchor:"diffusers.DPMSolverMultistepScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.DPMSolverMultistepScheduler.thresholding",description:`<strong>thresholding</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use the &#x201C;dynamic thresholding&#x201D; method. This is unsuitable for latent-space diffusion models such
as Stable Diffusion.`,name:"thresholding"},{anchor:"diffusers.DPMSolverMultistepScheduler.dynamic_thresholding_ratio",description:`<strong>dynamic_thresholding_ratio</strong> (<code>float</code>, defaults to 0.995) &#x2014;
The ratio for the dynamic thresholding method. Valid only when <code>thresholding=True</code>.`,name:"dynamic_thresholding_ratio"},{anchor:"diffusers.DPMSolverMultistepScheduler.sample_max_value",description:`<strong>sample_max_value</strong> (<code>float</code>, defaults to 1.0) &#x2014;
The threshold value for dynamic thresholding. Valid only when <code>thresholding=True</code> and
<code>algorithm_type=&quot;dpmsolver++&quot;</code>.`,name:"sample_max_value"},{anchor:"diffusers.DPMSolverMultistepScheduler.algorithm_type",description:`<strong>algorithm_type</strong> (<code>str</code>, defaults to <code>dpmsolver++</code>) &#x2014;
Algorithm type for the solver; can be <code>dpmsolver</code>, <code>dpmsolver++</code>, <code>sde-dpmsolver</code> or <code>sde-dpmsolver++</code>. The
<code>dpmsolver</code> type implements the algorithms in the <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPMSolver</a>
paper, and the <code>dpmsolver++</code> type implements the algorithms in the
<a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPMSolver++</a> paper. It is recommended to use <code>dpmsolver++</code> or
<code>sde-dpmsolver++</code> with <code>solver_order=2</code> for guided sampling like in Stable Diffusion.`,name:"algorithm_type"},{anchor:"diffusers.DPMSolverMultistepScheduler.solver_type",description:`<strong>solver_type</strong> (<code>str</code>, defaults to <code>midpoint</code>) &#x2014;
Solver type for the second-order solver; can be <code>midpoint</code> or <code>heun</code>. The solver type slightly affects the
sample quality, especially for a small number of steps. It is recommended to use <code>midpoint</code> solvers.`,name:"solver_type"},{anchor:"diffusers.DPMSolverMultistepScheduler.lower_order_final",description:`<strong>lower_order_final</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to use lower-order solvers in the final steps. Only valid for &lt; 15 inference steps. This can
stabilize the sampling of DPMSolver for steps &lt; 15, especially for steps &lt;= 10.`,name:"lower_order_final"},{anchor:"diffusers.DPMSolverMultistepScheduler.use_karras_sigmas",description:`<strong>use_karras_sigmas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use Karras sigmas for step sizes in the noise schedule during the sampling process. If <code>True</code>,
the sigmas are determined according to a sequence of noise levels {&#x3C3;i}.`,name:"use_karras_sigmas"},{anchor:"diffusers.DPMSolverMultistepScheduler.lambda_min_clipped",description:`<strong>lambda_min_clipped</strong> (<code>float</code>, defaults to <code>-inf</code>) &#x2014;
Clipping threshold for the minimum value of <code>lambda(t)</code> for numerical stability. This is critical for the
cosine (<code>squaredcos_cap_v2</code>) noise schedule.`,name:"lambda_min_clipped"},{anchor:"diffusers.DPMSolverMultistepScheduler.variance_type",description:`<strong>variance_type</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Set to &#x201C;learned&#x201D; or &#x201C;learned_range&#x201D; for diffusion models that predict variance. If set, the model&#x2019;s output
contains the predicted Gaussian variance.`,name:"variance_type"},{anchor:"diffusers.DPMSolverMultistepScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;linspace&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.DPMSolverMultistepScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code> to make the last step use step 0 for the previous alpha product like in Stable
Diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L74"}}),Z=new w({props:{name:"convert_model_output",anchor:"diffusers.DPMSolverMultistepScheduler.convert_model_output",parameters:[{name:"model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.convert_model_output.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepScheduler.convert_model_output.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L358",returnDescription:`
<p>The converted model output.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),L=new Qt({props:{$$slots:{default:[Xt]},$$scope:{ctx:Te}}}),K=new w({props:{name:"dpm_solver_first_order_update",anchor:"diffusers.DPMSolverMultistepScheduler.dpm_solver_first_order_update",parameters:[{name:"model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"noise",val:": typing.Optional[torch.FloatTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.dpm_solver_first_order_update.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepScheduler.dpm_solver_first_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L457",returnDescription:`
<p>The sample tensor at the previous timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),Q=new w({props:{name:"multistep_dpm_solver_second_order_update",anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_second_order_update",parameters:[{name:"model_output_list",val:": typing.List[torch.FloatTensor]"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"noise",val:": typing.Optional[torch.FloatTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_second_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.FloatTensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_second_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L526",returnDescription:`
<p>The sample tensor at the previous timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),X=new w({props:{name:"multistep_dpm_solver_third_order_update",anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_third_order_update",parameters:[{name:"model_output_list",val:": typing.List[torch.FloatTensor]"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_third_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.FloatTensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_third_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L649",returnDescription:`
<p>The sample tensor at the previous timestep.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),ee=new w({props:{name:"scale_model_input",anchor:"diffusers.DPMSolverMultistepScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L828",returnDescription:`
<p>A scaled input sample.</p>
`,returnType:`
<p><code>torch.FloatTensor</code></p>
`}}),te=new w({props:{name:"set_timesteps",anchor:"diffusers.DPMSolverMultistepScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int = None"},{name:"device",val:": typing.Union[str, torch.device] = None"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.DPMSolverMultistepScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L216"}}),re=new w({props:{name:"step",anchor:"diffusers.DPMSolverMultistepScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"generator",val:" = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepScheduler.step.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverMultistepScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.DPMSolverMultistepScheduler.step.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"},{anchor:"diffusers.DPMSolverMultistepScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L753",returnDescription:`
<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),oe=new Ze({}),se=new w({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_utils.py#L50"}}),{c(){m=o("meta"),V=n(),M=o("p"),le=n(),$=o("h1"),C=o("a"),xe=o("span"),f(z.$$.fragment),Ke=n(),ae=o("span"),ae.textContent=St,we=n(),j=o("p"),j.innerHTML=bt,Ce=n(),W=o("p"),W.textContent=Mt,Fe=n(),D=o("h2"),F=o("a"),$e=o("span"),f(G.$$.fragment),Qe=n(),ie=o("span"),ie.textContent=xt,Ee=n(),J=o("p"),J.innerHTML=$t,Le=n(),U=o("p"),U.innerHTML=Dt,ke=n(),Y=o("p"),Y.innerHTML=yt,Oe=n(),y=o("h2"),E=o("a"),De=o("span"),f(B.$$.fragment),Xe=n(),de=o("span"),de.textContent=Pt,Ae=n(),c=o("div"),f(R.$$.fragment),et=n(),ce=o("p"),ce.innerHTML=Tt,tt=n(),pe=o("p"),pe.innerHTML=wt,rt=n(),x=o("div"),f(Z.$$.fragment),ot=n(),ue=o("p"),ue.textContent=Ct,st=n(),f(L.$$.fragment),nt=n(),k=o("div"),f(K.$$.fragment),lt=n(),he=o("p"),he.textContent=Ft,at=n(),O=o("div"),f(Q.$$.fragment),it=n(),me=o("p"),me.textContent=Et,dt=n(),A=o("div"),f(X.$$.fragment),ct=n(),fe=o("p"),fe.textContent=Lt,pt=n(),I=o("div"),f(ee.$$.fragment),ut=n(),ve=o("p"),ve.textContent=kt,ht=n(),N=o("div"),f(te.$$.fragment),mt=n(),ge=o("p"),ge.textContent=Ot,ft=n(),q=o("div"),f(re.$$.fragment),vt=n(),_e=o("p"),_e.textContent=At,Ie=n(),P=o("h2"),H=o("a"),ye=o("span"),f(oe.$$.fragment),gt=n(),Se=o("span"),Se.textContent=It,Ne=n(),T=o("div"),f(se.$$.fragment),_t=n(),be=o("p"),be.innerHTML=Nt,qe=n(),Pe=o("p"),this.h()},l(e){const a=Kt("svelte-1phssyn",document.head);m=s(a,"META",{name:!0,content:!0}),a.forEach(r),V=l(e),M=s(e,"P",{}),p(M).forEach(r),le=l(e),$=s(e,"H1",{class:!0});var ne=p($);C=s(ne,"A",{id:!0,class:!0,href:!0});var qt=p(C);xe=s(qt,"SPAN",{});var Ht=p(xe);v(z.$$.fragment,Ht),Ht.forEach(r),qt.forEach(r),Ke=l(ne),ae=s(ne,"SPAN",{"data-svelte-h":!0}),h(ae)!=="svelte-1mgjd77"&&(ae.textContent=St),ne.forEach(r),we=l(e),j=s(e,"P",{"data-svelte-h":!0}),h(j)!=="svelte-zo5ht"&&(j.innerHTML=bt),Ce=l(e),W=s(e,"P",{"data-svelte-h":!0}),h(W)!=="svelte-l6rv24"&&(W.textContent=Mt),Fe=l(e),D=s(e,"H2",{class:!0});var Ve=p(D);F=s(Ve,"A",{id:!0,class:!0,href:!0});var Vt=p(F);$e=s(Vt,"SPAN",{});var zt=p($e);v(G.$$.fragment,zt),zt.forEach(r),Vt.forEach(r),Qe=l(Ve),ie=s(Ve,"SPAN",{"data-svelte-h":!0}),h(ie)!=="svelte-12o6a2j"&&(ie.textContent=xt),Ve.forEach(r),Ee=l(e),J=s(e,"P",{"data-svelte-h":!0}),h(J)!=="svelte-pt2glg"&&(J.innerHTML=$t),Le=l(e),U=s(e,"P",{"data-svelte-h":!0}),h(U)!=="svelte-ofeuxc"&&(U.innerHTML=Dt),ke=l(e),Y=s(e,"P",{"data-svelte-h":!0}),h(Y)!=="svelte-18n28n2"&&(Y.innerHTML=yt),Oe=l(e),y=s(e,"H2",{class:!0});var ze=p(y);E=s(ze,"A",{id:!0,class:!0,href:!0});var jt=p(E);De=s(jt,"SPAN",{});var Wt=p(De);v(B.$$.fragment,Wt),Wt.forEach(r),jt.forEach(r),Xe=l(ze),de=s(ze,"SPAN",{"data-svelte-h":!0}),h(de)!=="svelte-1mgjd77"&&(de.textContent=Pt),ze.forEach(r),Ae=l(e),c=s(e,"DIV",{class:!0});var u=p(c);v(R.$$.fragment,u),et=l(u),ce=s(u,"P",{"data-svelte-h":!0}),h(ce)!=="svelte-12v1qo2"&&(ce.innerHTML=Tt),tt=l(u),pe=s(u,"P",{"data-svelte-h":!0}),h(pe)!=="svelte-linuuh"&&(pe.innerHTML=wt),rt=l(u),x=s(u,"DIV",{class:!0});var Me=p(x);v(Z.$$.fragment,Me),ot=l(Me),ue=s(Me,"P",{"data-svelte-h":!0}),h(ue)!=="svelte-1st02i8"&&(ue.textContent=Ct),st=l(Me),v(L.$$.fragment,Me),Me.forEach(r),nt=l(u),k=s(u,"DIV",{class:!0});var je=p(k);v(K.$$.fragment,je),lt=l(je),he=s(je,"P",{"data-svelte-h":!0}),h(he)!=="svelte-4nw43d"&&(he.textContent=Ft),je.forEach(r),at=l(u),O=s(u,"DIV",{class:!0});var We=p(O);v(Q.$$.fragment,We),it=l(We),me=s(We,"P",{"data-svelte-h":!0}),h(me)!=="svelte-1d6o6zu"&&(me.textContent=Et),We.forEach(r),dt=l(u),A=s(u,"DIV",{class:!0});var Ge=p(A);v(X.$$.fragment,Ge),ct=l(Ge),fe=s(Ge,"P",{"data-svelte-h":!0}),h(fe)!=="svelte-17nne8p"&&(fe.textContent=Lt),Ge.forEach(r),pt=l(u),I=s(u,"DIV",{class:!0});var Je=p(I);v(ee.$$.fragment,Je),ut=l(Je),ve=s(Je,"P",{"data-svelte-h":!0}),h(ve)!=="svelte-1rkfgpx"&&(ve.textContent=kt),Je.forEach(r),ht=l(u),N=s(u,"DIV",{class:!0});var Ue=p(N);v(te.$$.fragment,Ue),mt=l(Ue),ge=s(Ue,"P",{"data-svelte-h":!0}),h(ge)!=="svelte-1vzm9q"&&(ge.textContent=Ot),Ue.forEach(r),ft=l(u),q=s(u,"DIV",{class:!0});var Ye=p(q);v(re.$$.fragment,Ye),vt=l(Ye),_e=s(Ye,"P",{"data-svelte-h":!0}),h(_e)!=="svelte-7jbjgx"&&(_e.textContent=At),Ye.forEach(r),u.forEach(r),Ie=l(e),P=s(e,"H2",{class:!0});var Be=p(P);H=s(Be,"A",{id:!0,class:!0,href:!0});var Gt=p(H);ye=s(Gt,"SPAN",{});var Jt=p(ye);v(oe.$$.fragment,Jt),Jt.forEach(r),Gt.forEach(r),gt=l(Be),Se=s(Be,"SPAN",{"data-svelte-h":!0}),h(Se)!=="svelte-1qoi9nz"&&(Se.textContent=It),Be.forEach(r),Ne=l(e),T=s(e,"DIV",{class:!0});var Re=p(T);v(se.$$.fragment,Re),_t=l(Re),be=s(Re,"P",{"data-svelte-h":!0}),h(be)!=="svelte-6ojmkw"&&(be.innerHTML=Nt),Re.forEach(r),qe=l(e),Pe=s(e,"P",{}),p(Pe).forEach(r),this.h()},h(){i(m,"name","hf:doc:metadata"),i(m,"content",JSON.stringify(tr)),i(C,"id","dpmsolvermultistepscheduler"),i(C,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(C,"href","#dpmsolvermultistepscheduler"),i($,"class","relative group"),i(F,"id","tips"),i(F,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(F,"href","#tips"),i(D,"class","relative group"),i(E,"id","diffusers.DPMSolverMultistepScheduler"),i(E,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(E,"href","#diffusers.DPMSolverMultistepScheduler"),i(y,"class","relative group"),i(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(c,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(H,"id","diffusers.schedulers.scheduling_utils.SchedulerOutput"),i(H,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(H,"href","#diffusers.schedulers.scheduling_utils.SchedulerOutput"),i(P,"class","relative group"),i(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){t(document.head,m),d(e,V,a),d(e,M,a),d(e,le,a),d(e,$,a),t($,C),t(C,xe),g(z,xe,null),t($,Ke),t($,ae),d(e,we,a),d(e,j,a),d(e,Ce,a),d(e,W,a),d(e,Fe,a),d(e,D,a),t(D,F),t(F,$e),g(G,$e,null),t(D,Qe),t(D,ie),d(e,Ee,a),d(e,J,a),d(e,Le,a),d(e,U,a),d(e,ke,a),d(e,Y,a),d(e,Oe,a),d(e,y,a),t(y,E),t(E,De),g(B,De,null),t(y,Xe),t(y,de),d(e,Ae,a),d(e,c,a),g(R,c,null),t(c,et),t(c,ce),t(c,tt),t(c,pe),t(c,rt),t(c,x),g(Z,x,null),t(x,ot),t(x,ue),t(x,st),g(L,x,null),t(c,nt),t(c,k),g(K,k,null),t(k,lt),t(k,he),t(c,at),t(c,O),g(Q,O,null),t(O,it),t(O,me),t(c,dt),t(c,A),g(X,A,null),t(A,ct),t(A,fe),t(c,pt),t(c,I),g(ee,I,null),t(I,ut),t(I,ve),t(c,ht),t(c,N),g(te,N,null),t(N,mt),t(N,ge),t(c,ft),t(c,q),g(re,q,null),t(q,vt),t(q,_e),d(e,Ie,a),d(e,P,a),t(P,H),t(H,ye),g(oe,ye,null),t(P,gt),t(P,Se),d(e,Ne,a),d(e,T,a),g(se,T,null),t(T,_t),t(T,be),d(e,qe,a),d(e,Pe,a),He=!0},p(e,[a]){const ne={};a&2&&(ne.$$scope={dirty:a,ctx:e}),L.$set(ne)},i(e){He||(_(z.$$.fragment,e),_(G.$$.fragment,e),_(B.$$.fragment,e),_(R.$$.fragment,e),_(Z.$$.fragment,e),_(L.$$.fragment,e),_(K.$$.fragment,e),_(Q.$$.fragment,e),_(X.$$.fragment,e),_(ee.$$.fragment,e),_(te.$$.fragment,e),_(re.$$.fragment,e),_(oe.$$.fragment,e),_(se.$$.fragment,e),He=!0)},o(e){S(z.$$.fragment,e),S(G.$$.fragment,e),S(B.$$.fragment,e),S(R.$$.fragment,e),S(Z.$$.fragment,e),S(L.$$.fragment,e),S(K.$$.fragment,e),S(Q.$$.fragment,e),S(X.$$.fragment,e),S(ee.$$.fragment,e),S(te.$$.fragment,e),S(re.$$.fragment,e),S(oe.$$.fragment,e),S(se.$$.fragment,e),He=!1},d(e){e&&(r(V),r(M),r(le),r($),r(we),r(j),r(Ce),r(W),r(Fe),r(D),r(Ee),r(J),r(Le),r(U),r(ke),r(Y),r(Oe),r(y),r(Ae),r(c),r(Ie),r(P),r(Ne),r(T),r(qe),r(Pe)),r(m),b(z),b(G),b(B),b(R),b(Z),b(L),b(K),b(Q),b(X),b(ee),b(te),b(re),b(oe),b(se)}}}const tr={local:"dpmsolvermultistepscheduler",sections:[{local:"tips",title:"Tips"},{local:"diffusers.DPMSolverMultistepScheduler",title:"DPMSolverMultistepScheduler"},{local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",title:"SchedulerOutput"}],title:"DPMSolverMultistepScheduler"};function rr(Te){return Yt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ir extends Rt{constructor(m){super(),Zt(this,m,rr,er,Ut,{})}}export{ir as component};
