import{s as Rt,n as Et,o as St}from"../chunks/scheduler.6e0d5ff7.js";import{S as Zt,i as zt,g as l,s as a,u as rt,E as jt,h as s,f as e,c as o,j as E,v as ft,y as r,k as p,o as S,a as i,w as dt,d as ut,t as ct,x as gt}from"../chunks/index.db83ee3c.js";import{I as Jt}from"../chunks/IconCopyLink.ded2a565.js";import{C as At}from"../chunks/CodeBlock.5f50d466.js";function Gt(pt){let f,Z,U,z,d,u,A,m,ot,q,mt="🧨 Diffusers 학습 예시",j,h,ht="이번 챕터에서는 다양한 유즈케이스들에 대한 예제 코드들을 통해 어떻게하면 효과적으로 <code>diffusers</code> 라이브러리를 사용할 수 있을까에 대해 알아보도록 하겠습니다.",J,b,bt='<strong>Note</strong>: 혹시 오피셜한 예시코드를 찾고 있다면, <a href="https://github.com/huggingface/diffusers/tree/main/src/diffusers/pipelines" rel="nofollow">여기</a>를 참고해보세요!',G,x,xt="여기서 다룰 예시들은 다음을 지향합니다.",N,v,vt='<li><strong>손쉬운 디펜던시 설치</strong> (Self-contained) : 여기서 사용될 예시 코드들의 디펜던시 패키지들은 전부 <code>pip install</code> 명령어를 통해 설치 가능한 패키지들입니다. 또한 친절하게 <code>requirements.txt</code> 파일에 해당 패키지들이 명시되어 있어, <code>pip install -r requirements.txt</code>로 간편하게 해당 디펜던시들을 설치할 수 있습니다. 예시: <a href="https://github.com/huggingface/diffusers/blob/main/examples/unconditional_image_generation/train_unconditional.py" rel="nofollow">train_unconditional.py</a>, <a href="https://github.com/huggingface/diffusers/blob/main/examples/unconditional_image_generation/requirements.txt" rel="nofollow">requirements.txt</a></li> <li><strong>손쉬운 수정</strong> (Easy-to-tweak) : 저희는 가능하면 많은 유즈 케이스들을 제공하고자 합니다. 하지만 예시는 결국 그저 예시라는 점들 기억해주세요. 여기서 제공되는 예시코드들을 그저 단순히 복사-붙혀넣기하는 식으로는 여러분이 마주한 문제들을 손쉽게 해결할 순 없을 것입니다. 다시 말해 어느 정도는 여러분의 상황과 니즈에 맞춰 코드를 일정 부분 고쳐나가야 할 것입니다. 따라서 대부분의 학습 예시들은 데이터의 전처리 과정과 학습 과정에 대한 코드들을 함께 제공함으로써, 사용자가 니즈에 맞게 손쉬운 수정할 수 있도록 돕고 있습니다.</li> <li><strong>입문자 친화적인</strong> (Beginner-friendly) : 이번 챕터는 diffusion 모델과 <code>diffusers</code> 라이브러리에 대한 전반적인 이해를 돕기 위해 작성되었습니다. 따라서 diffusion 모델에 대한 최신 SOTA (state-of-the-art) 방법론들 가운데서도, 입문자에게는 많이 어려울 수 있다고 판단되면, 해당 방법론들은 여기서 다루지 않으려고 합니다.</li> <li><strong>하나의 태스크만 포함할 것</strong>(One-purpose-only): 여기서 다룰 예시들은 하나의 태스크만 포함하고 있어야 합니다. 물론 이미지 초해상화(super-resolution)와 이미지 보정(modification)과 같은 유사한 모델링 프로세스를 갖는 태스크들이 존재하겠지만, 하나의 예제에 하나의 태스크만을 담는 것이 더 이해하기 용이하다고 판단했기 때문입니다.</li>',W,_,_t='저희는 diffusion 모델의 대표적인 태스크들을 다루는 공식 예제를 제공하고 있습니다. <em>공식</em> 예제는 현재 진행형으로 <code>diffusers</code> 관리자들(maintainers)에 의해 관리되고 있습니다. 또한 저희는 앞서 정의한 저희의 철학을 엄격하게 따르고자 노력하고 있습니다. 혹시 여러분께서 이러한 예시가 반드시 필요하다고 생각되신다면, 언제든지 <a href="https://github.com/huggingface/diffusers/issues/new?assignees=&amp;labels=&amp;template=feature_request.md&amp;title=" rel="nofollow">Feature Request</a> 혹은 직접 <a href="https://github.com/huggingface/diffusers/compare" rel="nofollow">Pull Request</a>를 주시기 바랍니다. 저희는 언제나 환영입니다!',B,C,Ct="학습 예시들은 다양한 태스크들에 대해 diffusion 모델을 사전학습(pretrain)하거나 파인튜닝(fine-tuning)하는 법을 보여줍니다. 현재 다음과 같은 예제들을 지원하고 있습니다.",D,T,Tt='<li><a href="./unconditional_training">Unconditional Training</a></li> <li><a href="./text2image">Text-to-Image Training</a></li> <li><a href="./text_inversion">Text Inversion</a></li> <li><a href="./dreambooth">Dreambooth</a></li>',O,w,wt='memory-efficient attention 연산을 수행하기 위해, 가능하면 <a href="../optimization/xformers">xFormers</a>를 설치해주시기 바랍니다. 이를 통해 학습 속도를 늘리고 메모리에 대한 부담을 줄일 수 있습니다.',F,y,yt='<thead><tr><th>Task</th> <th>🤗 Accelerate</th> <th align="center">🤗 Datasets</th> <th align="center">Colab</th></tr></thead> <tbody><tr><td><a href="./unconditional_training"><strong>Unconditional Image Generation</strong></a></td> <td>✅</td> <td align="center">✅</td> <td align="center"><a href="https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers/training_example.ipynb" rel="nofollow"><img src="https://colab.research.google.com/assets/colab-badge.svg" alt="Open In Colab"/></a></td></tr> <tr><td><a href="./text2image"><strong>Text-to-Image fine-tuning</strong></a></td> <td>✅</td> <td align="center">✅</td> <td align="center"></td></tr> <tr><td><a href="./text_inversion"><strong>Textual Inversion</strong></a></td> <td>✅</td> <td align="center">-</td> <td align="center"><a href="https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers/sd_textual_inversion_training.ipynb" rel="nofollow"><img src="https://colab.research.google.com/assets/colab-badge.svg" alt="Open In Colab"/></a></td></tr> <tr><td><a href="./dreambooth"><strong>Dreambooth</strong></a></td> <td>✅</td> <td align="center">-</td> <td align="center"><a href="https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers/sd_dreambooth_training.ipynb" rel="nofollow"><img src="https://colab.research.google.com/assets/colab-badge.svg" alt="Open In Colab"/></a></td></tr> <tr><td><a href="./lora"><strong>Training with LoRA</strong></a></td> <td>✅</td> <td align="center">-</td> <td align="center">-</td></tr> <tr><td><a href="./controlnet"><strong>ControlNet</strong></a></td> <td>✅</td> <td align="center">✅</td> <td align="center">-</td></tr> <tr><td><a href="./instructpix2pix"><strong>InstructPix2Pix</strong></a></td> <td>✅</td> <td align="center">✅</td> <td align="center">-</td></tr> <tr><td><a href="./custom_diffusion"><strong>Custom Diffusion</strong></a></td> <td>✅</td> <td align="center">✅</td> <td align="center">-</td></tr></tbody>',V,c,Lt="커뮤니티",Q,L,Mt="공식 예제 외에도 <strong>커뮤니티 예제</strong> 역시 제공하고 있습니다. 해당 예제들은 우리의 커뮤니티에 의해 관리됩니다. 커뮤니티 예쩨는 학습 예시나 추론 파이프라인으로 구성될 수 있습니다. 이러한 커뮤니티 예시들의 경우,  앞서 정의했던 철학들을 좀 더 관대하게 적용하고 있습니다. 또한 이러한 커뮤니티 예시들의 경우, 모든 이슈들에 대한 유지보수를 보장할 수는 없습니다.",Y,M,Ht='유용하긴 하지만, 아직은 대중적이지 못하거나 저희의 철학에 부합하지 않는 예제들은 <a href="https://github.com/huggingface/diffusers/tree/main/examples/community" rel="nofollow">community examples</a> 폴더에 담기게 됩니다.',X,H,$t='<strong>Note</strong>: 커뮤니티 예제는 <code>diffusers</code>에 기여(contribution)를 희망하는 분들에게 <a href="https://github.com/huggingface/diffusers/issues?q=is%3Aopen+is%3Aissue+label%3A%22good+first+issue%22" rel="nofollow">아주 좋은 기여 수단</a>이 될 수 있습니다.',K,g,Pt="주목할 사항들",tt,$,kt="최신 버전의 예시 코드들의 성공적인 구동을 보장하기 위해서는, 반드시 <strong>소스코드를 통해 <code>diffusers</code>를 설치해야 하며,</strong> 해당 예시 코드들이 요구하는 디펜던시들 역시 설치해야 합니다. 이를 위해 새로운 가상 환경을 구축하고 다음의 명령어를 실행해야 합니다.",et,P,nt,k,It="그 다음 <code>cd</code> 명령어를 통해 해당 예제 디렉토리에 접근해서 다음 명령어를 실행하면 됩니다.",it,I,lt,R,st;return m=new Jt({}),P=new At({props:{code:"Z2l0JTIwY2xvbmUlMjBodHRwcyUzQSUyRiUyRmdpdGh1Yi5jb20lMkZodWdnaW5nZmFjZSUyRmRpZmZ1c2VycyUwQWNkJTIwZGlmZnVzZXJzJTBBcGlwJTIwaW5zdGFsbCUyMC4=",highlighted:`git <span class="hljs-built_in">clone</span> https://github.com/huggingface/diffusers
<span class="hljs-built_in">cd</span> diffusers
pip install .`,wrap:!1}}),I=new At({props:{code:"cGlwJTIwaW5zdGFsbCUyMC1yJTIwcmVxdWlyZW1lbnRzLnR4dA==",highlighted:"pip install -r requirements.txt",wrap:!1}}),{c(){f=l("meta"),Z=a(),U=l("p"),z=a(),d=l("h1"),u=l("a"),A=l("span"),rt(m.$$.fragment),ot=a(),q=l("span"),q.textContent=mt,j=a(),h=l("p"),h.innerHTML=ht,J=a(),b=l("p"),b.innerHTML=bt,G=a(),x=l("p"),x.textContent=xt,N=a(),v=l("ul"),v.innerHTML=vt,W=a(),_=l("p"),_.innerHTML=_t,B=a(),C=l("p"),C.textContent=Ct,D=a(),T=l("ul"),T.innerHTML=Tt,O=a(),w=l("p"),w.innerHTML=wt,F=a(),y=l("table"),y.innerHTML=yt,V=a(),c=l("h2"),c.textContent=Lt,Q=a(),L=l("p"),L.innerHTML=Mt,Y=a(),M=l("p"),M.innerHTML=Ht,X=a(),H=l("p"),H.innerHTML=$t,K=a(),g=l("h2"),g.textContent=Pt,tt=a(),$=l("p"),$.innerHTML=kt,et=a(),rt(P.$$.fragment),nt=a(),k=l("p"),k.innerHTML=It,it=a(),rt(I.$$.fragment),lt=a(),R=l("p"),this.h()},l(t){const n=jt("svelte-1phssyn",document.head);f=s(n,"META",{name:!0,content:!0}),n.forEach(e),Z=o(t),U=s(t,"P",{}),E(U).forEach(e),z=o(t),d=s(t,"H1",{class:!0});var at=E(d);u=s(at,"A",{id:!0,class:!0,href:!0});var qt=E(u);A=s(qt,"SPAN",{});var Ut=E(A);ft(m.$$.fragment,Ut),Ut.forEach(e),qt.forEach(e),ot=o(at),q=s(at,"SPAN",{"data-svelte-h":!0}),r(q)!=="svelte-5vmxq2"&&(q.textContent=mt),at.forEach(e),j=o(t),h=s(t,"P",{"data-svelte-h":!0}),r(h)!=="svelte-ix9hpg"&&(h.innerHTML=ht),J=o(t),b=s(t,"P",{"data-svelte-h":!0}),r(b)!=="svelte-y61l4q"&&(b.innerHTML=bt),G=o(t),x=s(t,"P",{"data-svelte-h":!0}),r(x)!=="svelte-1oj1it8"&&(x.textContent=xt),N=o(t),v=s(t,"UL",{"data-svelte-h":!0}),r(v)!=="svelte-12hcx83"&&(v.innerHTML=vt),W=o(t),_=s(t,"P",{"data-svelte-h":!0}),r(_)!=="svelte-1ipa2jt"&&(_.innerHTML=_t),B=o(t),C=s(t,"P",{"data-svelte-h":!0}),r(C)!=="svelte-17g36b2"&&(C.textContent=Ct),D=o(t),T=s(t,"UL",{"data-svelte-h":!0}),r(T)!=="svelte-elov9z"&&(T.innerHTML=Tt),O=o(t),w=s(t,"P",{"data-svelte-h":!0}),r(w)!=="svelte-w5df01"&&(w.innerHTML=wt),F=o(t),y=s(t,"TABLE",{"data-svelte-h":!0}),r(y)!=="svelte-dnxkud"&&(y.innerHTML=yt),V=o(t),c=s(t,"H2",{id:!0,"data-svelte-h":!0}),r(c)!=="svelte-123f49y"&&(c.textContent=Lt),Q=o(t),L=s(t,"P",{"data-svelte-h":!0}),r(L)!=="svelte-8tlpkz"&&(L.innerHTML=Mt),Y=o(t),M=s(t,"P",{"data-svelte-h":!0}),r(M)!=="svelte-fovf62"&&(M.innerHTML=Ht),X=o(t),H=s(t,"P",{"data-svelte-h":!0}),r(H)!=="svelte-x93w7o"&&(H.innerHTML=$t),K=o(t),g=s(t,"H2",{id:!0,"data-svelte-h":!0}),r(g)!=="svelte-bkntiq"&&(g.textContent=Pt),tt=o(t),$=s(t,"P",{"data-svelte-h":!0}),r($)!=="svelte-1av4xl1"&&($.innerHTML=kt),et=o(t),ft(P.$$.fragment,t),nt=o(t),k=s(t,"P",{"data-svelte-h":!0}),r(k)!=="svelte-8w90gs"&&(k.innerHTML=It),it=o(t),ft(I.$$.fragment,t),lt=o(t),R=s(t,"P",{}),E(R).forEach(e),this.h()},h(){p(f,"name","hf:doc:metadata"),p(f,"content",JSON.stringify(Nt)),p(u,"id","diffusers"),p(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(u,"href","#diffusers"),p(d,"class","relative group"),p(c,"id",""),p(g,"id","")},m(t,n){S(document.head,f),i(t,Z,n),i(t,U,n),i(t,z,n),i(t,d,n),S(d,u),S(u,A),dt(m,A,null),S(d,ot),S(d,q),i(t,j,n),i(t,h,n),i(t,J,n),i(t,b,n),i(t,G,n),i(t,x,n),i(t,N,n),i(t,v,n),i(t,W,n),i(t,_,n),i(t,B,n),i(t,C,n),i(t,D,n),i(t,T,n),i(t,O,n),i(t,w,n),i(t,F,n),i(t,y,n),i(t,V,n),i(t,c,n),i(t,Q,n),i(t,L,n),i(t,Y,n),i(t,M,n),i(t,X,n),i(t,H,n),i(t,K,n),i(t,g,n),i(t,tt,n),i(t,$,n),i(t,et,n),dt(P,t,n),i(t,nt,n),i(t,k,n),i(t,it,n),dt(I,t,n),i(t,lt,n),i(t,R,n),st=!0},p:Et,i(t){st||(ut(m.$$.fragment,t),ut(P.$$.fragment,t),ut(I.$$.fragment,t),st=!0)},o(t){ct(m.$$.fragment,t),ct(P.$$.fragment,t),ct(I.$$.fragment,t),st=!1},d(t){t&&(e(Z),e(U),e(z),e(d),e(j),e(h),e(J),e(b),e(G),e(x),e(N),e(v),e(W),e(_),e(B),e(C),e(D),e(T),e(O),e(w),e(F),e(y),e(V),e(c),e(Q),e(L),e(Y),e(M),e(X),e(H),e(K),e(g),e(tt),e($),e(et),e(nt),e(k),e(it),e(lt),e(R)),e(f),gt(m),gt(P,t),gt(I,t)}}}const Nt={local:"diffusers",sections:[{local:"",title:"커뮤니티"},{local:"",title:"주목할 사항들"}],title:"🧨 Diffusers 학습 예시"};function Wt(pt){return St(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Vt extends Zt{constructor(f){super(),zt(this,f,Wt,Gt,Rt,{})}}export{Vt as component};
