import{s as yt,j as Ct,o as kt,n as Pt}from"../chunks/scheduler.6e0d5ff7.js";import{S as Mt,i as Ft,g as a,s as i,u as I,E as Zt,h as s,f as n,c as o,j as D,v as U,y as f,k as u,o as S,a as l,w as E,d as j,t as G,x as L}from"../chunks/index.db83ee3c.js";import{T as Nt}from"../chunks/Tip.1078c3e8.js";import{I as It}from"../chunks/IconCopyLink.ded2a565.js";import{C as ft}from"../chunks/CodeBlock.5f50d466.js";import{D as Ut}from"../chunks/DocNotebookDropdown.436d987c.js";function Et(B){let r,d="💡 나만의 unconditional 이미지 생성 모델을 학습시키고 싶으신가요? 학습 가이드를 살펴보고 나만의 이미지를 생성하는 방법을 알아보세요.";return{c(){r=a("p"),r.textContent=d},l(p){r=s(p,"P",{"data-svelte-h":!0}),f(r)!=="svelte-1rcr7p4"&&(r.textContent=d)},m(p,W){l(p,r,W)},p:Pt,d(p){p&&n(r)}}}function jt(B){let r,d,p,W,c,g,V,b,mt,q,ut="Unconditional 이미지 생성",R,$,A,w,ct="Unconditional 이미지 생성은 비교적 간단한 작업입니다. 모델이 텍스트나 이미지와 같은 추가 조건 없이 이미 학습된 학습 데이터와 유사한 이미지만 생성합니다.",z,_,gt="[‘DiffusionPipeline’]은 추론을 위해 미리 학습된 diffusion 시스템을 사용하는 가장 쉬운 방법입니다.",K,v,ht='먼저 [‘DiffusionPipeline’]의 인스턴스를 생성하고 다운로드할 파이프라인의 <a href="https://huggingface.co/models?library=diffusers&amp;sort=downloads" rel="nofollow">체크포인트</a>를 지정합니다. 허브의 🧨 diffusion 체크포인트 중 하나를 사용할 수 있습니다(사용할 체크포인트는 나비 이미지를 생성합니다).',X,h,O,T,dt='이 가이드에서는 unconditional 이미지 생성에 [‘DiffusionPipeline’]과 <a href="https://arxiv.org/abs/2006.11239" rel="nofollow">DDPM</a>을 사용합니다:',Q,J,Y,x,bt="[diffusion 파이프라인]은 모든 모델링, 토큰화, 스케줄링 구성 요소를 다운로드하고 캐시합니다. 이 모델은 약 14억 개의 파라미터로 구성되어 있기 때문에 GPU에서 실행할 것을 강력히 권장합니다. PyTorch에서와 마찬가지로 제너레이터 객체를 GPU로 옮길 수 있습니다:",tt,y,et,C,$t="이제 제너레이터를 사용하여 이미지를 생성할 수 있습니다:",nt,k,lt,P,wt='출력은 기본적으로 <a href="https://pillow.readthedocs.io/en/stable/reference/Image.html?highlight=image#the-image-class" rel="nofollow">PIL.Image</a> 객체로 감싸집니다.',it,M,_t="다음을 호출하여 이미지를 저장할 수 있습니다:",ot,F,at,Z,vt="아래 스페이스(데모 링크)를 이용해 보고, 추론 단계의 매개변수를 자유롭게 조절하여 이미지 품질에 어떤 영향을 미치는지 확인해 보세요!",st,m,Tt,rt,H,pt;return b=new It({}),$=new Ut({props:{classNames:"absolute z-10 right-0 top-0",options:[{label:"Mixed",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/ko/unconditional_image_generation.ipynb"},{label:"PyTorch",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/ko/pytorch/unconditional_image_generation.ipynb"},{label:"TensorFlow",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/ko/tensorflow/unconditional_image_generation.ipynb"},{label:"Mixed",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/ko/unconditional_image_generation.ipynb"},{label:"PyTorch",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/ko/pytorch/unconditional_image_generation.ipynb"},{label:"TensorFlow",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/ko/tensorflow/unconditional_image_generation.ipynb"}]}}),h=new Nt({props:{$$slots:{default:[Et]},$$scope:{ctx:B}}}),J=new ft({props:{code:"JTIwJTNFJTNFJTNFJTIwZnJvbSUyMGRpZmZ1c2VycyUyMGltcG9ydCUyMERpZmZ1c2lvblBpcGVsaW5lJTBBJTBBJTIwJTNFJTNFJTNFJTIwZ2VuZXJhdG9yJTIwJTNEJTIwRGlmZnVzaW9uUGlwZWxpbmUuZnJvbV9wcmV0cmFpbmVkKCUyMmFudG9uLWwlMkZkZHBtLWJ1dHRlcmZsaWVzLTEyOCUyMik=",highlighted:` &gt;&gt;&gt; <span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline

 &gt;&gt;&gt; generator = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;anton-l/ddpm-butterflies-128&quot;</span>)`,wrap:!1}}),y=new ft({props:{code:"JTIwJTNFJTNFJTNFJTIwZ2VuZXJhdG9yLnRvKCUyMmN1ZGElMjIp",highlighted:' &gt;&gt;&gt; generator.to(<span class="hljs-string">&quot;cuda&quot;</span>)',wrap:!1}}),k=new ft({props:{code:"JTIwJTNFJTNFJTNFJTIwaW1hZ2UlMjAlM0QlMjBnZW5lcmF0b3IoKS5pbWFnZXMlNUIwJTVE",highlighted:' &gt;&gt;&gt; image = generator().images[<span class="hljs-number">0</span>]',wrap:!1}}),F=new ft({props:{code:"JTIwJTNFJTNFJTNFJTIwaW1hZ2Uuc2F2ZSglMjJnZW5lcmF0ZWRfaW1hZ2UucG5nJTIyKQ==",highlighted:' &gt;&gt;&gt; image.save(<span class="hljs-string">&quot;generated_image.png&quot;</span>)',wrap:!1}}),{c(){r=a("meta"),d=i(),p=a("p"),W=i(),c=a("h1"),g=a("a"),V=a("span"),I(b.$$.fragment),mt=i(),q=a("span"),q.textContent=ut,R=i(),I($.$$.fragment),A=i(),w=a("p"),w.textContent=ct,z=i(),_=a("p"),_.textContent=gt,K=i(),v=a("p"),v.innerHTML=ht,X=i(),I(h.$$.fragment),O=i(),T=a("p"),T.innerHTML=dt,Q=i(),I(J.$$.fragment),Y=i(),x=a("p"),x.textContent=bt,tt=i(),I(y.$$.fragment),et=i(),C=a("p"),C.textContent=$t,nt=i(),I(k.$$.fragment),lt=i(),P=a("p"),P.innerHTML=wt,it=i(),M=a("p"),M.textContent=_t,ot=i(),I(F.$$.fragment),at=i(),Z=a("p"),Z.textContent=vt,st=i(),m=a("iframe"),rt=i(),H=a("p"),this.h()},l(t){const e=Zt("svelte-1phssyn",document.head);r=s(e,"META",{name:!0,content:!0}),e.forEach(n),d=o(t),p=s(t,"P",{}),D(p).forEach(n),W=o(t),c=s(t,"H1",{class:!0});var N=D(c);g=s(N,"A",{id:!0,class:!0,href:!0});var Jt=D(g);V=s(Jt,"SPAN",{});var xt=D(V);U(b.$$.fragment,xt),xt.forEach(n),Jt.forEach(n),mt=o(N),q=s(N,"SPAN",{"data-svelte-h":!0}),f(q)!=="svelte-14pie4a"&&(q.textContent=ut),N.forEach(n),R=o(t),U($.$$.fragment,t),A=o(t),w=s(t,"P",{"data-svelte-h":!0}),f(w)!=="svelte-tfszx0"&&(w.textContent=ct),z=o(t),_=s(t,"P",{"data-svelte-h":!0}),f(_)!=="svelte-10qi7c6"&&(_.textContent=gt),K=o(t),v=s(t,"P",{"data-svelte-h":!0}),f(v)!=="svelte-gbmace"&&(v.innerHTML=ht),X=o(t),U(h.$$.fragment,t),O=o(t),T=s(t,"P",{"data-svelte-h":!0}),f(T)!=="svelte-1h0b378"&&(T.innerHTML=dt),Q=o(t),U(J.$$.fragment,t),Y=o(t),x=s(t,"P",{"data-svelte-h":!0}),f(x)!=="svelte-19iqs64"&&(x.textContent=bt),tt=o(t),U(y.$$.fragment,t),et=o(t),C=s(t,"P",{"data-svelte-h":!0}),f(C)!=="svelte-1v4twko"&&(C.textContent=$t),nt=o(t),U(k.$$.fragment,t),lt=o(t),P=s(t,"P",{"data-svelte-h":!0}),f(P)!=="svelte-q9tjpq"&&(P.innerHTML=wt),it=o(t),M=s(t,"P",{"data-svelte-h":!0}),f(M)!=="svelte-t33pj2"&&(M.textContent=_t),ot=o(t),U(F.$$.fragment,t),at=o(t),Z=s(t,"P",{"data-svelte-h":!0}),f(Z)!=="svelte-ymgaag"&&(Z.textContent=vt),st=o(t),m=s(t,"IFRAME",{src:!0,frameborder:!0,width:!0,height:!0}),D(m).forEach(n),rt=o(t),H=s(t,"P",{}),D(H).forEach(n),this.h()},h(){u(r,"name","hf:doc:metadata"),u(r,"content",JSON.stringify(Gt)),u(g,"id","unconditional"),u(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(g,"href","#unconditional"),u(c,"class","relative group"),Ct(m.src,Tt="https://stevhliu-ddpm-butterflies-128.hf.space")||u(m,"src",Tt),u(m,"frameborder","0"),u(m,"width","850"),u(m,"height","500")},m(t,e){S(document.head,r),l(t,d,e),l(t,p,e),l(t,W,e),l(t,c,e),S(c,g),S(g,V),E(b,V,null),S(c,mt),S(c,q),l(t,R,e),E($,t,e),l(t,A,e),l(t,w,e),l(t,z,e),l(t,_,e),l(t,K,e),l(t,v,e),l(t,X,e),E(h,t,e),l(t,O,e),l(t,T,e),l(t,Q,e),E(J,t,e),l(t,Y,e),l(t,x,e),l(t,tt,e),E(y,t,e),l(t,et,e),l(t,C,e),l(t,nt,e),E(k,t,e),l(t,lt,e),l(t,P,e),l(t,it,e),l(t,M,e),l(t,ot,e),E(F,t,e),l(t,at,e),l(t,Z,e),l(t,st,e),l(t,m,e),l(t,rt,e),l(t,H,e),pt=!0},p(t,[e]){const N={};e&2&&(N.$$scope={dirty:e,ctx:t}),h.$set(N)},i(t){pt||(j(b.$$.fragment,t),j($.$$.fragment,t),j(h.$$.fragment,t),j(J.$$.fragment,t),j(y.$$.fragment,t),j(k.$$.fragment,t),j(F.$$.fragment,t),pt=!0)},o(t){G(b.$$.fragment,t),G($.$$.fragment,t),G(h.$$.fragment,t),G(J.$$.fragment,t),G(y.$$.fragment,t),G(k.$$.fragment,t),G(F.$$.fragment,t),pt=!1},d(t){t&&(n(d),n(p),n(W),n(c),n(R),n(A),n(w),n(z),n(_),n(K),n(v),n(X),n(O),n(T),n(Q),n(Y),n(x),n(tt),n(et),n(C),n(nt),n(lt),n(P),n(it),n(M),n(ot),n(at),n(Z),n(st),n(m),n(rt),n(H)),n(r),L(b),L($,t),L(h,t),L(J,t),L(y,t),L(k,t),L(F,t)}}}const Gt={local:"unconditional",title:"Unconditional 이미지 생성"};function Lt(B){return kt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Bt extends Mt{constructor(r){super(),Ft(this,r,Lt,jt,yt,{})}}export{Bt as component};
